#include <irrlicht.h>
#include "Player.h"

    Player::Player(scene::ISceneManager* smgr, int h, int w, int s, int angle, int form, core::vector3df location, video::IVideoDriver* driver)
    {
        height = h;
        weight = w;
        speed = s;
        facingangle = angle;
        playerNode = smgr->addAnimatedMeshSceneNode(smgr->getMesh("../../media/ninja.b3d"));
        playerNode-> setMaterialFlag(video::EMF_LIGHTING, false);
		playerNode-> setFrameLoop(0, 13);
		playerNode-> setAnimationSpeed(1);
		playerNode-> setScale(core::vector3df(1800/height,700/weight,700/weight));
		hasball = false;
        //playerName=smgr->addTextSceneNode(guienv->getBuiltInFont(), L"MUR" ,video::SColor(255,255,255,255), playerName,location);
        playerNode->setPosition(location);
        playerNode->setRotation(core::vector3df(0,facingangle,0));
        switch (form)
        {
            case 1:
                playerNode->setMaterialTexture(0, driver->getTexture("../../media/nskinrd.jpg"));
                break;
        }
    }

    void Player::setPosition(core::vector3df x)
    {
        playerNode->setPosition(x);
    }

    core::vector3df Player::getPosition()
    {
        return playerNode->getPosition();
    }

    void Player::setPlayerAngle(int ang)
    {
        facingangle = ang;
    }

    int Player::getPlayerAngle()
    {
        return facingangle;
    }

    int Player::getSpeed()
    {
        return speed;
    }

    void Player::setBallPossession(bool possess)
    {
        hasball = possess;
    }

    bool Player::getBallPossession()
    {
        return hasball;
    }

    void Player::setAnimationSpeed(int sp)
    {
        playerNode->setAnimationSpeed(sp);
    }

    void Player::setRotation(core::vector3df x)
    {
        playerNode->setRotation(x);
    }
    
    void Player::setAnimation(int a, int b)
    {
        playerNode-> setFrameLoop(a, b);
    }
