#include <irrlicht.h>
#include "Stadium.h"



Stadium::Stadium (char* location, scene::ISceneManager* smgr, core::vector3df rotate, core::vector3df translate, core::vector3df scale, bool lightning)
{
	//Stadium loaded
	mesh = smgr->getMesh(location);;

	//Field is adjusted, so that center is (0,0,0) and ground is on XZ plane;
	stadiumNode = smgr->addAnimatedMeshSceneNode(mesh);
	stadiumNode->setMaterialFlag(video::EMF_LIGHTING, lightning);
	stadiumNode->setPosition(translate);
	stadiumNode->setRotation(rotate);
	stadiumNode->setScale(scale);
}

void Stadium::setLight(scene::ISceneManager* smgr, core::vector3df lightLocation)
{
	stadiumNode = smgr->addLightSceneNode(0, core::vector3df(1000,1000,1000),
	video::SColorf(1.0f, 1.0f, 1.0f, 1.0f), 5000.0f);
	stadiumNode->setPosition(lightLocation);
}

void Stadium::setLeftLine(int x)
{
	leftLine = x;
}

void Stadium::setRightLine(int x)
{
	rightLine = x;
}

void Stadium::setUpLine(int x)
{
	upLine = x;
}

void Stadium::setDownLine(int x)
{
	downLine = x;
}

void Stadium::setLeftGoalUpLine(int x)
{
	leftGoalUpLine = x;
}

void Stadium::setRightGoalUpLine(int x)
{
	rightGoalUpLine = x;
}

void Stadium::setLeftGoalDownLine(int x)
{
	leftGoalDownLine = x;
}

void Stadium::setRightGoalDownLine(int x)
{
	rightGoalDownLine = x;
}

void Stadium::setLeftGoalTopLine(int x)
{
	leftGoalTopLine = x;
}

void Stadium::setRightGoalTopLine(int x)
{
	rightGoalTopLine = x;
}

int Stadium::getLeftLine()
{
	return leftLine;
}

int Stadium::getRightLine()
{
	return rightLine;
}

int Stadium::getUpLine()
{
	return upLine;
}

int Stadium::getDownLine()
{
	return downLine;
}

int Stadium::getLeftGoalUpLine()
{
	return leftGoalUpLine;
}

int Stadium::getRightGoalUpLine()
{
	return rightGoalUpLine;
}

int Stadium::getLeftGoalDownLine()
{
	return leftGoalDownLine;
}

int Stadium::getRightGoalDownLine()
{
	return rightGoalDownLine;
}

int Stadium::getLeftGoalTopLine()
{
	return leftGoalTopLine;
}

int Stadium::getRightGoalTopLine()
{
	return rightGoalTopLine;
}
