#ifndef Stadium_H
#define Stadium_H

#include <irrlicht.h>
using namespace irr;

class Stadium
{
    public:
    Stadium (char* location, scene::ISceneManager* smgr, core::vector3df rotate, core::vector3df translate, core::vector3df scale, bool lightning);

    void setLight(scene::ISceneManager* smgr, core::vector3df lightLocation);

    void setLeftLine(int x);

    void setRightLine(int x);

    void setUpLine(int x);

    void setDownLine(int x);

    void setLeftGoalUpLine(int x);

    void setRightGoalUpLine(int x);

    void setLeftGoalDownLine(int x);

    void setRightGoalDownLine(int x);

    void setLeftGoalTopLine(int x);

    void setRightGoalTopLine(int x);

    int getLeftLine();

    int getRightLine();

    int getUpLine();

    int getDownLine();

    int getLeftGoalUpLine();

    int getRightGoalUpLine();

    int getLeftGoalDownLine();

    int getRightGoalDownLine();

    int getLeftGoalTopLine();

    int getRightGoalTopLine();

    private:
    scene::IAnimatedMesh *mesh;
    scene::ISceneNode* stadiumNode;
    int leftLine;
    int rightLine;
    int upLine;
    int downLine;
    int leftGoalUpLine;
    int rightGoalUpLine;
    int leftGoalDownLine;
    int rightGoalDownLine;
    int leftGoalTopLine;
    int rightGoalTopLine;
};


#endif
