
#include <irrlicht.h>
#include <iostream>
#include <fstream>
#include <math.h>
#include "Stadium.h"
#include "Player.h"
#include "ik_ISoundEngine.h"
#include "irrKlang.h"
#include "UserInterface.h"

#define PI 3.14159265
using namespace irr;
using namespace irrklang;
using namespace core;
using namespace scene;
using namespace video;
using namespace io;
using namespace gui;
#ifdef _MSC_VER
#pragma comment(lib, "Irrlicht.lib")
#endif
irrklang::ISoundEngine* engine;
bool startgame=false;
bool pausegame=false;
bool presseds = false;
bool pressedd = false;
bool presseds2 = false;
bool pressedd2 = false;
bool pressedcam = false;
bool presseda = false;
bool presseda2 = false;
int camera = 0;

int pn = 11;

enum gamemode {CLASSIC, STREET};

gamemode mode;

    scene::ITextSceneNode *playernames[11];
    scene::ITextSceneNode *playernames2[11];
gui::IGUIEnvironment* guienv;
gui::IGUIEnvironment* ingamemenugui;
IrrlichtDevice* device;
video::IVideoDriver* driver;
video::E_DRIVER_TYPE driverType;
UserInterface Gamemenu;
IGUISkin* skin;
IGUISkin* ingamemenuskin;
IGUIFont* font;
u32 stadiumselect=1;
u32 streetselect=1;


//The class thart required to get input from keyboard and joystick(gamepad)
class MyEventReceiver : public IEventReceiver
{
public:
	// This is the one method that we have to implement
	virtual bool OnEvent(const SEvent& event)
	{
		// Remember whether each key is down or up
		if (event.EventType == irr::EET_KEY_INPUT_EVENT)
			KeyIsDown[event.KeyInput.Key] = event.KeyInput.PressedDown;

		if (event.EventType == irr::EET_JOYSTICK_INPUT_EVENT
			&& event.JoystickEvent.Joystick == 0)
		{
			JoystickState = event.JoystickEvent;
		}

		return false;
	}
	// This is used to check whether a key is being held down
	virtual bool IsKeyDown(EKEY_CODE keyCode) const
	{
		return KeyIsDown[keyCode];
	}

	const SEvent::SJoystickEvent & GetJoystickState(void) const
	{
		return JoystickState;
	}

	MyEventReceiver()
	{
		for (u32 i=0; i<KEY_KEY_CODES_COUNT; ++i)
			KeyIsDown[i] = false;
	}

private:
	// We use this array to store the current state of each key
	bool KeyIsDown[KEY_KEY_CODES_COUNT];
	SEvent::SJoystickEvent JoystickState;
};

//GUI Event Receiver
class GUIEventReceiver : public IEventReceiver
{
        public:
            virtual bool OnEvent(const SEvent& event)
            {
                    if (event.EventType == EET_GUI_EVENT)
                    {
                            s32 id = event.GUIEvent.Caller->getID();
                            guienv = device->getGUIEnvironment();
                    switch(event.GUIEvent.EventType)
                    {
                        case EGET_SCROLL_BAR_CHANGED:
                            if (id == GUI_ID_TRANSPARENCY_SCROLL_BAR)
                                {
                                    s32 pos = ((IGUIScrollBar*)event.GUIEvent.Caller)->getPos();
                                    for (u32 i=0; i<EGDC_COUNT ; ++i)
                                        {
                                            SColor col = guienv->getSkin()->getColor((EGUI_DEFAULT_COLOR)i);
                                            col.setAlpha(pos);
                                            guienv->getSkin()->setColor((EGUI_DEFAULT_COLOR)i, col);
                                        }
                                }
                        break;
                        case EGET_COMBO_BOX_CHANGED:
                        if (id ==GUI_ID_SELECTSTADIUM)
                        {
                                OnStadiumSelected((IGUIComboBox*)event.GUIEvent.Caller);
                                OnStreetSelected((IGUIComboBox*)event.GUIEvent.Caller);
                        }
                        break;
                        case EGET_BUTTON_CLICKED:
                            switch(id)
                            {
                                case GUI_ID_CUP:

                                return true;
                                break;
                                case GUI_ID_BACK:
                                    {
                                guienv->clear();
                                device->setWindowCaption(L"Ninja Football by Geeks In Action");
                                device->setResizable(true);
                                font = guienv->getFont("../../media/fontlucida.png");
                                if (font)
                                    skin->setFont(font);
                                guienv->addImage(driver->getTexture("../../media/ece17de44843a5cf.jpg"),position2d<int>(0,5));
                                IGUIStaticText* titletext2=guienv->addStaticText(L"Ninja Football by Geeks In Action",rect<s32>(140,100,400,100 + 32),false);
                                titletext2->enableOverrideColor(true);
                                titletext2->setOverrideColor(video::SColor(200,255,255,255));
                                guienv->addButton(rect<s32>(10,140,110,140 + 32), 0, GUI_ID_EXHIBITION,L"Exhibition");
                             //   guienv->addButton(rect<s32>(10,180,110,180 + 32), 0, GUI_ID_CUP,L"Cup");
                             //   guienv->addButton(rect<s32>(10,220,110,220 + 32), 0, GUI_ID_LEAGUE,L"League");
                             //   guienv->addButton(rect<s32>(10,260,110,260 + 32), 0, GUI_ID_MULTIPLAYER,L"Multiplayer");
                                guienv->addButton(rect<s32>(10,300,110,300 + 32), 0, GUI_ID_FUN_MODES,L"For Fun");
                             //   guienv->addButton(rect<s32>(10,340,110,340 + 32), 0, GUI_ID_EDIT,L"Edit");
                             //   guienv->addButton(rect<s32>(10,380,110,380 + 32), 0, GUI_ID_SETTINGS,L"Settings");
                                guienv->addButton(rect<s32>(10,420,110,420 + 32), 0, GUI_ID_TRAINING,L"Credits");
                                guienv->addButton(rect<s32>(10,460,110,460 + 32), 0, GUI_ID_EXITLINUX,L"Quit To Linux");
}
                            return true;
                            break;
                        case GUI_ID_EXHIBITION:
                            {
                                mode = CLASSIC;
                                guienv->clear();
                                Gamemenu.loadExhibition(driver,guienv,skin,font,device,stadiumselect);
                            }
                            return true;
                            break;
                        case GUI_ID_EXITLINUX:
                            {
                                device->closeDevice();
                            }
                            return true;
                            break;
                        case GUI_ID_RETURNTOGAME:
                            {
                                device->getCursorControl()->setVisible(false);
                                ingamemenugui->drop();
                                pausegame=false;
                                break;
                            }
                            return true;
                            break;
                        case GUI_ID_SUBS:
                            {

                            }
                            return true;
                            break;
                        case GUI_ID_TRAINING:
                            {
                                IGUIWindow* trainingwindow=0;
                                if(trainingwindow)
                                break;
                                else
                                {
                                    trainingwindow = guienv->addWindow(rect<s32>(100,100,400,500),false,L"And the whole credit goes to...");
                                    guienv->addStaticText(L"Modeling: M. Oguz SEN, Cuma KILINC\nUser Interface: M. Oguz SEN\nSound: Cuma KILINC\nGraphics and Game Play: Talat OZER\nArtificial Intelligence: Talat OZER\nDatabase: Nur Muhammet ARINC\nNetworking: Ishak YAPAR",rect<s32>(15,30,275,400),true,false,trainingwindow);
                                }
                            }
                            return true;
                            break;
                        case GUI_ID_START_MATCH:
                            guienv->clear();
                            startgame=true;
                            break;
                        case GUI_ID_FUN_MODES:
                            mode = STREET;
                            stadiumselect = 7;
                            guienv->clear();
                            Gamemenu.loadForFunMenu(driver,guienv,skin,font,device);
                            break;

                        default:
                            break;
                            }
                            return false;
                            break;
                    }
                    }
            }
            void OnStadiumSelected(IGUIComboBox* combobox)
            {
                    s32 pos = combobox->getSelected();
                    switch (pos)
                {
                        case 0:
                        stadiumselect=1;
                        break;
                        case 1:
                        stadiumselect=2;
                        break;
                        case 2:
                        stadiumselect=3;
                        break;
                        case 3:
                        stadiumselect=4;
                        break;
                }


            }
            void OnStreetSelected(IGUIComboBox* combobox)
            {
                    s32 pos = combobox->getSelected();
                    switch (pos)
                {
                        case 0:
                        streetselect=1;
                        break;
                        case 1:
                        streetselect=1;
                        break;
                        case 2:
                        streetselect=1;
                        break;
                        case 3:
                        streetselect=1;
                        break;
                }


            }
};


void loadPlayers (Player* t1players[], Player* t2players[],
                    scene::ISceneManager* smgr, video::IVideoDriver* driver, Stadium *stat, gamemode mode)
{
    if (mode == CLASSIC)
    {
        //For Team 1
        //Players are created as:
        //Models are loaded and scaled according to wight/height
        //Idle annimations are adjusted
        //Player positions are adjusted according to given vector
        t1players[0]= new Player (smgr, 180, 70, 12, 90, 0, core::vector3df(-30,                     0, 0), driver);
        t1players[1]= new Player (smgr, 175, 70, 8, 270, 0, core::vector3df(150,                    0, 0), driver);
        t1players[2]= new Player (smgr, 168, 65, 9, 0, 0, core::vector3df(0.65*stat->getUpLine(),   0, 0.35*stat->getRightLine()), driver);
        t1players[3]= new Player (smgr, 182, 75, 11, 0, 0, core::vector3df(0.25*stat->getUpLine(),   0, 0.35*stat->getRightLine()), driver);
        t1players[4]= new Player (smgr, 164, 77, 10, 0, 0, core::vector3df(0.25*stat->getDownLine(), 0, 0.35*stat->getRightLine()), driver);
        t1players[5]= new Player (smgr, 177, 65, 8, 0, 0, core::vector3df(0.65*stat->getDownLine(), 0, 0.35*stat->getRightLine()), driver);
        t1players[6]= new Player (smgr, 155, 60, 9, 0, 0, core::vector3df(0.65*stat->getDownLine(), 0, 0.65*stat->getRightLine()), driver);
        t1players[7]= new Player (smgr, 174, 72, 12, 0, 0, core::vector3df(0.25*stat->getDownLine(), 0, 0.65*stat->getRightLine()), driver);
        t1players[8]= new Player (smgr, 160, 68, 9, 0, 0, core::vector3df(0.25*stat->getUpLine(),   0, 0.65*stat->getRightLine()), driver);
        t1players[9]= new Player (smgr, 176, 70, 11, 0, 0, core::vector3df(0.65*stat->getUpLine(),   0, 0.65*stat->getRightLine()), driver);
        t1players[10]= new Player (smgr,195, 80, 10, 0, 0, core::vector3df(0,                        0, 0.95*stat->getRightLine()), driver);


        //For Team 2
        //Players are created as:
        //Models are loaded and scaled according to wight/height
        //Idle annimations are adjusted
        //Player positions are adjusted according to given vector
        t2players[0]= new Player (smgr, 180, 70, 10, 180, 1, core::vector3df(0.25*stat->getUpLine(),     0, 0.18*stat->getLeftLine()), driver);
        t2players[1]= new Player (smgr, 180, 70, 12, 180, 1, core::vector3df(0.25*stat->getDownLine(),   0, 0.18*stat->getLeftLine()), driver);
        t2players[2]= new Player (smgr, 180, 70, 8, 180, 1, core::vector3df(0.65*stat->getUpLine(),     0, 0.35*stat->getLeftLine()), driver);
        t2players[3]= new Player (smgr, 180, 70, 11, 180, 1, core::vector3df(0.25*stat->getUpLine(),     0, 0.35*stat->getLeftLine()), driver);
        t2players[4]= new Player (smgr, 180, 70, 9, 180, 1, core::vector3df(0.25*stat->getDownLine(),   0, 0.35*stat->getLeftLine()), driver);
        t2players[5]= new Player (smgr, 180, 70, 12, 180, 1, core::vector3df(0.65*stat->getDownLine(),   0, 0.35*stat->getLeftLine()), driver);
        t2players[6]= new Player (smgr, 180, 70, 8, 180, 1, core::vector3df(0.65*stat->getDownLine(),   0, 0.65*stat->getLeftLine()), driver);
        t2players[7]= new Player (smgr, 180, 70, 11, 180, 1, core::vector3df(0.25*stat->getDownLine(),   0, 0.65*stat->getLeftLine()), driver);
        t2players[8]= new Player (smgr, 180, 70, 9, 180, 1, core::vector3df(0.25*stat->getUpLine(),     0, 0.65*stat->getLeftLine()), driver);
        t2players[9]= new Player (smgr, 180, 70, 12, 180, 1, core::vector3df(0.65*stat->getUpLine(),     0, 0.65*stat->getLeftLine()), driver);
        t2players[10]= new Player (smgr,180, 70, 10, 180, 1, core::vector3df(0,                          0, 0.95*stat->getLeftLine()), driver);
    }
    else if (mode == STREET)
    {
        //For Team 1
        //Players are created as:
        //Models are loaded and scaled according to wight/height
        //Idle annimations are adjusted
        //Player positions are adjusted according to given vector
        t1players[0]= new Player (smgr, 180, 70, 12, 90, 0, core::vector3df(-30,                     0, 0), driver);
        t1players[1]= new Player (smgr, 180, 70, 8, 270, 0, core::vector3df(150,                    0, 0), driver);
        t1players[2]= new Player (smgr, 180, 70, 10, 0, 0, core::vector3df(0,   0, 0.6*stat->getRightLine()), driver);
        //For Team 2
        //Players are created as:
        //Models are loaded and scaled according to wight/height
        //Idle annimations are adjusted
        //Player positions are adjusted according to given vector
        t2players[0]= new Player (smgr, 180, 70, 12, 180, 1, core::vector3df(0.2*stat->getUpLine(),     0, 0.4*stat->getLeftLine()), driver);
        t2players[1]= new Player (smgr, 180, 70, 8, 180, 1, core::vector3df(0.2*stat->getDownLine(),   0, 0.4*stat->getLeftLine()), driver);
        t2players[2]= new Player (smgr, 180, 70, 10, 180, 1, core::vector3df(0,     0, 0.7*stat->getLeftLine()), driver);
    }

}





void setCamera ( int &camera, core::vector3df &ballPosition, scene::ICameraSceneNode* node2, Stadium* stat, bool &upthrowinguard, bool &downthrowinguard,
                bool &leftout, bool &rightout, bool &upleftcorner, bool &downleftcorner, bool &uprightcorner, bool &downrightcorner, gamemode mode,
                Player* t1players[], bool t1scored, Player* t2players[], bool t2scored)
{
    if (upthrowinguard || upleftcorner || uprightcorner)
    {
            node2->setPosition(core::vector3df(ballPosition.X+800,500,ballPosition.Z) );
            node2->setTarget(core::vector3df(ballPosition.X,0,ballPosition.Z));
    }
    else if (downthrowinguard || downleftcorner || downrightcorner)
    {
            node2->setPosition(core::vector3df(ballPosition.X-800,500,ballPosition.Z) );
            node2->setTarget(core::vector3df(ballPosition.X,0,ballPosition.Z));
    }
    else if (leftout)
    {
            node2->setPosition(core::vector3df(ballPosition.X+200,500,ballPosition.Z+800) );
            node2->setTarget(core::vector3df(ballPosition.X,0,ballPosition.Z));
    }
    else if (rightout)
    {
            node2->setPosition(core::vector3df(ballPosition.X+200,500,ballPosition.Z-800) );
            node2->setTarget(core::vector3df(ballPosition.X,0,ballPosition.Z));
    }
    else if (t1scored)
    {
            node2->setPosition(core::vector3df(t1players[0]->getPosition().X-300,100,t1players[0]->getPosition().Z-200) );
            node2->setTarget(t1players[0]->getPosition());
    }
    else if (t2scored)
    {
            node2->setPosition(core::vector3df(t2players[0]->getPosition().X-300,100,t2players[0]->getPosition().Z+200) );
            node2->setTarget(t2players[0]->getPosition());
    }
    else{
    //2 Camera modes
        if (camera == 0) //Distant camera from middle and changing only angle
        {
            if (mode == CLASSIC)
            {
                node2->setPosition(core::vector3df(1.4*stat->getDownLine(),1200,0) );
            }
            else if (mode == STREET)
            {
                node2->setPosition(core::vector3df(1.2*stat->getDownLine(),800,0) );
            }
            int cameralook = 0;

            if (ballPosition.Z>=0)
            {
                if (ballPosition.Z > 0.5*stat->getLeftLine()) cameralook = 0.5*stat->getLeftLine();
                else cameralook = ballPosition.Z;
            }
            else
            {
                if (ballPosition.Z < 0.5*stat->getRightLine()) cameralook = 0.5*stat->getRightLine();
                else cameralook = ballPosition.Z;
            }

            node2->setTarget(core::vector3df(0,0,cameralook));
        }
        else    //Close camera from fixed distance and angle relative to the ball
        {
            node2->setPosition(core::vector3df(ballPosition.X-800,500,ballPosition.Z) );
            node2->setTarget(core::vector3df(ballPosition.X,0,ballPosition.Z));
        }
    }
}





void checkCamera (MyEventReceiver &receiver, bool &pressedcam, int &camera)
{
    //"pressedcam" variable is used to check "button up" case (it is not supported by irrlicht by default)
    if (!(receiver.IsKeyDown(irr::KEY_KEY_0))) pressedcam=false;

    if(receiver.IsKeyDown(irr::KEY_KEY_0) && !pressedcam){
        camera++;
        camera %= 2;
        pressedcam=true;
    }
}





void checkDirectionTeam1 (MyEventReceiver &receiver, core::vector3df &nodePosition, core::vector3df &ballPosition,
                            Player* t1players[], scene::ITextSceneNode *playernames[], int &selectedplayer,
                            const f32 &MOVEMENT_SPEED, const f32 &frameDeltaTime, bool &goalguard, bool &upthrowinguard,
                             bool &leftout, bool &rightout, bool &upleftcorner, bool &uprightcorner, u32& passtime1, u32 now)
{
    bool up = receiver.IsKeyDown(irr::KEY_UP);
    bool down = receiver.IsKeyDown(irr::KEY_DOWN);
    bool left = receiver.IsKeyDown(irr::KEY_LEFT);
    bool right = receiver.IsKeyDown(irr::KEY_RIGHT);

    if (!goalguard && (passtime1 < now))
    {
        if (upthrowinguard || upleftcorner || uprightcorner)
        {
            bool dummy;
            dummy = up;
            up = down;
            down = dummy;
            dummy = left;
            left = right;
            right = dummy;
        }
        if (leftout)
        {
            bool dummyu, dummyd;
            dummyu = up;
            dummyd = down;
            up = left;
            down = right;
            left = dummyd;
            right = dummyu;
        }
        if (rightout)
        {
            bool dummyu, dummyd;
            dummyu = up;
            dummyd = down;
            up = right;
            down = left;
            left = dummyu;
            right = dummyd;
        }

        //Up-Left Direction Button
        if(up && left)
        {
            //Movement on X and Z directions
            //"frameDeltaTime" is used to keep run speed same on low/high fps computers.
            nodePosition.X += MOVEMENT_SPEED * frameDeltaTime * 0.7;
            nodePosition.Z += MOVEMENT_SPEED * frameDeltaTime * 0.7;

            //Animation speed is adjusted. This might be needed to be removed/adjusted when drippling button is added
            t1players[selectedplayer]->setAnimationSpeed(30);

            //Change the facing of selected player according to current facing of the player
            //"frameDeltaTime" is used to keep rotation speed same on low/high fps computers
            if ((t1players[selectedplayer]->facingangle < 45) || (t1players[selectedplayer]->facingangle >= 225))
            {
                t1players[selectedplayer]->facingangle+=(700*frameDeltaTime);
                if ((t1players[selectedplayer]->facingangle > 45) && (t1players[selectedplayer]->facingangle < 225)) t1players[selectedplayer]->facingangle = 45;
            }
            else if ((t1players[selectedplayer]->facingangle > 45) && (t1players[selectedplayer]->facingangle < 225))
            {
                t1players[selectedplayer]->facingangle-=(700*frameDeltaTime);
                if (t1players[selectedplayer]->facingangle < 45) t1players[selectedplayer]->facingangle = 45;
            }
            t1players[selectedplayer]->facingangle %= 360;
            t1players[selectedplayer]->setRotation(core::vector3df(0,t1players[selectedplayer]->facingangle,0));

            //Change the ball's position according to player's facing angle
            if (t1players[selectedplayer]->hasball)
            {
                ballPosition.X = nodePosition.X + 30*sin(t1players[selectedplayer]->facingangle*PI/180);
                ballPosition.Z = nodePosition.Z + 30*cos(t1players[selectedplayer]->facingangle*PI/180);
            }

            //Change player's name to its new position
            playernames[selectedplayer]->setPosition(core::vector3df(t1players[selectedplayer]->getPosition().X, 120, t1players[selectedplayer]->getPosition().Z));
        }



        //Up-Right Direction Button
        else if(up && right)
        {
            nodePosition.X += MOVEMENT_SPEED * frameDeltaTime * 0.7;
            nodePosition.Z -= MOVEMENT_SPEED * frameDeltaTime * 0.7;

            t1players[selectedplayer]->setAnimationSpeed(30);

            if ((t1players[selectedplayer]->facingangle <135) || (t1players[selectedplayer]->facingangle >= 315))
            {
                t1players[selectedplayer]->facingangle+=(700*frameDeltaTime);
                if ((t1players[selectedplayer]->facingangle > 135) && (t1players[selectedplayer]->facingangle < 315)) t1players[selectedplayer]->facingangle = 135;
            }
            else if ((t1players[selectedplayer]->facingangle > 135) && (t1players[selectedplayer]->facingangle < 315))
            {
                t1players[selectedplayer]->facingangle-=(700*frameDeltaTime);
                if (t1players[selectedplayer]->facingangle < 135) t1players[selectedplayer]->facingangle = 135;
            }
            t1players[selectedplayer]->facingangle %= 360;
            t1players[selectedplayer]->setRotation(core::vector3df(0,t1players[selectedplayer]->facingangle,0));

            if (t1players[selectedplayer]->hasball)
            {
                ballPosition.X = nodePosition.X + 30*sin(t1players[selectedplayer]->facingangle*PI/180);
                ballPosition.Z = nodePosition.Z + 30*cos(t1players[selectedplayer]->facingangle*PI/180);
            }

            playernames[selectedplayer]->setPosition(core::vector3df(t1players[selectedplayer]->getPosition().X, 120, t1players[selectedplayer]->getPosition().Z));
        }



        //Down-Left Direction
        else if(down && left)
        {
            nodePosition.X -= MOVEMENT_SPEED * frameDeltaTime * 0.7;
            nodePosition.Z += MOVEMENT_SPEED * frameDeltaTime * 0.7;

            t1players[selectedplayer]->setAnimationSpeed(30);

            if ((t1players[selectedplayer]->facingangle <=135) || (t1players[selectedplayer]->facingangle > 315))
            {
                t1players[selectedplayer]->facingangle-=(700*frameDeltaTime);
                if ((t1players[selectedplayer]->facingangle > 135) && (t1players[selectedplayer]->facingangle < 315)) t1players[selectedplayer]->facingangle = 315;
            }
            else if ((t1players[selectedplayer]->facingangle > 135) && (t1players[selectedplayer]->facingangle < 315))
            {
                t1players[selectedplayer]->facingangle+=(700*frameDeltaTime);
                if (t1players[selectedplayer]->facingangle > 315) t1players[selectedplayer]->facingangle = 315;
            }
            if (t1players[selectedplayer]->facingangle<0) t1players[selectedplayer]->facingangle += 360;
            t1players[selectedplayer]->facingangle %= 360;
            t1players[selectedplayer]->setRotation(core::vector3df(0,t1players[selectedplayer]->facingangle,0));

            if (t1players[selectedplayer]->hasball)
            {
                ballPosition.X = nodePosition.X + 30*sin(t1players[selectedplayer]->facingangle*PI/180);
                ballPosition.Z = nodePosition.Z + 30*cos(t1players[selectedplayer]->facingangle*PI/180);
            }

            playernames[selectedplayer]->setPosition(core::vector3df(t1players[selectedplayer]->getPosition().X, 120, t1players[selectedplayer]->getPosition().Z));
        }



        //Down-Right Direction Button
        else if(down && right)
        {
            nodePosition.X -= MOVEMENT_SPEED * frameDeltaTime * 0.7;
            nodePosition.Z -= MOVEMENT_SPEED * frameDeltaTime * 0.7;

            t1players[selectedplayer]->setAnimationSpeed(30);

            if ((t1players[selectedplayer]->facingangle <=45) || (t1players[selectedplayer]->facingangle > 225))
            {
                t1players[selectedplayer]->facingangle-=(700*frameDeltaTime);
                if ((t1players[selectedplayer]->facingangle > 45) && (t1players[selectedplayer]->facingangle < 225)) t1players[selectedplayer]->facingangle = 225;
            }
            else if ((t1players[selectedplayer]->facingangle > 45) && (t1players[selectedplayer]->facingangle < 225))
            {
                t1players[selectedplayer]->facingangle+=(700*frameDeltaTime);
                if (t1players[selectedplayer]->facingangle > 225) t1players[selectedplayer]->facingangle = 225;
            }
            if (t1players[selectedplayer]->facingangle<0) t1players[selectedplayer]->facingangle += 360;
            t1players[selectedplayer]->facingangle %= 360;
            t1players[selectedplayer]->setRotation(core::vector3df(0,t1players[selectedplayer]->facingangle,0));

            if (t1players[selectedplayer]->hasball)
            {
                ballPosition.X = nodePosition.X + 30*sin(t1players[selectedplayer]->facingangle*PI/180);
                ballPosition.Z = nodePosition.Z + 30*cos(t1players[selectedplayer]->facingangle*PI/180);
            }

            playernames[selectedplayer]->setPosition(core::vector3df(t1players[selectedplayer]->getPosition().X, 120, t1players[selectedplayer]->getPosition().Z));
        }



        //Up Direction Button
        else if(up)
        {
            nodePosition.X += MOVEMENT_SPEED * frameDeltaTime;

            t1players[selectedplayer]->setAnimationSpeed(30);

            if ((t1players[selectedplayer]->facingangle <90) || (t1players[selectedplayer]->facingangle >=270))
            {
                t1players[selectedplayer]->facingangle+=(700*frameDeltaTime);
                if ((t1players[selectedplayer]->facingangle > 90) && (t1players[selectedplayer]->facingangle < 270)) t1players[selectedplayer]->facingangle = 90;
            }
            else if ((t1players[selectedplayer]->facingangle < 270) && (t1players[selectedplayer]->facingangle > 90))
            {
                t1players[selectedplayer]->facingangle-=(700*frameDeltaTime);
                if (t1players[selectedplayer]->facingangle < 90) t1players[selectedplayer]->facingangle = 90;
            }
            t1players[selectedplayer]->facingangle %= 360;
            t1players[selectedplayer]->setRotation(core::vector3df(0,t1players[selectedplayer]->facingangle,0));

            if (t1players[selectedplayer]->hasball)
            {
                ballPosition.X = nodePosition.X + 30*sin(t1players[selectedplayer]->facingangle*PI/180);
                ballPosition.Z = nodePosition.Z + 30*cos(t1players[selectedplayer]->facingangle*PI/180);
            }

            playernames[selectedplayer]->setPosition(core::vector3df(t1players[selectedplayer]->getPosition().X, 120, t1players[selectedplayer]->getPosition().Z));
        }



        //Down Direction Button
        else if(down)
        {
            nodePosition.X -= MOVEMENT_SPEED * frameDeltaTime;

            t1players[selectedplayer]->setAnimationSpeed(30);

            if ((t1players[selectedplayer]->facingangle <=90) || (t1players[selectedplayer]->facingangle >270))
            {
                t1players[selectedplayer]->facingangle-=(700*frameDeltaTime);
                if ((t1players[selectedplayer]->facingangle > 90) && (t1players[selectedplayer]->facingangle < 270)) t1players[selectedplayer]->facingangle = 270;
            }
            else if ((t1players[selectedplayer]->facingangle < 270) && (t1players[selectedplayer]->facingangle > 90))
            {
                t1players[selectedplayer]->facingangle+=(700*frameDeltaTime);
                if (t1players[selectedplayer]->facingangle > 270) t1players[selectedplayer]->facingangle = 270;
            }
            if (t1players[selectedplayer]->facingangle<0) t1players[selectedplayer]->facingangle += 360;
            t1players[selectedplayer]->facingangle %= 360;
            t1players[selectedplayer]->setRotation(core::vector3df(0,t1players[selectedplayer]->facingangle,0));

            if (t1players[selectedplayer]->hasball)
            {
                ballPosition.X = nodePosition.X + 30*sin(t1players[selectedplayer]->facingangle*PI/180);
                ballPosition.Z = nodePosition.Z + 30*cos(t1players[selectedplayer]->facingangle*PI/180);
            }

            playernames[selectedplayer]->setPosition(core::vector3df(t1players[selectedplayer]->getPosition().X, 120, t1players[selectedplayer]->getPosition().Z));
        }



        //Left Direction Button
        else if(left)
        {
            nodePosition.Z += MOVEMENT_SPEED * frameDeltaTime;

            t1players[selectedplayer]->setAnimationSpeed(30);

            if ((t1players[selectedplayer]->facingangle > 0) && (t1players[selectedplayer]->facingangle <=180))
            {
                t1players[selectedplayer]->facingangle-=(700*frameDeltaTime);
                if (t1players[selectedplayer]->facingangle < 0) t1players[selectedplayer]->facingangle = 0;
            }
            else if ((t1players[selectedplayer]->facingangle > 180) && (t1players[selectedplayer]->facingangle < 360))
            {
                t1players[selectedplayer]->facingangle+=(700*frameDeltaTime);
                if (t1players[selectedplayer]->facingangle > 360) t1players[selectedplayer]->facingangle = 0;
            }
            t1players[selectedplayer]->setRotation(core::vector3df(0,t1players[selectedplayer]->facingangle,0));

            if (t1players[selectedplayer]->hasball)
            {
                ballPosition.X = nodePosition.X + 30*sin(t1players[selectedplayer]->facingangle*PI/180);
                ballPosition.Z = nodePosition.Z + 30*cos(t1players[selectedplayer]->facingangle*PI/180);
            }

            playernames[selectedplayer]->setPosition(core::vector3df(t1players[selectedplayer]->getPosition().X, 120, t1players[selectedplayer]->getPosition().Z));
        }



        //Right Direction Button
        else if(right)
        {
            nodePosition.Z -= MOVEMENT_SPEED * frameDeltaTime;

            t1players[selectedplayer]->setAnimationSpeed(30);

            if ((t1players[selectedplayer]->facingangle >= 0) && (t1players[selectedplayer]->facingangle <180))
            {
                t1players[selectedplayer]->facingangle+=(700*frameDeltaTime);
                if (t1players[selectedplayer]->facingangle > 180) t1players[selectedplayer]->facingangle = 180;
            }
            else if ((t1players[selectedplayer]->facingangle > 180) && (t1players[selectedplayer]->facingangle <= 359))
            {
                t1players[selectedplayer]->facingangle-=(700*frameDeltaTime);
                if (t1players[selectedplayer]->facingangle < 180) t1players[selectedplayer]->facingangle = 180;
            }
            t1players[selectedplayer]->facingangle %= 360;
            t1players[selectedplayer]->setRotation(core::vector3df(0,t1players[selectedplayer]->facingangle,0));

            if (t1players[selectedplayer]->hasball)
            {
                ballPosition.X = nodePosition.X + 30*sin(t1players[selectedplayer]->facingangle*PI/180);
                ballPosition.Z = nodePosition.Z + 30*cos(t1players[selectedplayer]->facingangle*PI/180);
            }

            playernames[selectedplayer]->setPosition(core::vector3df(t1players[selectedplayer]->getPosition().X, 120, t1players[selectedplayer]->getPosition().Z));
        }

        passtime1 = 0;
    }
}





void checkDirectionTeam2 (core::vector3df &nodePosition2, core::vector3df &ballPosition,
                            Player* t2players[], scene::ITextSceneNode *playernames2[], int &selectedplayer2,
                            const f32 &MOVEMENT_SPEED, const f32 &frameDeltaTime,
                            f32 &moveVertical, f32 &moveHorizontal, const f32 &DEAD_ZONE, bool &goalguard,
                            bool &upthrowinguard, bool &leftout, bool &rightout, bool &upleftcorner, bool &uprightcorner,
                            u32& passtime2, u32 now)
{
    if (!goalguard && (passtime2 < now))
    {
        if (upthrowinguard || upleftcorner || uprightcorner)
        {
            moveVertical *= -1;
            moveHorizontal *= -1;
        }
        if (leftout)
        {
            f32 dummyv = - moveHorizontal;
            f32 dummyh = moveVertical;
            moveVertical = dummyv;
            moveHorizontal = dummyh;
        }
        if (rightout)
        {
            f32 dummyv = moveHorizontal;
            f32 dummyh = - moveVertical;
            moveVertical = dummyv;
            moveHorizontal = dummyh;
        }

        //Up-Left Direction Button
        if((moveVertical > DEAD_ZONE) && (moveHorizontal < -DEAD_ZONE))
        {
            //Movement on X and Z directions
            //"frameDeltaTime" is used to keep run speed same on low/high fps computers.
            nodePosition2.X += MOVEMENT_SPEED * frameDeltaTime * 0.7;
            nodePosition2.Z += MOVEMENT_SPEED * frameDeltaTime * 0.7;

            //Animation speed is adjusted. This might be needed to be removed/adjusted when drippling button is added
            t2players[selectedplayer2]->setAnimationSpeed(30);

            //Change the facing of selected player according to current facing of the player
            //"frameDeltaTime" is used to keep rotation speed same on low/high fps computers
            if ((t2players[selectedplayer2]->facingangle < 45) || (t2players[selectedplayer2]->facingangle >= 225))
            {
                t2players[selectedplayer2]->facingangle+=(700*frameDeltaTime);
                if ((t2players[selectedplayer2]->facingangle > 45) && (t2players[selectedplayer2]->facingangle < 225)) t2players[selectedplayer2]->facingangle = 45;
            }
            else if ((t2players[selectedplayer2]->facingangle > 45) && (t2players[selectedplayer2]->facingangle < 225))
            {
                t2players[selectedplayer2]->facingangle-=(700*frameDeltaTime);
                if (t2players[selectedplayer2]->facingangle < 45) t2players[selectedplayer2]->facingangle = 45;
            }
            t2players[selectedplayer2]->facingangle %= 360;
            t2players[selectedplayer2]->setRotation(core::vector3df(0,t2players[selectedplayer2]->facingangle,0));

            //Change the ball's position according to player's facing angle
            if (t2players[selectedplayer2]->hasball)
            {
                ballPosition.X = nodePosition2.X + 30*sin(t2players[selectedplayer2]->facingangle*PI/180);
                ballPosition.Z = nodePosition2.Z + 30*cos(t2players[selectedplayer2]->facingangle*PI/180);
            }

            //Change player's name to its new position
            playernames2[selectedplayer2]->setPosition(core::vector3df(t2players[selectedplayer2]->getPosition().X, 120, t2players[selectedplayer2]->getPosition().Z));
        }



        //Up-Right Direction Button
        else if((moveVertical > DEAD_ZONE) && (moveHorizontal > DEAD_ZONE))
        {
            nodePosition2.X += MOVEMENT_SPEED * frameDeltaTime * 0.7;
            nodePosition2.Z -= MOVEMENT_SPEED * frameDeltaTime * 0.7;

            t2players[selectedplayer2]->setAnimationSpeed(30);

            if ((t2players[selectedplayer2]->facingangle <135) || (t2players[selectedplayer2]->facingangle >= 315))
            {
                t2players[selectedplayer2]->facingangle+=(700*frameDeltaTime);
                if ((t2players[selectedplayer2]->facingangle > 135) && (t2players[selectedplayer2]->facingangle < 315)) t2players[selectedplayer2]->facingangle = 135;
            }
            else if ((t2players[selectedplayer2]->facingangle > 135) && (t2players[selectedplayer2]->facingangle < 315))
            {
                t2players[selectedplayer2]->facingangle-=(700*frameDeltaTime);
                if (t2players[selectedplayer2]->facingangle < 135) t2players[selectedplayer2]->facingangle = 135;
            }
            t2players[selectedplayer2]->facingangle %= 360;
            t2players[selectedplayer2]->setRotation(core::vector3df(0,t2players[selectedplayer2]->facingangle,0));

            if (t2players[selectedplayer2]->hasball)
            {
                ballPosition.X = nodePosition2.X + 30*sin(t2players[selectedplayer2]->facingangle*PI/180);
                ballPosition.Z = nodePosition2.Z + 30*cos(t2players[selectedplayer2]->facingangle*PI/180);
            }

            playernames2[selectedplayer2]->setPosition(core::vector3df(t2players[selectedplayer2]->getPosition().X, 120, t2players[selectedplayer2]->getPosition().Z));
        }



        //Down-Left Direction
        else if((moveVertical < -DEAD_ZONE) && (moveHorizontal < -DEAD_ZONE))
        {
            nodePosition2.X -= MOVEMENT_SPEED * frameDeltaTime * 0.7;
            nodePosition2.Z += MOVEMENT_SPEED * frameDeltaTime * 0.7;

            t2players[selectedplayer2]->setAnimationSpeed(30);

            if ((t2players[selectedplayer2]->facingangle <=135) || (t2players[selectedplayer2]->facingangle > 315))
            {
                t2players[selectedplayer2]->facingangle-=(700*frameDeltaTime);
                if ((t2players[selectedplayer2]->facingangle > 135) && (t2players[selectedplayer2]->facingangle < 315)) t2players[selectedplayer2]->facingangle = 315;
            }
            else if ((t2players[selectedplayer2]->facingangle > 135) && (t2players[selectedplayer2]->facingangle < 315))
            {
                t2players[selectedplayer2]->facingangle+=(700*frameDeltaTime);
                if (t2players[selectedplayer2]->facingangle > 315) t2players[selectedplayer2]->facingangle = 315;
            }
            if (t2players[selectedplayer2]->facingangle<0) t2players[selectedplayer2]->facingangle += 360;
            t2players[selectedplayer2]->facingangle %= 360;
            t2players[selectedplayer2]->setRotation(core::vector3df(0,t2players[selectedplayer2]->facingangle,0));

            if (t2players[selectedplayer2]->hasball)
            {
                ballPosition.X = nodePosition2.X + 30*sin(t2players[selectedplayer2]->facingangle*PI/180);
                ballPosition.Z = nodePosition2.Z + 30*cos(t2players[selectedplayer2]->facingangle*PI/180);
            }

            playernames2[selectedplayer2]->setPosition(core::vector3df(t2players[selectedplayer2]->getPosition().X, 120, t2players[selectedplayer2]->getPosition().Z));
        }



        //Down-Right Direction Button
        else if((moveVertical < -DEAD_ZONE) && (moveHorizontal > DEAD_ZONE))
        {
            nodePosition2.X -= MOVEMENT_SPEED * frameDeltaTime * 0.7;
            nodePosition2.Z -= MOVEMENT_SPEED * frameDeltaTime * 0.7;

            t2players[selectedplayer2]->setAnimationSpeed(30);

            if ((t2players[selectedplayer2]->facingangle <=45) || (t2players[selectedplayer2]->facingangle > 225))
            {
                t2players[selectedplayer2]->facingangle-=(700*frameDeltaTime);
                if ((t2players[selectedplayer2]->facingangle > 45) && (t2players[selectedplayer2]->facingangle < 225)) t2players[selectedplayer2]->facingangle = 225;
            }
            else if ((t2players[selectedplayer2]->facingangle > 45) && (t2players[selectedplayer2]->facingangle < 225))
            {
                t2players[selectedplayer2]->facingangle+=(700*frameDeltaTime);
                if (t2players[selectedplayer2]->facingangle > 225) t2players[selectedplayer2]->facingangle = 225;
            }
            if (t2players[selectedplayer2]->facingangle<0) t2players[selectedplayer2]->facingangle += 360;
            t2players[selectedplayer2]->facingangle %= 360;
            t2players[selectedplayer2]->setRotation(core::vector3df(0,t2players[selectedplayer2]->facingangle,0));

            if (t2players[selectedplayer2]->hasball)
            {
                ballPosition.X = nodePosition2.X + 30*sin(t2players[selectedplayer2]->facingangle*PI/180);
                ballPosition.Z = nodePosition2.Z + 30*cos(t2players[selectedplayer2]->facingangle*PI/180);
            }

            playernames2[selectedplayer2]->setPosition(core::vector3df(t2players[selectedplayer2]->getPosition().X, 120, t2players[selectedplayer2]->getPosition().Z));
        }



        //Up Direction Button
        else if(moveVertical > DEAD_ZONE)
        {
            nodePosition2.X += MOVEMENT_SPEED * frameDeltaTime;

            t2players[selectedplayer2]->setAnimationSpeed(30);

            if ((t2players[selectedplayer2]->facingangle <90) || (t2players[selectedplayer2]->facingangle >=270))
            {
                t2players[selectedplayer2]->facingangle+=(700*frameDeltaTime);
                if ((t2players[selectedplayer2]->facingangle > 90) && (t2players[selectedplayer2]->facingangle < 270)) t2players[selectedplayer2]->facingangle = 90;
            }
            else if ((t2players[selectedplayer2]->facingangle < 270) && (t2players[selectedplayer2]->facingangle > 90))
            {
                t2players[selectedplayer2]->facingangle-=(700*frameDeltaTime);
                if (t2players[selectedplayer2]->facingangle < 90) t2players[selectedplayer2]->facingangle = 90;
            }
            t2players[selectedplayer2]->facingangle %= 360;
            t2players[selectedplayer2]->setRotation(core::vector3df(0,t2players[selectedplayer2]->facingangle,0));

            if (t2players[selectedplayer2]->hasball)
            {
                ballPosition.X = nodePosition2.X + 30*sin(t2players[selectedplayer2]->facingangle*PI/180);
                ballPosition.Z = nodePosition2.Z + 30*cos(t2players[selectedplayer2]->facingangle*PI/180);
            }

            playernames2[selectedplayer2]->setPosition(core::vector3df(t2players[selectedplayer2]->getPosition().X, 120, t2players[selectedplayer2]->getPosition().Z));
        }



        //Down Direction Button
        else if(moveVertical < -DEAD_ZONE)
        {
            nodePosition2.X -= MOVEMENT_SPEED * frameDeltaTime;

            t2players[selectedplayer2]->setAnimationSpeed(30);

            if ((t2players[selectedplayer2]->facingangle <=90) || (t2players[selectedplayer2]->facingangle >270))
            {
                t2players[selectedplayer2]->facingangle-=(700*frameDeltaTime);
                if ((t2players[selectedplayer2]->facingangle > 90) && (t2players[selectedplayer2]->facingangle < 270)) t2players[selectedplayer2]->facingangle = 270;
            }
            else if ((t2players[selectedplayer2]->facingangle < 270) && (t2players[selectedplayer2]->facingangle > 90))
            {
                t2players[selectedplayer2]->facingangle+=(700*frameDeltaTime);
                if (t2players[selectedplayer2]->facingangle > 270) t2players[selectedplayer2]->facingangle = 270;
            }
            if (t2players[selectedplayer2]->facingangle<0) t2players[selectedplayer2]->facingangle += 360;
            t2players[selectedplayer2]->facingangle %= 360;
            t2players[selectedplayer2]->setRotation(core::vector3df(0,t2players[selectedplayer2]->facingangle,0));

            if (t2players[selectedplayer2]->hasball)
            {
                ballPosition.X = nodePosition2.X + 30*sin(t2players[selectedplayer2]->facingangle*PI/180);
                ballPosition.Z = nodePosition2.Z + 30*cos(t2players[selectedplayer2]->facingangle*PI/180);
            }

            playernames2[selectedplayer2]->setPosition(core::vector3df(t2players[selectedplayer2]->getPosition().X, 120, t2players[selectedplayer2]->getPosition().Z));
        }



        //Left Direction Button
        else if(moveHorizontal < -DEAD_ZONE)
        {
            nodePosition2.Z += MOVEMENT_SPEED * frameDeltaTime;

            t2players[selectedplayer2]->setAnimationSpeed(30);

            if ((t2players[selectedplayer2]->facingangle > 0) && (t2players[selectedplayer2]->facingangle <=180))
            {
                t2players[selectedplayer2]->facingangle-=(700*frameDeltaTime);
                if (t2players[selectedplayer2]->facingangle < 0) t2players[selectedplayer2]->facingangle = 0;
            }
            else if ((t2players[selectedplayer2]->facingangle > 180) && (t2players[selectedplayer2]->facingangle < 360))
            {
                t2players[selectedplayer2]->facingangle+=(700*frameDeltaTime);
                if (t2players[selectedplayer2]->facingangle > 360) t2players[selectedplayer2]->facingangle = 0;
            }
            t2players[selectedplayer2]->setRotation(core::vector3df(0,t2players[selectedplayer2]->facingangle,0));

            if (t2players[selectedplayer2]->hasball)
            {
                ballPosition.X = nodePosition2.X + 30*sin(t2players[selectedplayer2]->facingangle*PI/180);
                ballPosition.Z = nodePosition2.Z + 30*cos(t2players[selectedplayer2]->facingangle*PI/180);
            }

            playernames2[selectedplayer2]->setPosition(core::vector3df(t2players[selectedplayer2]->getPosition().X, 120, t2players[selectedplayer2]->getPosition().Z));
        }



        //Right Direction Button
        else if(moveHorizontal > DEAD_ZONE)
        {
            nodePosition2.Z -= MOVEMENT_SPEED * frameDeltaTime;

            t2players[selectedplayer2]->setAnimationSpeed(30);

            if ((t2players[selectedplayer2]->facingangle >= 0) && (t2players[selectedplayer2]->facingangle <180))
            {
                t2players[selectedplayer2]->facingangle+=(700*frameDeltaTime);
                if (t2players[selectedplayer2]->facingangle > 180) t2players[selectedplayer2]->facingangle = 180;
            }
            else if ((t2players[selectedplayer2]->facingangle > 180) && (t2players[selectedplayer2]->facingangle <= 359))
            {
                t2players[selectedplayer2]->facingangle-=(700*frameDeltaTime);
                if (t2players[selectedplayer2]->facingangle < 180) t2players[selectedplayer2]->facingangle = 180;
            }
            t2players[selectedplayer2]->facingangle %= 360;
            t2players[selectedplayer2]->setRotation(core::vector3df(0,t2players[selectedplayer2]->facingangle,0));

            if (t2players[selectedplayer2]->hasball)
            {
                ballPosition.X = nodePosition2.X + 30*sin(t2players[selectedplayer2]->facingangle*PI/180);
                ballPosition.Z = nodePosition2.Z + 30*cos(t2players[selectedplayer2]->facingangle*PI/180);
            }

            playernames2[selectedplayer2]->setPosition(core::vector3df(t2players[selectedplayer2]->getPosition().X, 120, t2players[selectedplayer2]->getPosition().Z));
        }

        passtime2 = 0;
    }
}





void checkButtonSTeam1 (MyEventReceiver &receiver, core::vector3df &nodePosition, core::vector3df &node2Position,
                            core::vector3df &ballPosition, core::vector3df &newballPosition,
                             Player* t1players[], int &selectedplayer,
                             scene::ISceneNodeAnimator* anim, scene::IAnimatedMeshSceneNode* ball, scene::ISceneManager* smgr,
                             core::vector3df &oldballPosition, int &pressedby, bool &goalguard, Stadium* stat, bool &t1throwinguard,
                             bool &upthrowinguard, bool &rightout, bool &upleftcorner, bool &downleftcorner, gamemode mode, u32& passtime1, u32 now)
{
    //Classic mode
    if (mode == CLASSIC)
    {
        //"presseds" variable is used to check "button up" case (it is not supported by irrlicht by default)
        if(!(receiver.IsKeyDown(irr::KEY_KEY_S))) presseds = false;

        if(receiver.IsKeyDown(irr::KEY_KEY_S) && !presseds)
        {
            presseds = true;

            if (t1throwinguard)
            {
                            //dummy variable to keep player to be chosen
                int osman = selectedplayer;
                int hede;
                if (upthrowinguard) hede = 2;
                else hede = 5;

                //Check closest player to the ball
                for (int k=0, l=100000; k< 11; k++)
                {
                    //check each player except current selected player
                    if ((k != selectedplayer) && (k != hede))
                    {
                        node2Position = t1players[k]->getPosition();
                        int dist = (int)sqrtf((node2Position.X-ballPosition.X)*(node2Position.X-ballPosition.X)+(node2Position.Z-ballPosition.Z)*(node2Position.Z-ballPosition.Z));
                        if (dist < l)
                        {
                            l=dist;
                            osman=k;
                        }
                    }
                }
                selectedplayer = osman;

                //assign the result
                nodePosition = t1players[selectedplayer]->getPosition();
            }
            else if (rightout)
            {
                //dummy variable to keep player to be chosen
                int osman = selectedplayer;

                //Check closest player to the ball
                for (int k=0, l=100000; k< 10; k++)
                {
                    //check each player except current selected player
                    if (k != selectedplayer)
                    {
                        node2Position = t1players[k]->getPosition();
                        int dist = (int)sqrtf((node2Position.X-ballPosition.X)*(node2Position.X-ballPosition.X)+(node2Position.Z-ballPosition.Z)*(node2Position.Z-ballPosition.Z));
                        if (dist < l)
                        {
                            l=dist;
                            osman=k;
                        }
                    }
                }
                selectedplayer = osman;

                //assign the result
                nodePosition = t1players[selectedplayer]->getPosition();
            }
            else if (upleftcorner)
            {
                //dummy variable to keep player to be chosen
                int osman = selectedplayer;

                //Check closest player to the ball
                for (int k=0, l=100000; k< 11; k++)
                {
                    //check each player except current selected player
                    if ((k != selectedplayer) && (k !=2))
                    {
                        node2Position = t1players[k]->getPosition();
                        int dist = (int)sqrtf((node2Position.X-ballPosition.X)*(node2Position.X-ballPosition.X)+(node2Position.Z-ballPosition.Z)*(node2Position.Z-ballPosition.Z));
                        if (dist < l)
                        {
                            l=dist;
                            osman=k;
                        }
                    }
                }
                selectedplayer = osman;

                //assign the result
                nodePosition = t1players[selectedplayer]->getPosition();
            }
            else if (downleftcorner)
            {
                //dummy variable to keep player to be chosen
                int osman = selectedplayer;

                //Check closest player to the ball
                for (int k=0, l=100000; k< 11; k++)
                {
                    //check each player except current selected player
                    if ((k != selectedplayer) && (k !=5))
                    {
                        node2Position = t1players[k]->getPosition();
                        int dist = (int)sqrtf((node2Position.X-ballPosition.X)*(node2Position.X-ballPosition.X)+(node2Position.Z-ballPosition.Z)*(node2Position.Z-ballPosition.Z));
                        if (dist < l)
                        {
                            l=dist;
                            osman=k;
                        }
                    }
                }
                selectedplayer = osman;

                //assign the result
                nodePosition = t1players[selectedplayer]->getPosition();
            }
            else
            {
                //If selected player has ball -> pass
                if (t1players[selectedplayer]->hasball)
                {
                    goalguard = false;
                    engine->play2D("../../media/dekme.wav",false);

                    //Player does not have ball any longer
                    t1players[selectedplayer]->hasball = false;

                    //dummy variable to keep player to be chosen
                    int osman = selectedplayer;

                    bool foundplayer = false;

                    if (t1players[selectedplayer]->getPlayerAngle() == 0)
                    {
                        for (int k=0, l=100000; k< 11; k++)
                        {
                            if (k != selectedplayer)
                            {
                                node2Position = t1players[k]->getPosition();

                                int dist = node2Position.Z - nodePosition.Z;

                                if ((nodePosition.Z < node2Position.Z) && (node2Position.X <= nodePosition.X + dist) && (node2Position.X >= nodePosition.X - dist))
                                {
                                    foundplayer = true;

                                    int dist = (int)sqrtf((node2Position.X-nodePosition.X)*(node2Position.X-nodePosition.X)+(node2Position.Z-nodePosition.Z)*(node2Position.Z-nodePosition.Z));

                                    if (dist < l)
                                    {
                                        l=dist;
                                        osman=k;
                                    }
                                }
                            }
                        }

                    }
                    else if (t1players[selectedplayer]->getPlayerAngle() < 90)
                    {
                        for (int k=0, l=100000; k< 11; k++)
                        {
                            if (k != selectedplayer)
                            {
                                node2Position = t1players[k]->getPosition();

                                if ((nodePosition.Z <= node2Position.Z) && (nodePosition.X <= node2Position.X))
                                {
                                    foundplayer = true;

                                    int dist = (int)sqrtf((node2Position.X-nodePosition.X)*(node2Position.X-nodePosition.X)+(node2Position.Z-nodePosition.Z)*(node2Position.Z-nodePosition.Z));

                                    if (dist < l)
                                    {
                                        l=dist;
                                        osman=k;
                                    }
                                }
                            }
                        }
                    }
                    else if (t1players[selectedplayer]->getPlayerAngle() == 90)
                    {
                        for (int k=0, l=100000; k< 11; k++)
                        {
                            if (k != selectedplayer)
                            {
                                node2Position = t1players[k]->getPosition();

                                int dist = node2Position.X - nodePosition.X;

                                if ((nodePosition.X < node2Position.X) && (node2Position.Z <= nodePosition.Z + dist) && (node2Position.Z >= nodePosition.Z - dist))
                                {
                                    foundplayer = true;

                                    int dist = (int)sqrtf((node2Position.X-nodePosition.X)*(node2Position.X-nodePosition.X)+(node2Position.Z-nodePosition.Z)*(node2Position.Z-nodePosition.Z));

                                    if (dist < l)
                                    {
                                        l=dist;
                                        osman=k;
                                    }
                                }
                            }
                        }
                    }
                    else if (t1players[selectedplayer]->getPlayerAngle() < 180)
                    {
                        for (int k=0, l=100000; k< 11; k++)
                        {
                            if (k != selectedplayer)
                            {
                                node2Position = t1players[k]->getPosition();

                                if ((nodePosition.Z >= node2Position.Z) && (nodePosition.X <= node2Position.X))
                                {
                                    foundplayer = true;

                                    int dist = (int)sqrtf((node2Position.X-nodePosition.X)*(node2Position.X-nodePosition.X)+(node2Position.Z-nodePosition.Z)*(node2Position.Z-nodePosition.Z));

                                    if (dist < l)
                                    {
                                        l=dist;
                                        osman=k;
                                    }
                                }
                            }
                        }
                    }
                    else if (t1players[selectedplayer]->getPlayerAngle() == 180)
                    {
                        for (int k=0, l=100000; k< 11; k++)
                        {
                            if (k != selectedplayer)
                            {
                                node2Position = t1players[k]->getPosition();

                                int dist = nodePosition.Z - node2Position.Z;

                                if ((nodePosition.Z > node2Position.Z) && (node2Position.X <= nodePosition.X + dist) && (node2Position.X >= nodePosition.X - dist))
                                {
                                    foundplayer = true;

                                    int dist = (int)sqrtf((node2Position.X-nodePosition.X)*(node2Position.X-nodePosition.X)+(node2Position.Z-nodePosition.Z)*(node2Position.Z-nodePosition.Z));

                                    if (dist < l)
                                    {
                                        l=dist;
                                        osman=k;
                                    }
                                }
                            }
                        }
                    }
                    else if (t1players[selectedplayer]->getPlayerAngle() < 270)
                    {
                        for (int k=0, l=100000; k< 11; k++)
                        {
                            if (k != selectedplayer)
                            {
                                node2Position = t1players[k]->getPosition();

                                if ((nodePosition.Z >= node2Position.Z) && (nodePosition.X >= node2Position.X))
                                {
                                    foundplayer = true;

                                    int dist = (int)sqrtf((node2Position.X-nodePosition.X)*(node2Position.X-nodePosition.X)+(node2Position.Z-nodePosition.Z)*(node2Position.Z-nodePosition.Z));

                                    if (dist < l)
                                    {
                                        l=dist;
                                        osman=k;
                                    }
                                }
                            }
                        }
                    }
                    else if (t1players[selectedplayer]->getPlayerAngle() == 270)
                    {
                        for (int k=0, l=100000; k< 11; k++)
                        {
                            if (k != selectedplayer)
                            {
                                node2Position = t1players[k]->getPosition();

                                int dist = nodePosition.X - node2Position.X;

                                if ((nodePosition.X > node2Position.X) && (node2Position.Z <= nodePosition.Z + dist) && (node2Position.Z >= nodePosition.Z - dist))
                                {
                                    foundplayer = true;

                                    int dist = (int)sqrtf((node2Position.X-nodePosition.X)*(node2Position.X-nodePosition.X)+(node2Position.Z-nodePosition.Z)*(node2Position.Z-nodePosition.Z));

                                    if (dist < l)
                                    {
                                        l=dist;
                                        osman=k;
                                    }
                                }
                            }
                        }
                    }
                    else if (t1players[selectedplayer]->getPlayerAngle() < 360)
                    {
                        for (int k=0, l=100000; k< 11; k++)
                        {
                            if (k != selectedplayer)
                            {
                                node2Position = t1players[k]->getPosition();

                                if ((nodePosition.Z <= node2Position.Z) && (nodePosition.X >= node2Position.X))
                                {
                                    foundplayer = true;

                                    int dist = (int)sqrtf((node2Position.X-nodePosition.X)*(node2Position.X-nodePosition.X)+(node2Position.Z-nodePosition.Z)*(node2Position.Z-nodePosition.Z));

                                    if (dist < l)
                                    {
                                        l=dist;
                                        osman=k;
                                    }
                                }
                            }
                        }
                    }

                    if (foundplayer)
                    {
                        //Send ball to the front of chosen player (relative to his facing)
                        selectedplayer = osman;
                        nodePosition = t1players[selectedplayer]->getPosition();
                        newballPosition.Y = nodePosition.Y;
                        newballPosition.X = nodePosition.X + 30*sin(t1players[selectedplayer]->facingangle*PI/180);
                        newballPosition.Z = nodePosition.Z + 30*cos(t1players[selectedplayer]->facingangle*PI/180);

                        passtime1 = (int)5*sqrtf((ballPosition.X-newballPosition.X)*(ballPosition.X-newballPosition.X)+(ballPosition.Z-newballPosition.Z)*(ballPosition.Z-newballPosition.Z))/6;
                        //Create an animator to make the ball's move
                        anim = smgr->createFlyStraightAnimator(ballPosition,newballPosition, passtime1, false);
                        passtime1 += now;
                        if (anim)
                        {
                            ball->addAnimator(anim);
                            anim->drop();
                        }
                    }
                    else
                    {
                         //Send ball to a certain distance relative to the player's facing
                        nodePosition = t1players[selectedplayer]->getPosition();
                        newballPosition.Y = nodePosition.Y;
                        newballPosition.X = nodePosition.X + 0.3*stat->getLeftLine()*sin(t1players[selectedplayer]->facingangle*PI/180);
                        newballPosition.Z = nodePosition.Z + 0.3*stat->getLeftLine()*cos(t1players[selectedplayer]->facingangle*PI/180);

                        //dummy variable to keep player to be chosen
                        int osman = selectedplayer;

                        //Find player closest to the location where ball will be expected to stop after shooting
                        for (int i=0, j=10000; i< 11; i++){
                            if (i != selectedplayer){
                                node2Position = t1players[i]->getPosition();
                                int dist = (int)sqrtf((node2Position.X-newballPosition.X)*(node2Position.X-newballPosition.X)+(node2Position.Z-newballPosition.Z)*(node2Position.Z-newballPosition.Z));
                                if (dist < j){
                                    j=dist;
                                    osman=i;
                                }
                            }
                        }
                        //Change player according to the result of selection above
                        selectedplayer = osman;
                        nodePosition = t1players[selectedplayer]->getPosition();

                        oldballPosition = ballPosition;
                        passtime1 = (int)5*sqrtf((ballPosition.X-newballPosition.X)*(ballPosition.X-newballPosition.X)+(ballPosition.Z-newballPosition.Z)*(ballPosition.Z-newballPosition.Z))/6;

                        //Create an animator to make the ball's move
                        anim = smgr->createFlyStraightAnimator(ballPosition,newballPosition, passtime1, false);
                        passtime1 += now;
                        if (anim)
                        {
                            ball->addAnimator(anim);
                            anim->drop();
                            pressedby = 1;
                        }
                    }
                }
                //If selected player does not have ball -> change player
                else
                {
                    //dummy variable to keep player to be chosen
                    int osman = selectedplayer;

                    //Check closest player to the ball
                    for (int k=0, l=100000; k< 11; k++)
                    {
                        //check each player except current selected player
                        if (k != selectedplayer)
                        {
                            node2Position = t1players[k]->getPosition();
                            int dist = (int)sqrtf((node2Position.X-ballPosition.X)*(node2Position.X-ballPosition.X)+(node2Position.Z-ballPosition.Z)*(node2Position.Z-ballPosition.Z));
                            if (dist < l)
                            {
                                l=dist;
                                osman=k;
                            }
                        }
                    }
                    selectedplayer = osman;

                    //assign the result
                    nodePosition = t1players[selectedplayer]->getPosition();
                }
            }
        }
    }

    //Street mode
    else if (mode == STREET)
    {
         //"presseds" variable is used to check "button up" case (it is not supported by irrlicht by default)
        if(!(receiver.IsKeyDown(irr::KEY_KEY_S))) presseds = false;

        if(receiver.IsKeyDown(irr::KEY_KEY_S) && !presseds)
        {
            presseds = true;

            if (t1throwinguard)
            {
                            //dummy variable to keep player to be chosen
                int osman = selectedplayer;
                int hede;
                if (upthrowinguard) hede = 1;
                else hede = 0;

                //Check closest player to the ball
                for (int k=0, l=100000; k< 3; k++)
                {
                    //check each player except current selected player
                    if ((k != selectedplayer) && (k != hede))
                    {
                        node2Position = t1players[k]->getPosition();
                        int dist = (int)sqrtf((node2Position.X-ballPosition.X)*(node2Position.X-ballPosition.X)+(node2Position.Z-ballPosition.Z)*(node2Position.Z-ballPosition.Z));
                        if (dist < l)
                        {
                            l=dist;
                            osman=k;
                        }
                    }
                }
                selectedplayer = osman;

                //assign the result
                nodePosition = t1players[selectedplayer]->getPosition();
            }
            else if (rightout)
            {
                //dummy variable to keep player to be chosen
                int osman = selectedplayer;

                //Check closest player to the ball
                for (int k=0, l=100000; k< 2; k++)
                {
                    //check each player except current selected player
                    if (k != selectedplayer)
                    {
                        node2Position = t1players[k]->getPosition();
                        int dist = (int)sqrtf((node2Position.X-ballPosition.X)*(node2Position.X-ballPosition.X)+(node2Position.Z-ballPosition.Z)*(node2Position.Z-ballPosition.Z));
                        if (dist < l)
                        {
                            l=dist;
                            osman=k;
                        }
                    }
                }
                selectedplayer = osman;

                //assign the result
                nodePosition = t1players[selectedplayer]->getPosition();
            }
            else if (upleftcorner)
            {
                //dummy variable to keep player to be chosen
                int osman = selectedplayer;

                //Check closest player to the ball
                for (int k=0, l=100000; k< 3; k++)
                {
                    //check each player except current selected player
                    if ((k != selectedplayer) && (k !=1))
                    {
                        node2Position = t1players[k]->getPosition();
                        int dist = (int)sqrtf((node2Position.X-ballPosition.X)*(node2Position.X-ballPosition.X)+(node2Position.Z-ballPosition.Z)*(node2Position.Z-ballPosition.Z));
                        if (dist < l)
                        {
                            l=dist;
                            osman=k;
                        }
                    }
                }
                selectedplayer = osman;

                //assign the result
                nodePosition = t1players[selectedplayer]->getPosition();
            }
            else if (downleftcorner)
            {
                //dummy variable to keep player to be chosen
                int osman = selectedplayer;

                //Check closest player to the ball
                for (int k=0, l=100000; k< 3; k++)
                {
                    //check each player except current selected player
                    if ((k != selectedplayer) && (k !=0))
                    {
                        node2Position = t1players[k]->getPosition();
                        int dist = (int)sqrtf((node2Position.X-ballPosition.X)*(node2Position.X-ballPosition.X)+(node2Position.Z-ballPosition.Z)*(node2Position.Z-ballPosition.Z));
                        if (dist < l)
                        {
                            l=dist;
                            osman=k;
                        }
                    }
                }
                selectedplayer = osman;

                //assign the result
                nodePosition = t1players[selectedplayer]->getPosition();
            }
            else
            {
                //If selected player has ball -> pass
                if (t1players[selectedplayer]->hasball)
                {
                    goalguard = false;
                    engine->play2D("../../media/dekme.wav",false);

                    //Player does not have ball any longer
                    t1players[selectedplayer]->hasball = false;

                    //dummy variable to keep player to be chosen
                    int osman = selectedplayer;

                    bool foundplayer = false;

                    if (t1players[selectedplayer]->getPlayerAngle() == 0)
                    {
                        for (int k=0, l=100000; k< 3; k++)
                        {
                            if (k != selectedplayer)
                            {
                                node2Position = t1players[k]->getPosition();

                                int dist = node2Position.Z - nodePosition.Z;

                                if ((nodePosition.Z < node2Position.Z) && (node2Position.X <= nodePosition.X + dist) && (node2Position.X >= nodePosition.X - dist))
                                {
                                    foundplayer = true;

                                    int dist = (int)sqrtf((node2Position.X-nodePosition.X)*(node2Position.X-nodePosition.X)+(node2Position.Z-nodePosition.Z)*(node2Position.Z-nodePosition.Z));

                                    if (dist < l)
                                    {
                                        l=dist;
                                        osman=k;
                                    }
                                }
                            }
                        }

                    }
                    else if (t1players[selectedplayer]->getPlayerAngle() < 90)
                    {
                        for (int k=0, l=100000; k< 3; k++)
                        {
                            if (k != selectedplayer)
                            {
                                node2Position = t1players[k]->getPosition();

                                if ((nodePosition.Z <= node2Position.Z) && (nodePosition.X <= node2Position.X))
                                {
                                    foundplayer = true;

                                    int dist = (int)sqrtf((node2Position.X-nodePosition.X)*(node2Position.X-nodePosition.X)+(node2Position.Z-nodePosition.Z)*(node2Position.Z-nodePosition.Z));

                                    if (dist < l)
                                    {
                                        l=dist;
                                        osman=k;
                                    }
                                }
                            }
                        }
                    }
                    else if (t1players[selectedplayer]->getPlayerAngle() == 90)
                    {
                        for (int k=0, l=100000; k< 3; k++)
                        {
                            if (k != selectedplayer)
                            {
                                node2Position = t1players[k]->getPosition();

                                int dist = node2Position.X - nodePosition.X;

                                if ((nodePosition.X < node2Position.X) && (node2Position.Z <= nodePosition.Z + dist) && (node2Position.Z >= nodePosition.Z - dist))
                                {
                                    foundplayer = true;

                                    int dist = (int)sqrtf((node2Position.X-nodePosition.X)*(node2Position.X-nodePosition.X)+(node2Position.Z-nodePosition.Z)*(node2Position.Z-nodePosition.Z));

                                    if (dist < l)
                                    {
                                        l=dist;
                                        osman=k;
                                    }
                                }
                            }
                        }
                    }
                    else if (t1players[selectedplayer]->getPlayerAngle() < 180)
                    {
                        for (int k=0, l=100000; k< 3; k++)
                        {
                            if (k != selectedplayer)
                            {
                                node2Position = t1players[k]->getPosition();

                                if ((nodePosition.Z >= node2Position.Z) && (nodePosition.X <= node2Position.X))
                                {
                                    foundplayer = true;

                                    int dist = (int)sqrtf((node2Position.X-nodePosition.X)*(node2Position.X-nodePosition.X)+(node2Position.Z-nodePosition.Z)*(node2Position.Z-nodePosition.Z));

                                    if (dist < l)
                                    {
                                        l=dist;
                                        osman=k;
                                    }
                                }
                            }
                        }
                    }
                    else if (t1players[selectedplayer]->getPlayerAngle() == 180)
                    {
                        for (int k=0, l=100000; k< 3; k++)
                        {
                            if (k != selectedplayer)
                            {
                                node2Position = t1players[k]->getPosition();

                                int dist = nodePosition.Z - node2Position.Z;

                                if ((nodePosition.Z > node2Position.Z) && (node2Position.X <= nodePosition.X + dist) && (node2Position.X >= nodePosition.X - dist))
                                {
                                    foundplayer = true;

                                    int dist = (int)sqrtf((node2Position.X-nodePosition.X)*(node2Position.X-nodePosition.X)+(node2Position.Z-nodePosition.Z)*(node2Position.Z-nodePosition.Z));

                                    if (dist < l)
                                    {
                                        l=dist;
                                        osman=k;
                                    }
                                }
                            }
                        }
                    }
                    else if (t1players[selectedplayer]->getPlayerAngle() < 270)
                    {
                        for (int k=0, l=100000; k< 3; k++)
                        {
                            if (k != selectedplayer)
                            {
                                node2Position = t1players[k]->getPosition();

                                if ((nodePosition.Z >= node2Position.Z) && (nodePosition.X >= node2Position.X))
                                {
                                    foundplayer = true;

                                    int dist = (int)sqrtf((node2Position.X-nodePosition.X)*(node2Position.X-nodePosition.X)+(node2Position.Z-nodePosition.Z)*(node2Position.Z-nodePosition.Z));

                                    if (dist < l)
                                    {
                                        l=dist;
                                        osman=k;
                                    }
                                }
                            }
                        }
                    }
                    else if (t1players[selectedplayer]->getPlayerAngle() == 270)
                    {
                        for (int k=0, l=100000; k< 3; k++)
                        {
                            if (k != selectedplayer)
                            {
                                node2Position = t1players[k]->getPosition();

                                int dist = nodePosition.X - node2Position.X;

                                if ((nodePosition.X > node2Position.X) && (node2Position.Z <= nodePosition.Z + dist) && (node2Position.Z >= nodePosition.Z - dist))
                                {
                                    foundplayer = true;

                                    int dist = (int)sqrtf((node2Position.X-nodePosition.X)*(node2Position.X-nodePosition.X)+(node2Position.Z-nodePosition.Z)*(node2Position.Z-nodePosition.Z));

                                    if (dist < l)
                                    {
                                        l=dist;
                                        osman=k;
                                    }
                                }
                            }
                        }
                    }
                    else if (t1players[selectedplayer]->getPlayerAngle() < 360)
                    {
                        for (int k=0, l=100000; k< 3; k++)
                        {
                            if (k != selectedplayer)
                            {
                                node2Position = t1players[k]->getPosition();

                                if ((nodePosition.Z <= node2Position.Z) && (nodePosition.X >= node2Position.X))
                                {
                                    foundplayer = true;

                                    int dist = (int)sqrtf((node2Position.X-nodePosition.X)*(node2Position.X-nodePosition.X)+(node2Position.Z-nodePosition.Z)*(node2Position.Z-nodePosition.Z));

                                    if (dist < l)
                                    {
                                        l=dist;
                                        osman=k;
                                    }
                                }
                            }
                        }
                    }

                    if (foundplayer)
                    {
                        //Send ball to the front of chosen player (relative to his facing)
                        selectedplayer = osman;
                        nodePosition = t1players[selectedplayer]->getPosition();
                        newballPosition.Y = nodePosition.Y;
                        newballPosition.X = nodePosition.X + 30*sin(t1players[selectedplayer]->facingangle*PI/180);
                        newballPosition.Z = nodePosition.Z + 30*cos(t1players[selectedplayer]->facingangle*PI/180);

                         passtime1 = (int)5*sqrtf((ballPosition.X-newballPosition.X)*(ballPosition.X-newballPosition.X)+(ballPosition.Z-newballPosition.Z)*(ballPosition.Z-newballPosition.Z))/6;

                        //Create an animator to make the ball's move
                        anim = smgr->createFlyStraightAnimator(ballPosition,newballPosition, passtime1, false);
                        passtime1 += now;
                        if (anim)
                        {
                            ball->addAnimator(anim);
                            anim->drop();
                        }
                    }
                    else
                    {
                         //Send ball to a certain distance relative to the player's facing
                        nodePosition = t1players[selectedplayer]->getPosition();
                        newballPosition.Y = nodePosition.Y;
                        newballPosition.X = nodePosition.X + 0.3*stat->getLeftLine()*sin(t1players[selectedplayer]->facingangle*PI/180);
                        newballPosition.Z = nodePosition.Z + 0.3*stat->getLeftLine()*cos(t1players[selectedplayer]->facingangle*PI/180);

                        //dummy variable to keep player to be chosen
                        int osman = selectedplayer;

                        //Find player closest to the location where ball will be expected to stop after shooting
                        for (int i=0, j=10000; i< 3; i++){
                            if (i != selectedplayer){
                                node2Position = t1players[i]->getPosition();
                                int dist = (int)sqrtf((node2Position.X-newballPosition.X)*(node2Position.X-newballPosition.X)+(node2Position.Z-newballPosition.Z)*(node2Position.Z-newballPosition.Z));
                                if (dist < j){
                                    j=dist;
                                    osman=i;
                                }
                            }
                        }
                        //Change player according to the result of selection above
                        selectedplayer = osman;
                        nodePosition = t1players[selectedplayer]->getPosition();

                        oldballPosition = ballPosition;

                         passtime1 = (int)5*sqrtf((ballPosition.X-newballPosition.X)*(ballPosition.X-newballPosition.X)+(ballPosition.Z-newballPosition.Z)*(ballPosition.Z-newballPosition.Z))/6;
                        //Create an animator to make the ball's move
                        anim = smgr->createFlyStraightAnimator(ballPosition,newballPosition, passtime1, false);
                        passtime1 += now;
                        if (anim)
                        {
                            ball->addAnimator(anim);
                            anim->drop();
                            pressedby = 1;
                        }
                    }
                }
                //If selected player does not have ball -> change player
                else
                {
                    //dummy variable to keep player to be chosen
                    int osman = selectedplayer;

                    //Check closest player to the ball
                    for (int k=0, l=100000; k< 3; k++)
                    {
                        //check each player except current selected player
                        if (k != selectedplayer)
                        {
                            node2Position = t1players[k]->getPosition();
                            int dist = (int)sqrtf((node2Position.X-ballPosition.X)*(node2Position.X-ballPosition.X)+(node2Position.Z-ballPosition.Z)*(node2Position.Z-ballPosition.Z));
                            if (dist < l)
                            {
                                l=dist;
                                osman=k;
                            }
                        }
                    }
                    selectedplayer = osman;

                    //assign the result
                    nodePosition = t1players[selectedplayer]->getPosition();
                }
            }
        }
    }

}





void checkButtonSTeam2 (const SEvent::SJoystickEvent &joystickData, core::vector3df &nodePosition2, core::vector3df &node2Position2,
                            core::vector3df &ballPosition, core::vector3df &newballPosition,
                             Player* t2players[], int &selectedplayer2,
                             scene::ISceneNodeAnimator* anim, scene::IAnimatedMeshSceneNode* ball, scene::ISceneManager* smgr,
                            core::vector3df &oldballPosition, int &pressedby, bool &goalguard, Stadium* stat, bool &t2throwinguard,
                            bool &upthrowinguard, bool &leftout, bool &uprightcorner, bool &downrightcorner, gamemode mode,
                            u32& passtime2, u32 now)
{
    //Classic Mode
    if (mode == CLASSIC)
    {
        //"presseds2" variable is used to check "button up" case (it is not supported by irrlicht by default)
        if (!joystickData.IsButtonPressed(2)) presseds2 = false;

        if(joystickData.IsButtonPressed(2) && !presseds2)
        {
            presseds2 = true;

            if (t2throwinguard)
            {
                //dummy variable to keep player to be chosen
                int osman = selectedplayer2;

                int hede;
                if (upthrowinguard) hede = 2;
                else hede = 5;

                //Check closest player to the ball
                for (int k=0, l=100000; k< 11; k++)
                {
                    //check each player except current selected player
                    if ((k != selectedplayer2) && (k != hede))
                    {
                        node2Position2 = t2players[k]->getPosition();
                        int dist = (int)sqrtf((node2Position2.X-ballPosition.X)*(node2Position2.X-ballPosition.X)+(node2Position2.Z-ballPosition.Z)*(node2Position2.Z-ballPosition.Z));
                        if (dist < l)
                        {
                            l=dist;
                            osman=k;
                        }
                    }
                }
                selectedplayer2 = osman;

                //assign the result
                nodePosition2 = t2players[selectedplayer2]->getPosition();
            }
            else if (leftout)
            {
                //dummy variable to keep player to be chosen
                int osman = selectedplayer2;

                //Check closest player to the ball
                for (int k=0, l=100000; k< 10; k++)
                {
                    //check each player except current selected player
                    if (k != selectedplayer2)
                    {
                        node2Position2 = t2players[k]->getPosition();
                        int dist = (int)sqrtf((node2Position2.X-ballPosition.X)*(node2Position2.X-ballPosition.X)+(node2Position2.Z-ballPosition.Z)*(node2Position2.Z-ballPosition.Z));
                        if (dist < l)
                        {
                            l=dist;
                            osman=k;
                        }
                    }
                }
                selectedplayer2 = osman;

                //assign the result
                nodePosition2 = t2players[selectedplayer2]->getPosition();
            }
            else if (uprightcorner)
            {
                //dummy variable to keep player to be chosen
                int osman = selectedplayer2;

                //Check closest player to the ball
                for (int k=0, l=100000; k< 11; k++)
                {
                    //check each player except current selected player
                    if ((k != selectedplayer2) && (k != 2))
                    {
                        node2Position2 = t2players[k]->getPosition();
                        int dist = (int)sqrtf((node2Position2.X-ballPosition.X)*(node2Position2.X-ballPosition.X)+(node2Position2.Z-ballPosition.Z)*(node2Position2.Z-ballPosition.Z));
                        if (dist < l)
                        {
                            l=dist;
                            osman=k;
                        }
                    }
                }
                selectedplayer2 = osman;

                //assign the result
                nodePosition2 = t2players[selectedplayer2]->getPosition();
            }
            else if (downrightcorner)
            {
                //dummy variable to keep player to be chosen
                int osman = selectedplayer2;

                //Check closest player to the ball
                for (int k=0, l=100000; k< 11; k++)
                {
                    //check each player except current selected player
                    if ((k != selectedplayer2) && (k != 5))
                    {
                        node2Position2 = t2players[k]->getPosition();
                        int dist = (int)sqrtf((node2Position2.X-ballPosition.X)*(node2Position2.X-ballPosition.X)+(node2Position2.Z-ballPosition.Z)*(node2Position2.Z-ballPosition.Z));
                        if (dist < l)
                        {
                            l=dist;
                            osman=k;
                        }
                    }
                }
                selectedplayer2 = osman;

                //assign the result
                nodePosition2 = t2players[selectedplayer2]->getPosition();
            }
            else{
                //If selected player has ball -> pass
                if (t2players[selectedplayer2]->hasball)
                {
                    goalguard = false;
                    engine->play2D("../../media/dekme.wav",false);

                    //Player does not have ball any longer
                    t2players[selectedplayer2]->hasball = false;

                    //dummy variable to keep player to be chosen
                    int osman = selectedplayer2;

                    bool foundplayer = false;

                    if (t2players[selectedplayer2]->getPlayerAngle() == 0)
                    {
                        for (int k=0, l=100000; k< 11; k++)
                        {
                            if (k != selectedplayer2)
                            {
                                node2Position2 = t2players[k]->getPosition();

                                int dist = node2Position2.Z - nodePosition2.Z;

                                if ((nodePosition2.Z < node2Position2.Z) && (node2Position2.X <= nodePosition2.X + dist) && (node2Position2.X >= nodePosition2.X - dist))
                                {
                                    foundplayer = true;

                                    int dist = (int)sqrtf((node2Position2.X-nodePosition2.X)*(node2Position2.X-nodePosition2.X)+(node2Position2.Z-nodePosition2.Z)*(node2Position2.Z-nodePosition2.Z));

                                    if (dist < l)
                                    {
                                        l=dist;
                                        osman=k;
                                    }
                                }
                            }
                        }

                    }
                    else if (t2players[selectedplayer2]->getPlayerAngle() < 90)
                    {
                        for (int k=0, l=100000; k< 11; k++)
                        {
                            if (k != selectedplayer2)
                            {
                                node2Position2 = t2players[k]->getPosition();

                                if ((nodePosition2.Z <= node2Position2.Z) && (nodePosition2.X <= node2Position2.X))
                                {
                                    foundplayer = true;

                                    int dist = (int)sqrtf((node2Position2.X-nodePosition2.X)*(node2Position2.X-nodePosition2.X)+(node2Position2.Z-nodePosition2.Z)*(node2Position2.Z-nodePosition2.Z));

                                    if (dist < l)
                                    {
                                        l=dist;
                                        osman=k;
                                    }
                                }
                            }
                        }
                    }
                    else if (t2players[selectedplayer2]->getPlayerAngle() == 90)
                    {
                        for (int k=0, l=100000; k< 11; k++)
                        {
                            if (k != selectedplayer2)
                            {
                                node2Position2 = t2players[k]->getPosition();

                                int dist = node2Position2.X - nodePosition2.X;

                                if ((nodePosition2.X < node2Position2.X) && (node2Position2.Z <= nodePosition2.Z + dist) && (node2Position2.Z >= nodePosition2.Z - dist))
                                {
                                    foundplayer = true;

                                    int dist = (int)sqrtf((node2Position2.X-nodePosition2.X)*(node2Position2.X-nodePosition2.X)+(node2Position2.Z-nodePosition2.Z)*(node2Position2.Z-nodePosition2.Z));

                                    if (dist < l)
                                    {
                                        l=dist;
                                        osman=k;
                                    }
                                }
                            }
                        }
                    }
                    else if (t2players[selectedplayer2]->getPlayerAngle() < 180)
                    {
                        for (int k=0, l=100000; k< 11; k++)
                        {
                            if (k != selectedplayer2)
                            {
                                node2Position2 = t2players[k]->getPosition();

                                if ((nodePosition2.Z >= node2Position2.Z) && (nodePosition2.X <= node2Position2.X))
                                {
                                    foundplayer = true;

                                    int dist = (int)sqrtf((node2Position2.X-nodePosition2.X)*(node2Position2.X-nodePosition2.X)+(node2Position2.Z-nodePosition2.Z)*(node2Position2.Z-nodePosition2.Z));

                                    if (dist < l)
                                    {
                                        l=dist;
                                        osman=k;
                                    }
                                }
                            }
                        }
                    }
                    else if (t2players[selectedplayer2]->getPlayerAngle() == 180)
                    {
                        for (int k=0, l=100000; k< 11; k++)
                        {
                            if (k != selectedplayer2)
                            {
                                node2Position2 = t2players[k]->getPosition();

                                int dist = nodePosition2.Z - node2Position2.Z;

                                if ((nodePosition2.Z > node2Position2.Z) && (node2Position2.X <= nodePosition2.X + dist) && (node2Position2.X >= nodePosition2.X - dist))
                                {
                                    foundplayer = true;

                                    int dist = (int)sqrtf((node2Position2.X-nodePosition2.X)*(node2Position2.X-nodePosition2.X)+(node2Position2.Z-nodePosition2.Z)*(node2Position2.Z-nodePosition2.Z));

                                    if (dist < l)
                                    {
                                        l=dist;
                                        osman=k;
                                    }
                                }
                            }
                        }
                    }
                    else if (t2players[selectedplayer2]->getPlayerAngle() < 270)
                    {
                        for (int k=0, l=100000; k< 11; k++)
                        {
                            if (k != selectedplayer2)
                            {
                                node2Position2 = t2players[k]->getPosition();

                                if ((nodePosition2.Z >= node2Position2.Z) && (nodePosition2.X >= node2Position2.X))
                                {
                                    foundplayer = true;

                                    int dist = (int)sqrtf((node2Position2.X-nodePosition2.X)*(node2Position2.X-nodePosition2.X)+(node2Position2.Z-nodePosition2.Z)*(node2Position2.Z-nodePosition2.Z));

                                    if (dist < l)
                                    {
                                        l=dist;
                                        osman=k;
                                    }
                                }
                            }
                        }
                    }
                    else if (t2players[selectedplayer2]->getPlayerAngle() == 270)
                    {
                        for (int k=0, l=100000; k< 11; k++)
                        {
                            if (k != selectedplayer2)
                            {
                                node2Position2 = t2players[k]->getPosition();

                                int dist = nodePosition2.X - node2Position2.X;

                                if ((nodePosition2.X > node2Position2.X) && (node2Position2.Z <= nodePosition2.Z + dist) && (node2Position2.Z >= nodePosition2.Z - dist))
                                {
                                    foundplayer = true;

                                    int dist = (int)sqrtf((node2Position2.X-nodePosition2.X)*(node2Position2.X-nodePosition2.X)+(node2Position2.Z-nodePosition2.Z)*(node2Position2.Z-nodePosition2.Z));

                                    if (dist < l)
                                    {
                                        l=dist;
                                        osman=k;
                                    }
                                }
                            }
                        }
                    }
                    else if (t2players[selectedplayer2]->getPlayerAngle() < 360)
                    {
                        for (int k=0, l=100000; k< 11; k++)
                        {
                            if (k != selectedplayer2)
                            {
                                node2Position2 = t2players[k]->getPosition();

                                if ((nodePosition2.Z <= node2Position2.Z) && (nodePosition2.X >= node2Position2.X))
                                {
                                    foundplayer = true;

                                    int dist = (int)sqrtf((node2Position2.X-nodePosition2.X)*(node2Position2.X-nodePosition2.X)+(node2Position2.Z-nodePosition2.Z)*(node2Position2.Z-nodePosition2.Z));

                                    if (dist < l)
                                    {
                                        l=dist;
                                        osman=k;
                                    }
                                }
                            }
                        }
                    }

                    if (foundplayer)
                    {
                        //Send ball to the front of chosen player (relative to his facing)
                        selectedplayer2 = osman;
                        nodePosition2 = t2players[selectedplayer2]->getPosition();
                        newballPosition.Y = nodePosition2.Y;
                        newballPosition.X = nodePosition2.X + 30*sin(t2players[selectedplayer2]->facingangle*PI/180);
                        newballPosition.Z = nodePosition2.Z + 30*cos(t2players[selectedplayer2]->facingangle*PI/180);

                        //Create an animator to make the ball's move
                        passtime2 = (int)5*sqrtf((ballPosition.X-newballPosition.X)*(ballPosition.X-newballPosition.X)+(ballPosition.Z-newballPosition.Z)*(ballPosition.Z-newballPosition.Z))/6;
                        anim = smgr->createFlyStraightAnimator(ballPosition,newballPosition, passtime2, false);
                        passtime2 += now;
                        if (anim)
                        {
                            ball->addAnimator(anim);
                            anim->drop();
                        }
                    }
                    else
                    {
                         //Send ball to a certain distance relative to the player's facing
                        nodePosition2 = t2players[selectedplayer2]->getPosition();
                        newballPosition.Y = nodePosition2.Y;
                        newballPosition.X = nodePosition2.X + 0.3*stat->getLeftLine()*sin(t2players[selectedplayer2]->facingangle*PI/180);
                        newballPosition.Z = nodePosition2.Z + 0.3*stat->getLeftLine()*cos(t2players[selectedplayer2]->facingangle*PI/180);

                        //dummy variable to keep player to be chosen
                        int osman = selectedplayer2;

                        //Find player closest to the location where ball will be expected to stop after shooting
                        for (int i=0, j=10000; i< 11; i++){
                            if (i != selectedplayer2){
                                node2Position2 = t2players[i]->getPosition();
                                int dist = (int)sqrtf((node2Position2.X-newballPosition.X)*(node2Position2.X-newballPosition.X)+(node2Position2.Z-newballPosition.Z)*(node2Position2.Z-newballPosition.Z));
                                if (dist < j){
                                    j=dist;
                                    osman=i;
                                }
                            }
                        }
                        //Change player according to the result of selection above
                        selectedplayer2 = osman;
                        nodePosition2 = t2players[selectedplayer2]->getPosition();

                        oldballPosition = ballPosition;

                        //Create an animator to make the ball's move
                        passtime2 = (int)5*sqrtf((ballPosition.X-newballPosition.X)*(ballPosition.X-newballPosition.X)+(ballPosition.Z-newballPosition.Z)*(ballPosition.Z-newballPosition.Z))/6;
                        anim = smgr->createFlyStraightAnimator(ballPosition,newballPosition, passtime2, false);
                        passtime2 += now;
                        if (anim)
                        {
                            ball->addAnimator(anim);
                            anim->drop();
                            pressedby = 1;
                        }
                    }
                }
                //If selected player does not have ball -> change player
                else
                {
                    //dummy variable to keep player to be chosen
                    int osman = selectedplayer2;

                    //Check closest player to the ball
                    for (int k=0, l=100000; k< 11; k++)
                    {
                        //check each player except current selected player
                        if (k != selectedplayer2)
                        {
                            node2Position2 = t2players[k]->getPosition();
                            int dist = (int)sqrtf((node2Position2.X-ballPosition.X)*(node2Position2.X-ballPosition.X)+(node2Position2.Z-ballPosition.Z)*(node2Position2.Z-ballPosition.Z));
                            if (dist < l)
                            {
                                l=dist;
                                osman=k;
                            }
                        }
                    }
                    selectedplayer2 = osman;

                    //assign the result
                    nodePosition2 = t2players[selectedplayer2]->getPosition();
                }
            }

        }
    }

    //Street Mode
    else if (mode == STREET)
    {
        //"presseds2" variable is used to check "button up" case (it is not supported by irrlicht by default)
        if (!joystickData.IsButtonPressed(2)) presseds2 = false;

        if(joystickData.IsButtonPressed(2) && !presseds2)
        {
            presseds2 = true;

            if (t2throwinguard)
            {
                //dummy variable to keep player to be chosen
                int osman = selectedplayer2;

                int hede;
                if (upthrowinguard) hede = 1;
                else hede = 0;

                //Check closest player to the ball
                for (int k=0, l=100000; k< 3; k++)
                {
                    //check each player except current selected player
                    if ((k != selectedplayer2) && (k != hede))
                    {
                        node2Position2 = t2players[k]->getPosition();
                        int dist = (int)sqrtf((node2Position2.X-ballPosition.X)*(node2Position2.X-ballPosition.X)+(node2Position2.Z-ballPosition.Z)*(node2Position2.Z-ballPosition.Z));
                        if (dist < l)
                        {
                            l=dist;
                            osman=k;
                        }
                    }
                }
                selectedplayer2 = osman;

                //assign the result
                nodePosition2 = t2players[selectedplayer2]->getPosition();
            }
            else if (leftout)
            {
                //dummy variable to keep player to be chosen
                int osman = selectedplayer2;

                //Check closest player to the ball
                for (int k=0, l=100000; k< 2; k++)
                {
                    //check each player except current selected player
                    if (k != selectedplayer2)
                    {
                        node2Position2 = t2players[k]->getPosition();
                        int dist = (int)sqrtf((node2Position2.X-ballPosition.X)*(node2Position2.X-ballPosition.X)+(node2Position2.Z-ballPosition.Z)*(node2Position2.Z-ballPosition.Z));
                        if (dist < l)
                        {
                            l=dist;
                            osman=k;
                        }
                    }
                }
                selectedplayer2 = osman;

                //assign the result
                nodePosition2 = t2players[selectedplayer2]->getPosition();
            }
            else if (uprightcorner)
            {
                //dummy variable to keep player to be chosen
                int osman = selectedplayer2;

                //Check closest player to the ball
                for (int k=0, l=100000; k< 3; k++)
                {
                    //check each player except current selected player
                    if ((k != selectedplayer2) && (k != 1))
                    {
                        node2Position2 = t2players[k]->getPosition();
                        int dist = (int)sqrtf((node2Position2.X-ballPosition.X)*(node2Position2.X-ballPosition.X)+(node2Position2.Z-ballPosition.Z)*(node2Position2.Z-ballPosition.Z));
                        if (dist < l)
                        {
                            l=dist;
                            osman=k;
                        }
                    }
                }
                selectedplayer2 = osman;

                //assign the result
                nodePosition2 = t2players[selectedplayer2]->getPosition();
            }
            else if (downrightcorner)
            {
                //dummy variable to keep player to be chosen
                int osman = selectedplayer2;

                //Check closest player to the ball
                for (int k=0, l=100000; k< 3; k++)
                {
                    //check each player except current selected player
                    if ((k != selectedplayer2) && (k != 0))
                    {
                        node2Position2 = t2players[k]->getPosition();
                        int dist = (int)sqrtf((node2Position2.X-ballPosition.X)*(node2Position2.X-ballPosition.X)+(node2Position2.Z-ballPosition.Z)*(node2Position2.Z-ballPosition.Z));
                        if (dist < l)
                        {
                            l=dist;
                            osman=k;
                        }
                    }
                }
                selectedplayer2 = osman;

                //assign the result
                nodePosition2 = t2players[selectedplayer2]->getPosition();
            }
            else{
                //If selected player has ball -> pass
                if (t2players[selectedplayer2]->hasball)
                {
                    goalguard = false;
                    engine->play2D("../../media/dekme.wav",false);

                    //Player does not have ball any longer
                    t2players[selectedplayer2]->hasball = false;

                    //dummy variable to keep player to be chosen
                    int osman = selectedplayer2;

                    bool foundplayer = false;

                    if (t2players[selectedplayer2]->getPlayerAngle() == 0)
                    {
                        for (int k=0, l=100000; k< 3; k++)
                        {
                            if (k != selectedplayer2)
                            {
                                node2Position2 = t2players[k]->getPosition();

                                int dist = node2Position2.Z - nodePosition2.Z;

                                if ((nodePosition2.Z < node2Position2.Z) && (node2Position2.X <= nodePosition2.X + dist) && (node2Position2.X >= nodePosition2.X - dist))
                                {
                                    foundplayer = true;

                                    int dist = (int)sqrtf((node2Position2.X-nodePosition2.X)*(node2Position2.X-nodePosition2.X)+(node2Position2.Z-nodePosition2.Z)*(node2Position2.Z-nodePosition2.Z));

                                    if (dist < l)
                                    {
                                        l=dist;
                                        osman=k;
                                    }
                                }
                            }
                        }

                    }
                    else if (t2players[selectedplayer2]->getPlayerAngle() < 90)
                    {
                        for (int k=0, l=100000; k< 3; k++)
                        {
                            if (k != selectedplayer2)
                            {
                                node2Position2 = t2players[k]->getPosition();

                                if ((nodePosition2.Z <= node2Position2.Z) && (nodePosition2.X <= node2Position2.X))
                                {
                                    foundplayer = true;

                                    int dist = (int)sqrtf((node2Position2.X-nodePosition2.X)*(node2Position2.X-nodePosition2.X)+(node2Position2.Z-nodePosition2.Z)*(node2Position2.Z-nodePosition2.Z));

                                    if (dist < l)
                                    {
                                        l=dist;
                                        osman=k;
                                    }
                                }
                            }
                        }
                    }
                    else if (t2players[selectedplayer2]->getPlayerAngle() == 90)
                    {
                        for (int k=0, l=100000; k< 3; k++)
                        {
                            if (k != selectedplayer2)
                            {
                                node2Position2 = t2players[k]->getPosition();

                                int dist = node2Position2.X - nodePosition2.X;

                                if ((nodePosition2.X < node2Position2.X) && (node2Position2.Z <= nodePosition2.Z + dist) && (node2Position2.Z >= nodePosition2.Z - dist))
                                {
                                    foundplayer = true;

                                    int dist = (int)sqrtf((node2Position2.X-nodePosition2.X)*(node2Position2.X-nodePosition2.X)+(node2Position2.Z-nodePosition2.Z)*(node2Position2.Z-nodePosition2.Z));

                                    if (dist < l)
                                    {
                                        l=dist;
                                        osman=k;
                                    }
                                }
                            }
                        }
                    }
                    else if (t2players[selectedplayer2]->getPlayerAngle() < 180)
                    {
                        for (int k=0, l=100000; k< 3; k++)
                        {
                            if (k != selectedplayer2)
                            {
                                node2Position2 = t2players[k]->getPosition();

                                if ((nodePosition2.Z >= node2Position2.Z) && (nodePosition2.X <= node2Position2.X))
                                {
                                    foundplayer = true;

                                    int dist = (int)sqrtf((node2Position2.X-nodePosition2.X)*(node2Position2.X-nodePosition2.X)+(node2Position2.Z-nodePosition2.Z)*(node2Position2.Z-nodePosition2.Z));

                                    if (dist < l)
                                    {
                                        l=dist;
                                        osman=k;
                                    }
                                }
                            }
                        }
                    }
                    else if (t2players[selectedplayer2]->getPlayerAngle() == 180)
                    {
                        for (int k=0, l=100000; k< 3; k++)
                        {
                            if (k != selectedplayer2)
                            {
                                node2Position2 = t2players[k]->getPosition();

                                int dist = nodePosition2.Z - node2Position2.Z;

                                if ((nodePosition2.Z > node2Position2.Z) && (node2Position2.X <= nodePosition2.X + dist) && (node2Position2.X >= nodePosition2.X - dist))
                                {
                                    foundplayer = true;

                                    int dist = (int)sqrtf((node2Position2.X-nodePosition2.X)*(node2Position2.X-nodePosition2.X)+(node2Position2.Z-nodePosition2.Z)*(node2Position2.Z-nodePosition2.Z));

                                    if (dist < l)
                                    {
                                        l=dist;
                                        osman=k;
                                    }
                                }
                            }
                        }
                    }
                    else if (t2players[selectedplayer2]->getPlayerAngle() < 270)
                    {
                        for (int k=0, l=100000; k< 3; k++)
                        {
                            if (k != selectedplayer2)
                            {
                                node2Position2 = t2players[k]->getPosition();

                                if ((nodePosition2.Z >= node2Position2.Z) && (nodePosition2.X >= node2Position2.X))
                                {
                                    foundplayer = true;

                                    int dist = (int)sqrtf((node2Position2.X-nodePosition2.X)*(node2Position2.X-nodePosition2.X)+(node2Position2.Z-nodePosition2.Z)*(node2Position2.Z-nodePosition2.Z));

                                    if (dist < l)
                                    {
                                        l=dist;
                                        osman=k;
                                    }
                                }
                            }
                        }
                    }
                    else if (t2players[selectedplayer2]->getPlayerAngle() == 270)
                    {
                        for (int k=0, l=100000; k< 3; k++)
                        {
                            if (k != selectedplayer2)
                            {
                                node2Position2 = t2players[k]->getPosition();

                                int dist = nodePosition2.X - node2Position2.X;

                                if ((nodePosition2.X > node2Position2.X) && (node2Position2.Z <= nodePosition2.Z + dist) && (node2Position2.Z >= nodePosition2.Z - dist))
                                {
                                    foundplayer = true;

                                    int dist = (int)sqrtf((node2Position2.X-nodePosition2.X)*(node2Position2.X-nodePosition2.X)+(node2Position2.Z-nodePosition2.Z)*(node2Position2.Z-nodePosition2.Z));

                                    if (dist < l)
                                    {
                                        l=dist;
                                        osman=k;
                                    }
                                }
                            }
                        }
                    }
                    else if (t2players[selectedplayer2]->getPlayerAngle() < 360)
                    {
                        for (int k=0, l=100000; k< 3; k++)
                        {
                            if (k != selectedplayer2)
                            {
                                node2Position2 = t2players[k]->getPosition();

                                if ((nodePosition2.Z <= node2Position2.Z) && (nodePosition2.X >= node2Position2.X))
                                {
                                    foundplayer = true;

                                    int dist = (int)sqrtf((node2Position2.X-nodePosition2.X)*(node2Position2.X-nodePosition2.X)+(node2Position2.Z-nodePosition2.Z)*(node2Position2.Z-nodePosition2.Z));

                                    if (dist < l)
                                    {
                                        l=dist;
                                        osman=k;
                                    }
                                }
                            }
                        }
                    }

                    if (foundplayer)
                    {
                        //Send ball to the front of chosen player (relative to his facing)
                        selectedplayer2 = osman;
                        nodePosition2 = t2players[selectedplayer2]->getPosition();
                        newballPosition.Y = nodePosition2.Y;
                        newballPosition.X = nodePosition2.X + 30*sin(t2players[selectedplayer2]->facingangle*PI/180);
                        newballPosition.Z = nodePosition2.Z + 30*cos(t2players[selectedplayer2]->facingangle*PI/180);

                        //Create an animator to make the ball's move
                        passtime2 = (int)5*sqrtf((ballPosition.X-newballPosition.X)*(ballPosition.X-newballPosition.X)+(ballPosition.Z-newballPosition.Z)*(ballPosition.Z-newballPosition.Z))/6;
                        anim = smgr->createFlyStraightAnimator(ballPosition,newballPosition, passtime2, false);
                        passtime2 += now;
                        if (anim)
                        {
                            ball->addAnimator(anim);
                            anim->drop();
                        }
                    }
                    else
                    {
                         //Send ball to a certain distance relative to the player's facing
                        nodePosition2 = t2players[selectedplayer2]->getPosition();
                        newballPosition.Y = nodePosition2.Y;
                        newballPosition.X = nodePosition2.X + 0.3*stat->getLeftLine()*sin(t2players[selectedplayer2]->facingangle*PI/180);
                        newballPosition.Z = nodePosition2.Z + 0.3*stat->getLeftLine()*cos(t2players[selectedplayer2]->facingangle*PI/180);

                        //dummy variable to keep player to be chosen
                        int osman = selectedplayer2;

                        //Find player closest to the location where ball will be expected to stop after shooting
                        for (int i=0, j=10000; i< 3; i++){
                            if (i != selectedplayer2){
                                node2Position2 = t2players[i]->getPosition();
                                int dist = (int)sqrtf((node2Position2.X-newballPosition.X)*(node2Position2.X-newballPosition.X)+(node2Position2.Z-newballPosition.Z)*(node2Position2.Z-newballPosition.Z));
                                if (dist < j){
                                    j=dist;
                                    osman=i;
                                }
                            }
                        }
                        //Change player according to the result of selection above
                        selectedplayer2 = osman;
                        nodePosition2 = t2players[selectedplayer2]->getPosition();

                        oldballPosition = ballPosition;

                        //Create an animator to make the ball's move
                        passtime2 = (int)5*sqrtf((ballPosition.X-newballPosition.X)*(ballPosition.X-newballPosition.X)+(ballPosition.Z-newballPosition.Z)*(ballPosition.Z-newballPosition.Z))/6;
                        anim = smgr->createFlyStraightAnimator(ballPosition,newballPosition, passtime2, false);
                        passtime2 += now;
                        if (anim)
                        {
                            ball->addAnimator(anim);
                            anim->drop();
                            pressedby = 1;
                        }
                    }
                }
                //If selected player does not have ball -> change player
                else
                {
                    //dummy variable to keep player to be chosen
                    int osman = selectedplayer2;

                    //Check closest player to the ball
                    for (int k=0, l=100000; k< 3; k++)
                    {
                        //check each player except current selected player
                        if (k != selectedplayer2)
                        {
                            node2Position2 = t2players[k]->getPosition();
                            int dist = (int)sqrtf((node2Position2.X-ballPosition.X)*(node2Position2.X-ballPosition.X)+(node2Position2.Z-ballPosition.Z)*(node2Position2.Z-ballPosition.Z));
                            if (dist < l)
                            {
                                l=dist;
                                osman=k;
                            }
                        }
                    }
                    selectedplayer2 = osman;

                    //assign the result
                    nodePosition2 = t2players[selectedplayer2]->getPosition();
                }
            }

        }
    }
}





void checkButtonDTeam1 (MyEventReceiver &receiver, core::vector3df &nodePosition, core::vector3df &node2Position,
                            core::vector3df &ballPosition, core::vector3df &newballPosition,
                             Player* t1players[], int &selectedplayer,
                             scene::ISceneNodeAnimator* anim, scene::IAnimatedMeshSceneNode* ball,
                             core::vector3df &oldballPosition, u32 now, int &pressedby, scene::ISceneManager* smgr,
                             bool &goalguard, Stadium* stat, bool &t1throwinguard, bool &rightout, bool &upleftcorner,
                             bool &downleftcorner, gamemode mode)
{
    if (mode == CLASSIC)
    {
        //"pressedd" variable is used to check "button up" case (it is not supported by irrlicht by default)
        if(!(receiver.IsKeyDown(irr::KEY_KEY_D))) pressedd = false;

        if(receiver.IsKeyDown(irr::KEY_KEY_D) && !pressedd && !goalguard && !t1throwinguard)
        {
            pressedd = true;
            engine->play2D("../../media/dekme.wav",false);

            if (rightout)
            {
                rightout = false;

                //dummy variable to keep player to be chosen
                int osman = selectedplayer;

                //Check closest player to the ball
                for (int k=0, l=0; k< 10; k++)
                {
                    //check each player except current selected player
                    if (k != selectedplayer)
                    {
                        node2Position = t1players[k]->getPosition();
                        int dist = (int)sqrtf((node2Position.X-ballPosition.X)*(node2Position.X-ballPosition.X)+(node2Position.Z-ballPosition.Z)*(node2Position.Z-ballPosition.Z));
                        if (dist > l)
                        {
                            l=dist;
                            osman=k;
                        }
                    }
                }
                selectedplayer = osman;

                //assign the result
                nodePosition = t1players[selectedplayer]->getPosition();

                //Create an animator to make the ball's move
                core::array< core::vector3df > points;
                points.push_back(ballPosition);
                core::vector3df middleballPosition;
                middleballPosition.X = (ballPosition.X + t1players[selectedplayer]->getPosition().X)/2;
                middleballPosition.Z = (ballPosition.Z + t1players[selectedplayer]->getPosition().Z)/2;
                middleballPosition.Y = 250;
                points.push_back(middleballPosition);
                points.push_back(t1players[selectedplayer]->getPosition());
                anim = smgr->createFollowSplineAnimator((s32)now, points, 1.0f, 0.5f, false, false);
               // anim = smgr->createFlyStraightAnimator(ballPosition,t1players[selectedplayer]->getPosition(),
               //                 (int)5*sqrtf((ballPosition.X-t1players[selectedplayer]->getPosition().X)*(ballPosition.X-t1players[selectedplayer]->getPosition().X)+
               //                 (ballPosition.Z-t1players[selectedplayer]->getPosition().Z)*(ballPosition.Z-t1players[selectedplayer]->getPosition().Z))/6, false);
                if (anim)
                {
                    ball->addAnimator(anim);
                    anim->drop();
                    pressedby =1;
                }
            }

            if (upleftcorner || downleftcorner)
            {
                int hede;
                if (upleftcorner) hede = 2;
                else if (downleftcorner) hede = 5;

                upleftcorner = false;
                downleftcorner = false;

                //dummy variable to keep player to be chosen
                int osman = selectedplayer;

                //Check closest player to the ball
                for (int k=0, l=100000; k< 11; k++)
                {
                    //check each player except current selected player
                    if ((k != selectedplayer) && ( k!= hede))
                    {
                        node2Position = t1players[k]->getPosition();
                        int dist = (int)sqrtf((node2Position.X)*(node2Position.X)+(node2Position.Z-stat->getLeftLine())*(node2Position.Z-stat->getLeftLine()));
                        if (dist < l)
                        {
                            l=dist;
                            osman=k;
                        }
                    }
                }
                selectedplayer = osman;

                //assign the result
                nodePosition = t1players[selectedplayer]->getPosition();

                //Create an animator to make the ball's move
                anim = smgr->createFlyStraightAnimator(ballPosition,t1players[selectedplayer]->getPosition(),
                                (int)5*sqrtf((ballPosition.X-t1players[selectedplayer]->getPosition().X)*(ballPosition.X-t1players[selectedplayer]->getPosition().X)+
                                (ballPosition.Z-t1players[selectedplayer]->getPosition().Z)*(ballPosition.Z-t1players[selectedplayer]->getPosition().Z))/6, false);
                if (anim)
                {
                    ball->addAnimator(anim);
                    anim->drop();
                    pressedby =1;
                }
            }


            //If selected player has ball -> shoot (otherwise do nothing)
            if (t1players[selectedplayer]->hasball)
            {
                //Player does not have ball any longer
                t1players[selectedplayer]->hasball = false;

                //Send ball to a certain distance relative to the player's facing
                nodePosition = t1players[selectedplayer]->getPosition();
                newballPosition.Y = nodePosition.Y;
                newballPosition.X = nodePosition.X + 0.9*stat->getUpLine()*sin(t1players[selectedplayer]->facingangle*PI/180);
                newballPosition.Z = nodePosition.Z + 0.9*stat->getUpLine()*cos(t1players[selectedplayer]->facingangle*PI/180);

                //dummy variable to keep player to be chosen
                int osman = selectedplayer;

                //Find player closest to the location where ball will be expected to stop after shooting
                for (int i=0, j=10000; i< 11; i++){
                    if (i != selectedplayer){
                        node2Position = t1players[i]->getPosition();
                        int dist = (int)sqrtf((node2Position.X-newballPosition.X)*(node2Position.X-newballPosition.X)+(node2Position.Z-newballPosition.Z)*(node2Position.Z-newballPosition.Z));
                        if (dist < j){
                            j=dist;
                            osman=i;
                        }
                    }
                }
                //Change player according to the result of selection above
                selectedplayer = osman;
                nodePosition = t1players[selectedplayer]->getPosition();

                oldballPosition = ballPosition;



                //If we want to use 3D ball animation;
                //"follow spline animator" code below can be used
                //instead of "fly straight animator"
                core::array< core::vector3df > points;
                points.push_back(ballPosition);
                core::vector3df middleballPosition;
                middleballPosition.X = (ballPosition.X + newballPosition.X)/2;
                middleballPosition.Z = (ballPosition.Z + newballPosition.Z)/2;
                middleballPosition.Y = 100;
                points.push_back(middleballPosition);
                points.push_back(newballPosition);
                anim = smgr->createFollowSplineAnimator((s32)now, points, 2.4f, 0.5f, false, false);


                //Create an animator to make the ball's move
                //anim = smgr->createFlyStraightAnimator(ballPosition,newballPosition, (int)5*sqrtf((ballPosition.X-newballPosition.X)*(ballPosition.X-newballPosition.X)+(ballPosition.Z-newballPosition.Z)*(ballPosition.Z-newballPosition.Z))/6, false);
                if (anim)
                {
                    ball->addAnimator(anim);
                    anim->drop();
                    pressedby = 1;
                }
            }
        }
    }
    else if (mode == STREET)
    {
        //"pressedd" variable is used to check "button up" case (it is not supported by irrlicht by default)
        if(!(receiver.IsKeyDown(irr::KEY_KEY_D))) pressedd = false;

        if(receiver.IsKeyDown(irr::KEY_KEY_D) && !pressedd && !goalguard && !t1throwinguard)
        {
            pressedd = true;
            engine->play2D("../../media/dekme.wav",false);

            if (rightout)
            {
                rightout = false;

                //dummy variable to keep player to be chosen
                int osman = selectedplayer;

                //Check closest player to the ball
                for (int k=0, l=0; k< 2; k++)
                {
                    //check each player except current selected player
                    if (k != selectedplayer)
                    {
                        node2Position = t1players[k]->getPosition();
                        int dist = (int)sqrtf((node2Position.X-ballPosition.X)*(node2Position.X-ballPosition.X)+(node2Position.Z-ballPosition.Z)*(node2Position.Z-ballPosition.Z));
                        if (dist > l)
                        {
                            l=dist;
                            osman=k;
                        }
                    }
                }
                selectedplayer = osman;

                //assign the result
                nodePosition = t1players[selectedplayer]->getPosition();

                //Create an animator to make the ball's move
                anim = smgr->createFlyStraightAnimator(ballPosition,t1players[selectedplayer]->getPosition(),
                                (int)5*sqrtf((ballPosition.X-t1players[selectedplayer]->getPosition().X)*(ballPosition.X-t1players[selectedplayer]->getPosition().X)+
                                (ballPosition.Z-t1players[selectedplayer]->getPosition().Z)*(ballPosition.Z-t1players[selectedplayer]->getPosition().Z))/6, false);
                if (anim)
                {
                    ball->addAnimator(anim);
                    anim->drop();
                    pressedby =1;
                }
            }

            if (upleftcorner || downleftcorner)
            {
                int hede;
                if (upleftcorner) hede = 1;
                else if (downleftcorner) hede = 0;

                upleftcorner = false;
                downleftcorner = false;

                //dummy variable to keep player to be chosen
                int osman = selectedplayer;

                //Check closest player to the ball
                for (int k=0, l=100000; k< 3; k++)
                {
                    //check each player except current selected player
                    if ((k != selectedplayer) && ( k!= hede))
                    {
                        node2Position = t1players[k]->getPosition();
                        int dist = (int)sqrtf((node2Position.X)*(node2Position.X)+(node2Position.Z-stat->getLeftLine())*(node2Position.Z-stat->getLeftLine()));
                        if (dist < l)
                        {
                            l=dist;
                            osman=k;
                        }
                    }
                }
                selectedplayer = osman;

                //assign the result
                nodePosition = t1players[selectedplayer]->getPosition();

                //Create an animator to make the ball's move
                anim = smgr->createFlyStraightAnimator(ballPosition,t1players[selectedplayer]->getPosition(),
                                (int)5*sqrtf((ballPosition.X-t1players[selectedplayer]->getPosition().X)*(ballPosition.X-t1players[selectedplayer]->getPosition().X)+
                                (ballPosition.Z-t1players[selectedplayer]->getPosition().Z)*(ballPosition.Z-t1players[selectedplayer]->getPosition().Z))/6, false);
                if (anim)
                {
                    ball->addAnimator(anim);
                    anim->drop();
                    pressedby =1;
                }
            }


            //If selected player has ball -> shoot (otherwise do nothing)
            if (t1players[selectedplayer]->hasball)
            {
                //Player does not have ball any longer
                t1players[selectedplayer]->hasball = false;

                //Send ball to a certain distance relative to the player's facing
                nodePosition = t1players[selectedplayer]->getPosition();
                newballPosition.Y = nodePosition.Y;
                newballPosition.X = nodePosition.X + 0.9*stat->getUpLine()*sin(t1players[selectedplayer]->facingangle*PI/180);
                newballPosition.Z = nodePosition.Z + 0.9*stat->getUpLine()*cos(t1players[selectedplayer]->facingangle*PI/180);

                //dummy variable to keep player to be chosen
                int osman = selectedplayer;

                //Find player closest to the location where ball will be expected to stop after shooting
                for (int i=0, j=10000; i< 3; i++){
                    if (i != selectedplayer){
                        node2Position = t1players[i]->getPosition();
                        int dist = (int)sqrtf((node2Position.X-newballPosition.X)*(node2Position.X-newballPosition.X)+(node2Position.Z-newballPosition.Z)*(node2Position.Z-newballPosition.Z));
                        if (dist < j){
                            j=dist;
                            osman=i;
                        }
                    }
                }
                //Change player according to the result of selection above
                selectedplayer = osman;
                nodePosition = t1players[selectedplayer]->getPosition();

                oldballPosition = ballPosition;



                //If we want to use 3D ball animation;
                //"follow spline animator" code below can be used
                //instead of "fly straight animator"
                core::array< core::vector3df > points;
                points.push_back(ballPosition);
                core::vector3df middleballPosition;
                middleballPosition.X = (ballPosition.X + newballPosition.X)/2;
                middleballPosition.Z = (ballPosition.Z + newballPosition.Z)/2;
                middleballPosition.Y = 100;
                points.push_back(middleballPosition);
                points.push_back(newballPosition);
                anim = smgr->createFollowSplineAnimator((s32)now, points, 3.0f, 0.5f, false, false);


                //Create an animator to make the ball's move
                //anim = smgr->createFlyStraightAnimator(ballPosition,newballPosition, (int)5*sqrtf((ballPosition.X-newballPosition.X)*(ballPosition.X-newballPosition.X)+(ballPosition.Z-newballPosition.Z)*(ballPosition.Z-newballPosition.Z))/6, false);
                if (anim)
                {
                    ball->addAnimator(anim);
                    anim->drop();
                    pressedby = 1;
                }
            }
        }
    }
}





void checkButtonDTeam2 (const SEvent::SJoystickEvent &joystickData, core::vector3df &nodePosition2, core::vector3df &node2Position2,
                            core::vector3df &ballPosition, core::vector3df &newballPosition,
                             Player* t2players[], int &selectedplayer2,
                             scene::ISceneNodeAnimator* anim, scene::IAnimatedMeshSceneNode* ball,
                             core::vector3df &oldballPosition, u32 now, int &pressedby, scene::ISceneManager* smgr,
                             bool &goalguard, Stadium* stat, bool &t2throwinguard, bool &leftout, bool &uprightcorner,
                             bool &downrightcorner, gamemode mode)
{
    if (mode == CLASSIC)
    {
        //"pressedd2" variable is used to check "button up" case (it is not supported by irrlicht by default)
        if (!joystickData.IsButtonPressed(1)) pressedd2 = false;

        if(joystickData.IsButtonPressed(1) && !pressedd2 && !goalguard && !t2throwinguard)
        {
            pressedd2 = true;
            engine->play2D("../../media/dekme.wav",false);


            if (leftout)
            {
                leftout = false;

                //dummy variable to keep player to be chosen
                int osman = selectedplayer2;

                //Check closest player to the ball
                for (int k=0, l=0; k<11; k++)
                {
                    //check each player except current selected player
                    if (k != selectedplayer2)
                    {
                        node2Position2 = t2players[k]->getPosition();
                        int dist = (int)sqrtf((node2Position2.X-ballPosition.X)*(node2Position2.X-ballPosition.X)+(node2Position2.Z-ballPosition.Z)*(node2Position2.Z-ballPosition.Z));
                        if (dist > l)
                        {
                            l=dist;
                            osman=k;
                        }
                    }
                }
                selectedplayer2 = osman;

                //assign the result
                nodePosition2 = t2players[selectedplayer2]->getPosition();

                //Create an animator to make the ball's move
                core::array< core::vector3df > points;
                points.push_back(ballPosition);
                core::vector3df middleballPosition;
                middleballPosition.X = (ballPosition.X + t2players[selectedplayer2]->getPosition().X)/2;
                middleballPosition.Z = (ballPosition.Z + t2players[selectedplayer2]->getPosition().Z)/2;
                middleballPosition.Y = 250;
                points.push_back(middleballPosition);
                points.push_back(t2players[selectedplayer2]->getPosition());
                anim = smgr->createFollowSplineAnimator((s32)now, points, 1.0f, 0.5f, false, false);
                //anim = smgr->createFlyStraightAnimator(ballPosition,t2players[selectedplayer2]->getPosition(),
                //                (int)5*sqrtf((ballPosition.X-t2players[selectedplayer2]->getPosition().X)*(ballPosition.X-t2players[selectedplayer2]->getPosition().X)+
                //                (ballPosition.Z-t2players[selectedplayer2]->getPosition().Z)*(ballPosition.Z-t2players[selectedplayer2]->getPosition().Z))/6, false);
                if (anim)
                {
                    ball->addAnimator(anim);
                    anim->drop();
                    pressedby =2;
                }
            }

            else if (uprightcorner || downrightcorner)
            {
                int hede;
                if (uprightcorner) hede = 2;
                else if (downrightcorner) hede = 5;

                uprightcorner = false;
                downrightcorner = false;

                //dummy variable to keep player to be chosen
                int osman = selectedplayer2;

                //Check closest player to the ball
                for (int k=0, l=100000; k<11; k++)
                {
                    //check each player except current selected player
                    if ((k != selectedplayer2) && (k != hede))
                    {
                        node2Position2 = t2players[k]->getPosition();
                        int dist = (int)sqrtf((node2Position2.X)*(node2Position2.X)+(node2Position2.Z-stat->getRightLine())*(node2Position2.Z-stat->getRightLine()));
                        if (dist < l)
                        {
                            l=dist;
                            osman=k;
                        }
                    }
                }
                selectedplayer2 = osman;

                //assign the result
                nodePosition2 = t2players[selectedplayer2]->getPosition();

                //Create an animator to make the ball's move
                anim = smgr->createFlyStraightAnimator(ballPosition,t2players[selectedplayer2]->getPosition(),
                                (int)5*sqrtf((ballPosition.X-t2players[selectedplayer2]->getPosition().X)*(ballPosition.X-t2players[selectedplayer2]->getPosition().X)+
                                (ballPosition.Z-t2players[selectedplayer2]->getPosition().Z)*(ballPosition.Z-t2players[selectedplayer2]->getPosition().Z))/6, false);
                if (anim)
                {
                    ball->addAnimator(anim);
                    anim->drop();
                    pressedby =2;
                }
            }


            //If selected player has ball -> shoot (otherwise do nothing)
            if (t2players[selectedplayer2]->hasball)
            {
                //Player does not have ball any longer
                t2players[selectedplayer2]->hasball = false;

                //Send ball to a certain distance relative to the player's facing
                nodePosition2 = t2players[selectedplayer2]->getPosition();
                newballPosition.Y = nodePosition2.Y;
                newballPosition.X = nodePosition2.X + 0.9*stat->getUpLine()*sin(t2players[selectedplayer2]->facingangle*PI/180);
                newballPosition.Z = nodePosition2.Z + 0.9*stat->getUpLine()*cos(t2players[selectedplayer2]->facingangle*PI/180);

                //dummy variable to keep player to be chosen
                int osman = selectedplayer2;

                //Find player closest to the location where ball will be expected to stop after shooting
                for (int i=0, j=10000; i< 11; i++)
                {
                    if (i != selectedplayer2)
                    {
                        node2Position2 = t2players[i]->getPosition();
                        int dist = (int)sqrtf((node2Position2.X-newballPosition.X)*(node2Position2.X-newballPosition.X)+(node2Position2.Z-newballPosition.Z)*(node2Position2.Z-newballPosition.Z));
                        if (dist < j)
                        {
                            j=dist;
                            osman=i;
                        }
                    }
                }
                //Change player according to the result of selection above
                selectedplayer2 = osman;
                nodePosition2 = t2players[selectedplayer2]->getPosition();

                //If we want to use 3D ball animation;
                //"follow spline animator" code below can be used
                //instead of "fly straight animator"
                core::array< core::vector3df > points;
                points.push_back(ballPosition);
                core::vector3df middleballPosition;
                middleballPosition.X = (ballPosition.X + newballPosition.X)/2;
                middleballPosition.Z = (ballPosition.Z + newballPosition.Z)/2;
                middleballPosition.Y = 100;
                points.push_back(middleballPosition);
                points.push_back(newballPosition);
                anim = smgr->createFollowSplineAnimator((s32)now, points, 2.4f, 0.5f, false, false);


                //Create an animator to make the ball's move
                //anim = smgr->createFlyStraightAnimator(ballPosition,newballPosition, (int)5*sqrtf((ballPosition.X-newballPosition.X)*(ballPosition.X-newballPosition.X)+(ballPosition.Z-newballPosition.Z)*(ballPosition.Z-newballPosition.Z))/6, false);
                if (anim)
                {
                    ball->addAnimator(anim);
                    anim->drop();
                    pressedby =2;
                }
            }
        }
    }
    else if (mode == STREET)
    {
        //"pressedd2" variable is used to check "button up" case (it is not supported by irrlicht by default)
        if (!joystickData.IsButtonPressed(1)) pressedd2 = false;

        if(joystickData.IsButtonPressed(1) && !pressedd2 && !goalguard && !t2throwinguard)
        {
            pressedd2 = true;
            engine->play2D("../../media/dekme.wav",false);

            if (leftout)
            {
                leftout = false;

                //dummy variable to keep player to be chosen
                int osman = selectedplayer2;

                //Check closest player to the ball
                for (int k=0, l=0; k<3; k++)
                {
                    //check each player except current selected player
                    if (k != selectedplayer2)
                    {
                        node2Position2 = t2players[k]->getPosition();
                        int dist = (int)sqrtf((node2Position2.X-ballPosition.X)*(node2Position2.X-ballPosition.X)+(node2Position2.Z-ballPosition.Z)*(node2Position2.Z-ballPosition.Z));
                        if (dist > l)
                        {
                            l=dist;
                            osman=k;
                        }
                    }
                }
                selectedplayer2 = osman;

                //assign the result
                nodePosition2 = t2players[selectedplayer2]->getPosition();

                //Create an animator to make the ball's move
                anim = smgr->createFlyStraightAnimator(ballPosition,t2players[selectedplayer2]->getPosition(),
                                (int)5*sqrtf((ballPosition.X-t2players[selectedplayer2]->getPosition().X)*(ballPosition.X-t2players[selectedplayer2]->getPosition().X)+
                                (ballPosition.Z-t2players[selectedplayer2]->getPosition().Z)*(ballPosition.Z-t2players[selectedplayer2]->getPosition().Z))/6, false);
                if (anim)
                {
                    ball->addAnimator(anim);
                    anim->drop();
                    pressedby =2;
                }
            }

            else if (uprightcorner || downrightcorner)
            {
                int hede;
                if (uprightcorner) hede = 1;
                else if (downrightcorner) hede = 0;

                uprightcorner = false;
                downrightcorner = false;

                //dummy variable to keep player to be chosen
                int osman = selectedplayer2;

                //Check closest player to the ball
                for (int k=0, l=100000; k<3; k++)
                {
                    //check each player except current selected player
                    if ((k != selectedplayer2) && (k != hede))
                    {
                        node2Position2 = t2players[k]->getPosition();
                        int dist = (int)sqrtf((node2Position2.X)*(node2Position2.X)+(node2Position2.Z-stat->getRightLine())*(node2Position2.Z-stat->getRightLine()));
                        if (dist < l)
                        {
                            l=dist;
                            osman=k;
                        }
                    }
                }
                selectedplayer2 = osman;

                //assign the result
                nodePosition2 = t2players[selectedplayer2]->getPosition();

                //Create an animator to make the ball's move
                anim = smgr->createFlyStraightAnimator(ballPosition,t2players[selectedplayer2]->getPosition(),
                                (int)5*sqrtf((ballPosition.X-t2players[selectedplayer2]->getPosition().X)*(ballPosition.X-t2players[selectedplayer2]->getPosition().X)+
                                (ballPosition.Z-t2players[selectedplayer2]->getPosition().Z)*(ballPosition.Z-t2players[selectedplayer2]->getPosition().Z))/6, false);
                if (anim)
                {
                    ball->addAnimator(anim);
                    anim->drop();
                    pressedby =2;
                }
            }


            //If selected player has ball -> shoot (otherwise do nothing)
            if (t2players[selectedplayer2]->hasball)
            {
                //Player does not have ball any longer
                t2players[selectedplayer2]->hasball = false;

                //Send ball to a certain distance relative to the player's facing
                nodePosition2 = t2players[selectedplayer2]->getPosition();
                newballPosition.Y = nodePosition2.Y;
                newballPosition.X = nodePosition2.X + 0.9*stat->getUpLine()*sin(t2players[selectedplayer2]->facingangle*PI/180);
                newballPosition.Z = nodePosition2.Z + 0.9*stat->getUpLine()*cos(t2players[selectedplayer2]->facingangle*PI/180);

                //dummy variable to keep player to be chosen
                int osman = selectedplayer2;

                //Find player closest to the location where ball will be expected to stop after shooting
                for (int i=0, j=10000; i< 3; i++)
                {
                    if (i != selectedplayer2)
                    {
                        node2Position2 = t2players[i]->getPosition();
                        int dist = (int)sqrtf((node2Position2.X-newballPosition.X)*(node2Position2.X-newballPosition.X)+(node2Position2.Z-newballPosition.Z)*(node2Position2.Z-newballPosition.Z));
                        if (dist < j)
                        {
                            j=dist;
                            osman=i;
                        }
                    }
                }
                //Change player according to the result of selection above
                selectedplayer2 = osman;
                nodePosition2 = t2players[selectedplayer2]->getPosition();



                //If we want to use 3D ball animation;
                //"follow spline animator" code below can be used
                //instead of "fly straight animator"
                core::array< core::vector3df > points;
                points.push_back(ballPosition);
                core::vector3df middleballPosition;
                middleballPosition.X = (ballPosition.X + newballPosition.X)/2;
                middleballPosition.Z = (ballPosition.Z + newballPosition.Z)/2;
                middleballPosition.Y = 100;
                points.push_back(middleballPosition);
                points.push_back(newballPosition);
                anim = smgr->createFollowSplineAnimator((s32)now, points, 3.0f, 0.5f, false, false);

                //Create an animator to make the ball's move
                //anim = smgr->createFlyStraightAnimator(ballPosition,newballPosition, (int)5*sqrtf((ballPosition.X-newballPosition.X)*(ballPosition.X-newballPosition.X)+(ballPosition.Z-newballPosition.Z)*(ballPosition.Z-newballPosition.Z))/6, false);
                if (anim)
                {
                    ball->addAnimator(anim);
                    anim->drop();
                    pressedby =2;
                }
            }
        }
    }
}




void checkButtonATeam1(MyEventReceiver &receiver, core::vector3df &nodePosition, core::vector3df &ballPosition,
                        int &selectedplayer, int &selectedplayer2, int &pressedby, Player* t1players[], Player* t2players[],
                        bool &goalguard, bool &t1throwinguard,  scene::ISceneNodeAnimator* anim, scene::IAnimatedMeshSceneNode* ball,
                        scene::ISceneManager* smgr, bool &upthrowinguard, bool &downthrowinguard, bool &rightout, bool &upleftcorner,
                        bool &downleftcorner, bool uprightcorner, bool downrightcorner, bool leftout, u32 now, Stadium* stat,
                        core::vector3df &node2Position, core::vector3df oldballPosition, core::vector3df &newballPosition, gamemode mode)
{
    //"presseda" variable is used to check "button up" case (it is not supported by irrlicht by default)
    if (!receiver.IsKeyDown(irr::KEY_KEY_A)) presseda = false;

    if(receiver.IsKeyDown(irr::KEY_KEY_A) && !presseda && !goalguard)
    {
        presseda = true;

        if (t1throwinguard)
        {
            t1throwinguard = false;
            upthrowinguard = false;
            downthrowinguard = false;
            engine->play2D("../../media/dekme.wav",false);

            //Create an animator to make the ball's move
            if (mode == CLASSIC)
            {
                core::array< core::vector3df > points;
                ballPosition = ball->getPosition();
                points.push_back(ballPosition);
                core::vector3df middleballPosition;
                middleballPosition.X = (ballPosition.X + t1players[selectedplayer]->getPosition().X)/2;
                middleballPosition.Z = (ballPosition.Z + t1players[selectedplayer]->getPosition().Z)/2;
                middleballPosition.Y = 190;
                points.push_back(middleballPosition);
                points.push_back(t1players[selectedplayer]->getPosition());
                anim = smgr->createFollowSplineAnimator((s32)now, points, 2.4f, 0.5f, false, false);
            }
            else if (mode == STREET)
            {
                anim = smgr->createFlyStraightAnimator(ballPosition,t1players[selectedplayer]->getPosition(),
                                (int)5*sqrtf((ballPosition.X-t1players[selectedplayer]->getPosition().X)*(ballPosition.X-t1players[selectedplayer]->getPosition().X)+
                                (ballPosition.Z-t1players[selectedplayer]->getPosition().Z)*(ballPosition.Z-t1players[selectedplayer]->getPosition().Z))/6, false);
            }
            if (anim)
            {
                ball->addAnimator(anim);
                anim->drop();
                pressedby =1;
            }

        }
        else if (rightout)
        {
            rightout = false;
            engine->play2D("../../media/dekme.wav",false);

            //Create an animator to make the ball's move
            anim = smgr->createFlyStraightAnimator(ballPosition,t1players[selectedplayer]->getPosition(),
                            (int)5*sqrtf((ballPosition.X-t1players[selectedplayer]->getPosition().X)*(ballPosition.X-t1players[selectedplayer]->getPosition().X)+
                            (ballPosition.Z-t1players[selectedplayer]->getPosition().Z)*(ballPosition.Z-t1players[selectedplayer]->getPosition().Z))/6, false);
            if (anim)
            {
                ball->addAnimator(anim);
                anim->drop();
                pressedby =1;
            }

        }
        else if (upleftcorner || downleftcorner)
        {
            upleftcorner = false;
            downleftcorner = false;
            engine->play2D("../../media/dekme.wav",false);

            //Create an animator to make the ball's move
            anim = smgr->createFlyStraightAnimator(ballPosition,t1players[selectedplayer]->getPosition(),
                            (int)5*sqrtf((ballPosition.X-t1players[selectedplayer]->getPosition().X)*(ballPosition.X-t1players[selectedplayer]->getPosition().X)+
                            (ballPosition.Z-t1players[selectedplayer]->getPosition().Z)*(ballPosition.Z-t1players[selectedplayer]->getPosition().Z))/6, false);
            if (anim)
            {
                ball->addAnimator(anim);
                anim->drop();
                pressedby =1;
            }

        }

        //if selected player does not alrady have the ball

        else if (!t1players[selectedplayer]->hasball && !upthrowinguard && !leftout && !rightout && !upleftcorner && !uprightcorner &&
                 !downthrowinguard && !downleftcorner && !downrightcorner)
        {
            //Check if ball is player's range
            if (sqrtf((ballPosition.X-nodePosition.X)*(ballPosition.X-nodePosition.X)+(ballPosition.Z-nodePosition.Z)*(ballPosition.Z-nodePosition.Z)) <=100)
            {
                //put ball into player's posession
                t1players[selectedplayer]->hasball = true;
                t2players[selectedplayer2]->hasball = false;

                pressedby = 0;
            }
        }
        else if (t1players[selectedplayer]->hasball)
        {
            engine->play2D("../../media/dekme.wav",false);

            //Player does not have ball any longer
            t1players[selectedplayer]->hasball = false;

            //dummy variable to keep player to be chosen
            int osman = selectedplayer;

            bool foundplayer = false;

            int pnum = 11;
            if (mode == CLASSIC) pnum =11;
            else if (mode == STREET) pnum =3;

            if (t1players[selectedplayer]->getPlayerAngle() == 0)
            {
                for (int k=0, l=100000; k< pnum; k++)
                {
                    if (k != selectedplayer)
                    {
                        node2Position = t1players[k]->getPosition();

                        int dist = node2Position.Z - nodePosition.Z;

                        if ((nodePosition.Z < node2Position.Z) && (node2Position.X <= nodePosition.X + dist) && (node2Position.X >= nodePosition.X - dist))
                        {
                            foundplayer = true;

                            int dist = (int)sqrtf((node2Position.X-nodePosition.X)*(node2Position.X-nodePosition.X)+(node2Position.Z-nodePosition.Z)*(node2Position.Z-nodePosition.Z));

                            if (dist < l)
                            {
                                l=dist;
                                osman=k;
                            }
                        }
                    }
                }

            }
            else if (t1players[selectedplayer]->getPlayerAngle() < 90)
            {
                for (int k=0, l=100000; k< pnum; k++)
                {
                    if (k != selectedplayer)
                    {
                        node2Position = t1players[k]->getPosition();

                        if ((nodePosition.Z <= node2Position.Z) && (nodePosition.X <= node2Position.X))
                        {
                            foundplayer = true;

                            int dist = (int)sqrtf((node2Position.X-nodePosition.X)*(node2Position.X-nodePosition.X)+(node2Position.Z-nodePosition.Z)*(node2Position.Z-nodePosition.Z));

                            if (dist < l)
                            {
                                l=dist;
                                osman=k;
                            }
                        }
                    }
                }
            }
            else if (t1players[selectedplayer]->getPlayerAngle() == 90)
            {
                for (int k=0, l=100000; k< pnum; k++)
                {
                    if (k != selectedplayer)
                    {
                        node2Position = t1players[k]->getPosition();

                        int dist = node2Position.X - nodePosition.X;

                        if ((nodePosition.X < node2Position.X) && (node2Position.Z <= nodePosition.Z + dist) && (node2Position.Z >= nodePosition.Z - dist))
                        {
                            foundplayer = true;

                            int dist = (int)sqrtf((node2Position.X-nodePosition.X)*(node2Position.X-nodePosition.X)+(node2Position.Z-nodePosition.Z)*(node2Position.Z-nodePosition.Z));

                            if (dist < l)
                            {
                                l=dist;
                                osman=k;
                            }
                        }
                    }
                }
            }
            else if (t1players[selectedplayer]->getPlayerAngle() < 180)
            {
                for (int k=0, l=100000; k< pnum; k++)
                {
                    if (k != selectedplayer)
                    {
                        node2Position = t1players[k]->getPosition();

                        if ((nodePosition.Z >= node2Position.Z) && (nodePosition.X <= node2Position.X))
                        {
                            foundplayer = true;

                            int dist = (int)sqrtf((node2Position.X-nodePosition.X)*(node2Position.X-nodePosition.X)+(node2Position.Z-nodePosition.Z)*(node2Position.Z-nodePosition.Z));

                            if (dist < l)
                            {
                                l=dist;
                                osman=k;
                            }
                        }
                    }
                }
            }
            else if (t1players[selectedplayer]->getPlayerAngle() == 180)
            {
                for (int k=0, l=100000; k< pnum; k++)
                {
                    if (k != selectedplayer)
                    {
                        node2Position = t1players[k]->getPosition();

                        int dist = nodePosition.Z - node2Position.Z;

                        if ((nodePosition.Z > node2Position.Z) && (node2Position.X <= nodePosition.X + dist) && (node2Position.X >= nodePosition.X - dist))
                        {
                            foundplayer = true;

                            int dist = (int)sqrtf((node2Position.X-nodePosition.X)*(node2Position.X-nodePosition.X)+(node2Position.Z-nodePosition.Z)*(node2Position.Z-nodePosition.Z));

                            if (dist < l)
                            {
                                l=dist;
                                osman=k;
                            }
                        }
                    }
                }
            }
            else if (t1players[selectedplayer]->getPlayerAngle() < 270)
            {
                for (int k=0, l=100000; k< pnum; k++)
                {
                    if (k != selectedplayer)
                    {
                        node2Position = t1players[k]->getPosition();

                        if ((nodePosition.Z >= node2Position.Z) && (nodePosition.X >= node2Position.X))
                        {
                            foundplayer = true;

                            int dist = (int)sqrtf((node2Position.X-nodePosition.X)*(node2Position.X-nodePosition.X)+(node2Position.Z-nodePosition.Z)*(node2Position.Z-nodePosition.Z));

                            if (dist < l)
                            {
                                l=dist;
                                osman=k;
                            }
                        }
                    }
                }
            }
            else if (t1players[selectedplayer]->getPlayerAngle() == 270)
            {
                for (int k=0, l=100000; k< pnum; k++)
                {
                    if (k != selectedplayer)
                    {
                        node2Position = t1players[k]->getPosition();

                        int dist = nodePosition.X - node2Position.X;

                        if ((nodePosition.X > node2Position.X) && (node2Position.Z <= nodePosition.Z + dist) && (node2Position.Z >= nodePosition.Z - dist))
                        {
                            foundplayer = true;

                            int dist = (int)sqrtf((node2Position.X-nodePosition.X)*(node2Position.X-nodePosition.X)+(node2Position.Z-nodePosition.Z)*(node2Position.Z-nodePosition.Z));

                            if (dist < l)
                            {
                                l=dist;
                                osman=k;
                            }
                        }
                    }
                }
            }
            else if (t1players[selectedplayer]->getPlayerAngle() < 360)
            {
                for (int k=0, l=100000; k< pnum; k++)
                {
                    if (k != selectedplayer)
                    {
                        node2Position = t1players[k]->getPosition();

                        if ((nodePosition.Z <= node2Position.Z) && (nodePosition.X >= node2Position.X))
                        {
                            foundplayer = true;

                            int dist = (int)sqrtf((node2Position.X-nodePosition.X)*(node2Position.X-nodePosition.X)+(node2Position.Z-nodePosition.Z)*(node2Position.Z-nodePosition.Z));

                            if (dist < l)
                            {
                                l=dist;
                                osman=k;
                            }
                        }
                    }
                }
            }

            if (foundplayer)
            {
                //Send ball to the front of chosen player (relative to his facing)
                selectedplayer = osman;
                nodePosition = t1players[selectedplayer]->getPosition();
                newballPosition.Y = nodePosition.Y;
                newballPosition.X = nodePosition.X + 30*sin(t1players[selectedplayer]->facingangle*PI/180);
                newballPosition.Z = nodePosition.Z + 30*cos(t1players[selectedplayer]->facingangle*PI/180);

                //Create an animator to make the ball's move

                core::array< core::vector3df > points;
                points.push_back(ballPosition);
                core::vector3df middleballPosition;
                middleballPosition.X = (ballPosition.X + newballPosition.X)/2;
                middleballPosition.Z = (ballPosition.Z + newballPosition.Z)/2;
                middleballPosition.Y = 100;
                points.push_back(middleballPosition);
                points.push_back(newballPosition);
                anim = smgr->createFollowSplineAnimator((s32)now, points, 2.4f, 0.5f, false, false);


                //anim = smgr->createFlyStraightAnimator(ballPosition,newballPosition, (int)5*sqrtf((ballPosition.X-newballPosition.X)*(ballPosition.X-newballPosition.X)+(ballPosition.Z-newballPosition.Z)*(ballPosition.Z-newballPosition.Z))/6, false);
                if (anim)
                {
                    ball->addAnimator(anim);
                    anim->drop();
                }
            }
            else
            {
                 //Send ball to a certain distance relative to the player's facing
                nodePosition = t1players[selectedplayer]->getPosition();
                newballPosition.Y = nodePosition.Y;
                newballPosition.X = nodePosition.X + 0.3*stat->getLeftLine()*sin(t1players[selectedplayer]->facingangle*PI/180);
                newballPosition.Z = nodePosition.Z + 0.3*stat->getLeftLine()*cos(t1players[selectedplayer]->facingangle*PI/180);

                //dummy variable to keep player to be chosen
                int osman = selectedplayer;

                //Find player closest to the location where ball will be expected to stop after shooting
                for (int i=0, j=10000; i< pnum; i++){
                    if (i != selectedplayer){
                        node2Position = t1players[i]->getPosition();
                        int dist = (int)sqrtf((node2Position.X-newballPosition.X)*(node2Position.X-newballPosition.X)+(node2Position.Z-newballPosition.Z)*(node2Position.Z-newballPosition.Z));
                        if (dist < j){
                            j=dist;
                            osman=i;
                        }
                    }
                }
                //Change player according to the result of selection above
                selectedplayer = osman;
                nodePosition = t1players[selectedplayer]->getPosition();

                oldballPosition = ballPosition;

                //Create an animator to make the ball's move

                core::array< core::vector3df > points;
                points.push_back(ballPosition);
                core::vector3df middleballPosition;
                middleballPosition.X = (ballPosition.X + newballPosition.X)/2;
                middleballPosition.Z = (ballPosition.Z + newballPosition.Z)/2;
                middleballPosition.Y = 100;
                points.push_back(middleballPosition);
                points.push_back(newballPosition);
                anim = smgr->createFollowSplineAnimator((s32)now, points, 2.4f, 0.5f, false, false);

                //anim = smgr->createFlyStraightAnimator(ballPosition,newballPosition, (int)5*sqrtf((ballPosition.X-newballPosition.X)*(ballPosition.X-newballPosition.X)+(ballPosition.Z-newballPosition.Z)*(ballPosition.Z-newballPosition.Z))/6, false);
                if (anim)
                {
                    ball->addAnimator(anim);
                    anim->drop();
                    pressedby = 1;
                }
            }
        }
    }
}





void checkButtonATeam2(const SEvent::SJoystickEvent &joystickData, core::vector3df &nodePosition2, core::vector3df &ballPosition,
                        int &selectedplayer, int &selectedplayer2,  int &pressedby, Player* t1players[11], Player* t2players[11],
                        bool &goalguard, bool &t2throwinguard,  scene::ISceneNodeAnimator* anim, scene::IAnimatedMeshSceneNode* ball,
                        scene::ISceneManager* smgr, bool &upthrowinguard, bool &downthrowinguard, bool &leftout, bool &uprightcorner,
                        bool &downrightcorner, bool upleftcorner, bool downleftcorner,  bool rightout, u32 now, Stadium* stat,
                        core::vector3df &node2Position2, core::vector3df oldballPosition, core::vector3df &newballPosition, gamemode mode)
{
    //"presseda2" variable is used to check "button up" case (it is not supported by irrlicht by default)
    if (!joystickData.IsButtonPressed(3)) presseda2 = false;

    if(joystickData.IsButtonPressed(3) && !presseda2 && !goalguard)
    {
        presseda2 = true;


        if (t2throwinguard)
        {
            t2throwinguard = false;
            upthrowinguard = false;
            downthrowinguard = false;
            engine->play2D("../../media/dekme.wav",false);

            //Create an animator to make the ball's move
            if (mode == CLASSIC)
            {
                core::array< core::vector3df > points;
                ballPosition = ball->getPosition();
                points.push_back(ballPosition);
                core::vector3df middleballPosition;
                middleballPosition.X = (ballPosition.X + t2players[selectedplayer2]->getPosition().X)/2;
                middleballPosition.Z = (ballPosition.Z + t2players[selectedplayer2]->getPosition().Z)/2;
                middleballPosition.Y = 190;
                points.push_back(middleballPosition);
                points.push_back(t2players[selectedplayer2]->getPosition());
                anim = smgr->createFollowSplineAnimator((s32)now, points, 2.4f, 0.5f, false, false);
            }
            else if (mode == STREET)
            {
                anim = smgr->createFlyStraightAnimator(ballPosition,t2players[selectedplayer2]->getPosition(),
                                (int)5*sqrtf((ballPosition.X-t2players[selectedplayer2]->getPosition().X)*(ballPosition.X-t2players[selectedplayer2]->getPosition().X)+
                                (ballPosition.Z-t2players[selectedplayer2]->getPosition().Z)*(ballPosition.Z-t2players[selectedplayer2]->getPosition().Z))/6, false);
            }
            if (anim)
            {
                ball->addAnimator(anim);
                anim->drop();
                pressedby =2;
            }

        }
        else if (leftout)
        {
            leftout = false;
            engine->play2D("../../media/dekme.wav",false);

            //Create an animator to make the ball's move
            anim = smgr->createFlyStraightAnimator(ballPosition,t2players[selectedplayer2]->getPosition(),
                            (int)5*sqrtf((ballPosition.X-t2players[selectedplayer2]->getPosition().X)*(ballPosition.X-t2players[selectedplayer2]->getPosition().X)+
                            (ballPosition.Z-t2players[selectedplayer2]->getPosition().Z)*(ballPosition.Z-t2players[selectedplayer2]->getPosition().Z))/6, false);
            if (anim)
            {
                ball->addAnimator(anim);
                anim->drop();
                pressedby =2;
            }
        }
        else if (uprightcorner || downrightcorner)
        {
            uprightcorner = false;
            downrightcorner = false;
            engine->play2D("../../media/dekme.wav",false);

            //Create an animator to make the ball's move
            anim = smgr->createFlyStraightAnimator(ballPosition,t2players[selectedplayer2]->getPosition(),
                            (int)5*sqrtf((ballPosition.X-t2players[selectedplayer2]->getPosition().X)*(ballPosition.X-t2players[selectedplayer2]->getPosition().X)+
                            (ballPosition.Z-t2players[selectedplayer2]->getPosition().Z)*(ballPosition.Z-t2players[selectedplayer2]->getPosition().Z))/6, false);
            if (anim)
            {
                ball->addAnimator(anim);
                anim->drop();
                pressedby =2;
            }

        }

        //if selected player does not alrady have the ball
        else if (!t2players[selectedplayer2]->hasball && !upthrowinguard && !leftout && !rightout && !upleftcorner && !uprightcorner &&
                 !downthrowinguard && !downleftcorner && !downrightcorner)
        {
            //Check if ball is player's range
            if (sqrtf((ballPosition.X-nodePosition2.X)*(ballPosition.X-nodePosition2.X)+(ballPosition.Z-nodePosition2.Z)*(ballPosition.Z-nodePosition2.Z)) <=100)
            {
                //put ball into player's posession
                t2players[selectedplayer2]->hasball = true;
                t1players[selectedplayer]->hasball = false;

                pressedby = 0;
            }
        }

        //if player hasball
        else if (t2players[selectedplayer2]->hasball)
        {
            goalguard = false;
            engine->play2D("../../media/dekme.wav",false);

            //Player does not have ball any longer
            t2players[selectedplayer2]->hasball = false;

            //dummy variable to keep player to be chosen
            int osman = selectedplayer2;

            bool foundplayer = false;

            int pnum = 11;
            if (mode == CLASSIC) pnum = 11;
            else if (mode == STREET) pnum = 3;

            if (t2players[selectedplayer2]->getPlayerAngle() == 0)
            {
                for (int k=0, l=100000; k< pnum; k++)
                {
                    if (k != selectedplayer2)
                    {
                        node2Position2 = t2players[k]->getPosition();

                        int dist = node2Position2.Z - nodePosition2.Z;

                        if ((nodePosition2.Z < node2Position2.Z) && (node2Position2.X <= nodePosition2.X + dist) && (node2Position2.X >= nodePosition2.X - dist))
                        {
                            foundplayer = true;

                            int dist = (int)sqrtf((node2Position2.X-nodePosition2.X)*(node2Position2.X-nodePosition2.X)+(node2Position2.Z-nodePosition2.Z)*(node2Position2.Z-nodePosition2.Z));

                            if (dist < l)
                            {
                                l=dist;
                                osman=k;
                            }
                        }
                    }
                }

            }
            else if (t2players[selectedplayer2]->getPlayerAngle() < 90)
            {
                for (int k=0, l=100000; k<pnum; k++)
                {
                    if (k != selectedplayer2)
                    {
                        node2Position2 = t2players[k]->getPosition();

                        if ((nodePosition2.Z <= node2Position2.Z) && (nodePosition2.X <= node2Position2.X))
                        {
                            foundplayer = true;

                            int dist = (int)sqrtf((node2Position2.X-nodePosition2.X)*(node2Position2.X-nodePosition2.X)+(node2Position2.Z-nodePosition2.Z)*(node2Position2.Z-nodePosition2.Z));

                            if (dist < l)
                            {
                                l=dist;
                                osman=k;
                            }
                        }
                    }
                }
            }
            else if (t2players[selectedplayer2]->getPlayerAngle() == 90)
            {
                for (int k=0, l=100000; k< pnum; k++)
                {
                    if (k != selectedplayer2)
                    {
                        node2Position2 = t2players[k]->getPosition();

                        int dist = node2Position2.X - nodePosition2.X;

                        if ((nodePosition2.X < node2Position2.X) && (node2Position2.Z <= nodePosition2.Z + dist) && (node2Position2.Z >= nodePosition2.Z - dist))
                        {
                            foundplayer = true;

                            int dist = (int)sqrtf((node2Position2.X-nodePosition2.X)*(node2Position2.X-nodePosition2.X)+(node2Position2.Z-nodePosition2.Z)*(node2Position2.Z-nodePosition2.Z));

                            if (dist < l)
                            {
                                l=dist;
                                osman=k;
                            }
                        }
                    }
                }
            }
            else if (t2players[selectedplayer2]->getPlayerAngle() < 180)
            {
                for (int k=0, l=100000; k< pnum; k++)
                {
                    if (k != selectedplayer2)
                    {
                        node2Position2 = t2players[k]->getPosition();

                        if ((nodePosition2.Z >= node2Position2.Z) && (nodePosition2.X <= node2Position2.X))
                        {
                            foundplayer = true;

                            int dist = (int)sqrtf((node2Position2.X-nodePosition2.X)*(node2Position2.X-nodePosition2.X)+(node2Position2.Z-nodePosition2.Z)*(node2Position2.Z-nodePosition2.Z));

                            if (dist < l)
                            {
                                l=dist;
                                osman=k;
                            }
                        }
                    }
                }
            }
            else if (t2players[selectedplayer2]->getPlayerAngle() == 180)
            {
                for (int k=0, l=100000; k< pnum; k++)
                {
                    if (k != selectedplayer2)
                    {
                        node2Position2 = t2players[k]->getPosition();

                        int dist = nodePosition2.Z - node2Position2.Z;

                        if ((nodePosition2.Z > node2Position2.Z) && (node2Position2.X <= nodePosition2.X + dist) && (node2Position2.X >= nodePosition2.X - dist))
                        {
                            foundplayer = true;

                            int dist = (int)sqrtf((node2Position2.X-nodePosition2.X)*(node2Position2.X-nodePosition2.X)+(node2Position2.Z-nodePosition2.Z)*(node2Position2.Z-nodePosition2.Z));

                            if (dist < l)
                            {
                                l=dist;
                                osman=k;
                            }
                        }
                    }
                }
            }
            else if (t2players[selectedplayer2]->getPlayerAngle() < 270)
            {
                for (int k=0, l=100000; k< pnum; k++)
                {
                    if (k != selectedplayer2)
                    {
                        node2Position2 = t2players[k]->getPosition();

                        if ((nodePosition2.Z >= node2Position2.Z) && (nodePosition2.X >= node2Position2.X))
                        {
                            foundplayer = true;

                            int dist = (int)sqrtf((node2Position2.X-nodePosition2.X)*(node2Position2.X-nodePosition2.X)+(node2Position2.Z-nodePosition2.Z)*(node2Position2.Z-nodePosition2.Z));

                            if (dist < l)
                            {
                                l=dist;
                                osman=k;
                            }
                        }
                    }
                }
            }
            else if (t2players[selectedplayer2]->getPlayerAngle() == 270)
            {
                for (int k=0, l=100000; k< pnum; k++)
                {
                    if (k != selectedplayer2)
                    {
                        node2Position2 = t2players[k]->getPosition();

                        int dist = nodePosition2.X - node2Position2.X;

                        if ((nodePosition2.X > node2Position2.X) && (node2Position2.Z <= nodePosition2.Z + dist) && (node2Position2.Z >= nodePosition2.Z - dist))
                        {
                            foundplayer = true;

                            int dist = (int)sqrtf((node2Position2.X-nodePosition2.X)*(node2Position2.X-nodePosition2.X)+(node2Position2.Z-nodePosition2.Z)*(node2Position2.Z-nodePosition2.Z));

                            if (dist < l)
                            {
                                l=dist;
                                osman=k;
                            }
                        }
                    }
                }
            }
            else if (t2players[selectedplayer2]->getPlayerAngle() < 360)
            {
                for (int k=0, l=100000; k< pnum; k++)
                {
                    if (k != selectedplayer2)
                    {
                        node2Position2 = t2players[k]->getPosition();

                        if ((nodePosition2.Z <= node2Position2.Z) && (nodePosition2.X >= node2Position2.X))
                        {
                            foundplayer = true;

                            int dist = (int)sqrtf((node2Position2.X-nodePosition2.X)*(node2Position2.X-nodePosition2.X)+(node2Position2.Z-nodePosition2.Z)*(node2Position2.Z-nodePosition2.Z));

                            if (dist < l)
                            {
                                l=dist;
                                osman=k;
                            }
                        }
                    }
                }
            }

            if (foundplayer)
            {
                //Send ball to the front of chosen player (relative to his facing)
                selectedplayer2 = osman;
                nodePosition2 = t2players[selectedplayer2]->getPosition();
                newballPosition.Y = nodePosition2.Y;
                newballPosition.X = nodePosition2.X + 30*sin(t2players[selectedplayer2]->facingangle*PI/180);
                newballPosition.Z = nodePosition2.Z + 30*cos(t2players[selectedplayer2]->facingangle*PI/180);

                //Create an animator to make the ball's move
                core::array< core::vector3df > points;
                points.push_back(ballPosition);
                core::vector3df middleballPosition;
                middleballPosition.X = (ballPosition.X + newballPosition.X)/2;
                middleballPosition.Z = (ballPosition.Z + newballPosition.Z)/2;
                middleballPosition.Y = 100;
                points.push_back(middleballPosition);
                points.push_back(newballPosition);
                anim = smgr->createFollowSplineAnimator((s32)now, points, 2.4f, 0.5f, false, false);


                //anim = smgr->createFlyStraightAnimator(ballPosition,newballPosition, (int)5*sqrtf((ballPosition.X-newballPosition.X)*(ballPosition.X-newballPosition.X)+(ballPosition.Z-newballPosition.Z)*(ballPosition.Z-newballPosition.Z))/6, false);
                if (anim)
                {
                    ball->addAnimator(anim);
                    anim->drop();
                }
            }
            else
            {
                 //Send ball to a certain distance relative to the player's facing
                nodePosition2 = t2players[selectedplayer2]->getPosition();
                newballPosition.Y = nodePosition2.Y;
                newballPosition.X = nodePosition2.X + 0.3*stat->getLeftLine()*sin(t2players[selectedplayer2]->facingangle*PI/180);
                newballPosition.Z = nodePosition2.Z + 0.3*stat->getLeftLine()*cos(t2players[selectedplayer2]->facingangle*PI/180);

                //dummy variable to keep player to be chosen
                int osman = selectedplayer2;

                //Find player closest to the location where ball will be expected to stop after shooting
                for (int i=0, j=10000; i< pnum; i++){
                    if (i != selectedplayer2){
                        node2Position2 = t2players[i]->getPosition();
                        int dist = (int)sqrtf((node2Position2.X-newballPosition.X)*(node2Position2.X-newballPosition.X)+(node2Position2.Z-newballPosition.Z)*(node2Position2.Z-newballPosition.Z));
                        if (dist < j){
                            j=dist;
                            osman=i;
                        }
                    }
                }
                //Change player according to the result of selection above
                selectedplayer2 = osman;
                nodePosition2 = t2players[selectedplayer2]->getPosition();

                oldballPosition = ballPosition;

                //Create an animator to make the ball's move
                core::array< core::vector3df > points;
                points.push_back(ballPosition);
                core::vector3df middleballPosition;
                middleballPosition.X = (ballPosition.X + newballPosition.X)/2;
                middleballPosition.Z = (ballPosition.Z + newballPosition.Z)/2;
                middleballPosition.Y = 100;
                points.push_back(middleballPosition);
                points.push_back(newballPosition);
                anim = smgr->createFollowSplineAnimator((s32)now, points, 2.4f, 0.5f, false, false);

                //anim = smgr->createFlyStraightAnimator(ballPosition,newballPosition, (int)5*sqrtf((ballPosition.X-newballPosition.X)*(ballPosition.X-newballPosition.X)+(ballPosition.Z-newballPosition.Z)*(ballPosition.Z-newballPosition.Z))/6, false);
                if (anim)
                {
                    ball->addAnimator(anim);
                    anim->drop();
                    pressedby = 1;
                }
            }
        }
    }
}





void checkGoalLineLeft(Player* t1players[], Player* t2players[],
                        scene::ITextSceneNode *playernames[], scene::ITextSceneNode *playernames2[],
                        scene::IAnimatedMeshSceneNode* ball,
                        int &selectedplayer, core::vector3df &nodePosition,
                        int &selectedplayer2, core::vector3df &nodePosition2, core::vector3df &ballPosition, Stadium *stat,
                        bool &goalguard, gamemode mode, bool& t1scored, u32 now, u32& t1showtime, bool& showpart2, int& t1score)
{
    //Classic Mode
    if ( mode == CLASSIC)
    {
    //Get position of ball
        core::vector3df newballPosition2 = ball->getPosition();

        //Check if ball has just passed goal line
        if ((newballPosition2.Z > stat->getLeftLine()) && (newballPosition2.Z < stat->getLeftLine()+100) &&
            (newballPosition2.X < stat->getLeftGoalUpLine()) && (newballPosition2.X > stat->getLeftGoalDownLine()))
        {
            t1score+=1;
            t1showtime = now + 4000;
            t1scored = true;
            goalguard = true;
            showpart2 = false;
engine->play2D("../../media/gol.wav",false, false, true);
    engine->play2D("../../media/duduk.wav",false, false, true);
            //Reset team 1 player loacations
            //t1players[0]->setPosition(core::vector3df(0.25*stat->getUpLine(),   0, 0.18*stat->getRightLine()));
            t1players[1]->setPosition(core::vector3df(0.25*stat->getDownLine(), 0, 0.18*stat->getRightLine()));
            t1players[2]->setPosition(core::vector3df(0.65*stat->getUpLine(),    0, 0.35*stat->getRightLine()));
            t1players[3]->setPosition(core::vector3df(0.25*stat->getUpLine(),   0, 0.35*stat->getRightLine()));
            t1players[4]->setPosition(core::vector3df(0.25*stat->getDownLine(), 0, 0.35*stat->getRightLine()));
            t1players[5]->setPosition(core::vector3df(0.65*stat->getDownLine(),  0, 0.35*stat->getRightLine()));
            t1players[6]->setPosition(core::vector3df(0.65*stat->getDownLine(),  0, 0.65*stat->getRightLine()));
            t1players[7]->setPosition(core::vector3df(0.25*stat->getDownLine(), 0, 0.65*stat->getRightLine()));
            t1players[8]->setPosition(core::vector3df(0.25*stat->getUpLine(),   0, 0.65*stat->getRightLine()));
            t1players[9]->setPosition(core::vector3df(0.65*stat->getUpLine(),    0, 0.65*stat->getRightLine()));
            t1players[10]->setPosition(core::vector3df(0,                       0, 0.95*stat->getRightLine()));

            //Reset team 1 playername locations
            //playernames[0]->setPosition(core::vector3df(0.25*stat->getUpLine(),   120, 0.18*stat->getRightLine()));
            playernames[1]->setPosition(core::vector3df(0.25*stat->getDownLine(), 120, 0.18*stat->getRightLine()));
            playernames[2]->setPosition(core::vector3df(0.65*stat->getUpLine(),    120, 0.35*stat->getRightLine()));
            playernames[3]->setPosition(core::vector3df(0.25*stat->getUpLine(),   120, 0.35*stat->getRightLine()));
            playernames[4]->setPosition(core::vector3df(0.25*stat->getDownLine(), 120, 0.35*stat->getRightLine()));
            playernames[5]->setPosition(core::vector3df(0.65*stat->getDownLine(),  120, 0.35*stat->getRightLine()));
            playernames[6]->setPosition(core::vector3df(0.65*stat->getDownLine(),  120, 0.65*stat->getRightLine()));
            playernames[7]->setPosition(core::vector3df(0.25*stat->getDownLine(), 120, 0.65*stat->getRightLine()));
            playernames[8]->setPosition(core::vector3df(0.25*stat->getUpLine(),   120, 0.65*stat->getRightLine()));
            playernames[9]->setPosition(core::vector3df(0.65*stat->getUpLine(),    120, 0.65*stat->getRightLine()));
            playernames[10]->setPosition(core::vector3df(0,                       120, 0.95*stat->getRightLine()));


            //Reset team 2 player loacations
            t2players[0]->setPosition(core::vector3df(-30, 0, 0));
            t2players[1]->setPosition(core::vector3df(150, 0, 0));
            t2players[2]->setPosition(core::vector3df(0.65*stat->getUpLine(),      0, 0.35*stat->getLeftLine()));
            t2players[3]->setPosition(core::vector3df(0.25*stat->getUpLine(),     0, 0.35*stat->getLeftLine()));
            t2players[4]->setPosition(core::vector3df(0.25*stat->getDownLine(),   0, 0.35*stat->getLeftLine()));
            t2players[5]->setPosition(core::vector3df(0.65*stat->getDownLine(),    0, 0.35*stat->getLeftLine()));
            t2players[6]->setPosition(core::vector3df(0.65*stat->getDownLine(),    0, 0.65*stat->getLeftLine()));
            t2players[7]->setPosition(core::vector3df(0.25*stat->getDownLine(),   0, 0.65*stat->getLeftLine()));
            t2players[8]->setPosition(core::vector3df(0.25*stat->getUpLine(),     0, 0.65*stat->getLeftLine()));
            t2players[9]->setPosition(core::vector3df(0.65*stat->getUpLine(),      0, 0.65*stat->getLeftLine()));
            t2players[10]->setPosition(core::vector3df(0,                         0, 0.95*stat->getLeftLine()));

            //Reset team 2 playername locations
            playernames2[0]->setPosition(core::vector3df(-30, 120, 0));
            playernames2[1]->setPosition(core::vector3df(150, 120, 0));
            playernames2[2]->setPosition(core::vector3df(0.65*stat->getUpLine(),      120, 0.35*stat->getLeftLine()));
            playernames2[3]->setPosition(core::vector3df(0.25*stat->getUpLine(),     120, 0.35*stat->getLeftLine()));
            playernames2[4]->setPosition(core::vector3df(0.25*stat->getDownLine(),   120, 0.35*stat->getLeftLine()));
            playernames2[5]->setPosition(core::vector3df(0.65*stat->getDownLine(),    120, 0.35*stat->getLeftLine()));
            playernames2[6]->setPosition(core::vector3df(0.65*stat->getDownLine(),    120, 0.65*stat->getLeftLine()));
            playernames2[7]->setPosition(core::vector3df(0.25*stat->getDownLine(),   120, 0.65*stat->getLeftLine()));
            playernames2[8]->setPosition(core::vector3df(0.25*stat->getUpLine(),     120, 0.65*stat->getLeftLine()));
            playernames2[9]->setPosition(core::vector3df(0.65*stat->getUpLine(),      120, 0.65*stat->getLeftLine()));
            playernames2[10]->setPosition(core::vector3df(0,                         120, 0.95*stat->getLeftLine()));


            //Reset team 1 player facings
            for (int i=0; i<11; i++) t1players[i]->facingangle=0;
            for (int i=0; i<11;i++) t1players[i]->setRotation(core::vector3df(0,t1players[i]->facingangle,0));

            //Reset team 2 player facings
            t2players[0]->facingangle=90;
            t2players[1]->facingangle=270;
            for (int i=2; i<11; i++) t2players[i]->facingangle=180;
            for (int i=0; i<11;i++) t2players[i]->setRotation(core::vector3df(0,t2players[i]->facingangle,0));

            //Arrange ball posessions
            for (int i=0; i <11;i++) t1players[i]->setBallPossession(false);
            t2players[0]->setBallPossession(true);
            for (int i=1; i <11;i++) t2players[i]->setBallPossession(false);

            //Arrange selected players
            selectedplayer = 1;
            selectedplayer2 = 0;
            nodePosition = t1players[selectedplayer]->getPosition();
            nodePosition2 = t2players[selectedplayer2]->getPosition();

            //Reset ball position
            ball->removeAnimators();
            ballPosition.X = 0;
            ballPosition.Z = 0;
            ball->setPosition(ballPosition);

            //For show
            t1players[0]->setPosition(core::vector3df(stat->getLeftGoalDownLine(), 0, stat->getLeftLine()*0.9));
            //t1players[0]->facingangle = 270;


        }
    }

    //Street Mode
    else if (mode == STREET)
    {
    //Get position of ball
        core::vector3df newballPosition2 = ball->getPosition();

        //Check if ball has just passed goal line
        if ((newballPosition2.Z > stat->getLeftLine()) && (newballPosition2.Z < stat->getLeftLine()+100) &&
            (newballPosition2.X < stat->getLeftGoalUpLine()) && (newballPosition2.X > stat->getLeftGoalDownLine()))
        {
            t1score +=1;
            goalguard = true;
            t1showtime = now + 3000;
            t1scored = true;
            showpart2 = false;

engine->play2D("../../media/gol.wav",false, false, true);
    engine->play2D("../../media/duduk.wav",false, false, true);
            //Reset team 1 player loacations
            t1players[0]->setPosition(core::vector3df(0.2*stat->getUpLine(),   0, 0.4*stat->getRightLine()));
            t1players[1]->setPosition(core::vector3df(0.2*stat->getDownLine(), 0, 0.4*stat->getRightLine()));
            t1players[2]->setPosition(core::vector3df(0,                        0, 0.7*stat->getRightLine()));

            //Reset team 1 playername locations
            playernames[0]->setPosition(core::vector3df(0.2*stat->getUpLine(),   120, 0.4*stat->getRightLine()));
            playernames[1]->setPosition(core::vector3df(0.2*stat->getDownLine(), 120, 0.4*stat->getRightLine()));
            playernames[2]->setPosition(core::vector3df(0,                       120, 0.7*stat->getRightLine()));

            //Reset team 2 player loacations
            t2players[0]->setPosition(core::vector3df(-30, 0, 0));
            t2players[1]->setPosition(core::vector3df(150, 0, 0));
            t2players[2]->setPosition(core::vector3df(0,                        0, 0.6*stat->getLeftLine()));

            //Reset team 2 playername locations
            playernames2[0]->setPosition(core::vector3df(-30, 120, 0));
            playernames2[1]->setPosition(core::vector3df(150, 120, 0));
            playernames2[2]->setPosition(core::vector3df(0,      120, 0.6*stat->getLeftLine()));

            //Reset team 1 player facings
            for (int i=0; i<3; i++) t1players[i]->facingangle=0;
            for (int i=0; i<3;i++) t1players[i]->setRotation(core::vector3df(0,t1players[i]->facingangle,0));

            //Reset team 2 player facings
            t2players[0]->facingangle=90;
            t2players[1]->facingangle=270;
            for (int i=2; i<3; i++) t2players[i]->facingangle=180;
            for (int i=0; i<3;i++) t2players[i]->setRotation(core::vector3df(0,t2players[i]->facingangle,0));

            //Arrange ball posessions
            for (int i=0; i <3;i++) t1players[i]->setBallPossession(false);
            t2players[0]->setBallPossession(true);
            for (int i=1; i <3;i++) t2players[i]->setBallPossession(false);

            //Arrange selected players
            selectedplayer = 1;
            selectedplayer2 = 0;
            nodePosition = t1players[selectedplayer]->getPosition();
            nodePosition2 = t2players[selectedplayer2]->getPosition();

            //Reset ball position
            ball->removeAnimators();
            ballPosition.X = 0;
            ballPosition.Z = 0;
            ball->setPosition(ballPosition);

            //For show
            t1players[0]->setPosition(core::vector3df(stat->getLeftGoalDownLine(), 0, stat->getLeftLine()*0.9));
        }
    }
}





void checkGoalLineRight(Player* t1players[], Player* t2players[],
                        scene::ITextSceneNode *playernames[], scene::ITextSceneNode *playernames2[],
                        scene::IAnimatedMeshSceneNode* ball,
                        int &selectedplayer, core::vector3df &nodePosition,
                        int &selectedplayer2, core::vector3df &nodePosition2, core::vector3df &ballPosition, Stadium *stat,
                        bool &goalguard, gamemode mode, bool& t2scored, u32 now, u32& t2showtime, bool& showpart2, int& t2score)
{
    if (mode == CLASSIC)
    {
        //Get position of ball
        core::vector3df newballPosition2 = ball->getPosition();

        //Check if ball has just passed goal line
        if ((newballPosition2.Z < stat->getRightLine()) && (newballPosition2.Z > stat->getRightLine()-100) &&
            (newballPosition2.X < stat->getRightGoalUpLine()) && (newballPosition2.X > stat->getRightGoalDownLine()))
        {
            t2score += 1;
            t2showtime = now + 4000;
            t2scored = true;
            goalguard = true;
            showpart2 = false;
engine->play2D("../../media/gol.wav",false, false, true);
    engine->play2D("../../media/duduk.wav",false, false, true);

            //Reset team 1 player loacations
            t1players[0]->setPosition(core::vector3df(-30,                      0, 0));
            t1players[1]->setPosition(core::vector3df(150,                      0, 0));
            t1players[2]->setPosition(core::vector3df(0.65*stat->getUpLine(),   0, 0.35*stat->getRightLine()));
            t1players[3]->setPosition(core::vector3df(0.25*stat->getUpLine(),   0, 0.35*stat->getRightLine()));
            t1players[4]->setPosition(core::vector3df(0.25*stat->getDownLine(), 0, 0.35*stat->getRightLine()));
            t1players[5]->setPosition(core::vector3df(0.65*stat->getDownLine(), 0, 0.35*stat->getRightLine()));
            t1players[6]->setPosition(core::vector3df(0.65*stat->getDownLine(), 0, 0.65*stat->getRightLine()));
            t1players[7]->setPosition(core::vector3df(0.25*stat->getDownLine(), 0, 0.65*stat->getRightLine()));
            t1players[8]->setPosition(core::vector3df(0.25*stat->getUpLine(),   0, 0.65*stat->getRightLine()));
            t1players[9]->setPosition(core::vector3df(0.65*stat->getUpLine(),   0, 0.65*stat->getRightLine()));
            t1players[10]->setPosition(core::vector3df(0,                       0, 0.95*stat->getRightLine()));

            //Reset team 1 playername locations
            playernames[0]->setPosition(core::vector3df(-30,                      120, 0));
            playernames[1]->setPosition(core::vector3df(150,                      120, 0));
            playernames[2]->setPosition(core::vector3df(0.65*stat->getUpLine(),   120, 0.35*stat->getRightLine()));
            playernames[3]->setPosition(core::vector3df(0.25*stat->getUpLine(),   120, 0.35*stat->getRightLine()));
            playernames[4]->setPosition(core::vector3df(0.25*stat->getDownLine(), 120, 0.35*stat->getRightLine()));
            playernames[5]->setPosition(core::vector3df(0.65*stat->getDownLine(), 120, 0.35*stat->getRightLine()));
            playernames[6]->setPosition(core::vector3df(0.65*stat->getDownLine(), 120, 0.65*stat->getRightLine()));
            playernames[7]->setPosition(core::vector3df(0.25*stat->getDownLine(), 120, 0.65*stat->getRightLine()));
            playernames[8]->setPosition(core::vector3df(0.25*stat->getUpLine(),   120, 0.65*stat->getRightLine()));
            playernames[9]->setPosition(core::vector3df(0.65*stat->getUpLine(),   120, 0.65*stat->getRightLine()));
            playernames[10]->setPosition(core::vector3df(0,                       120, 0.95*stat->getRightLine()));


            //Reset team 2 player loacations
            t2players[0]->setPosition(core::vector3df(0.25*stat->getUpLine(),     0, 0.18*stat->getLeftLine()));
            t2players[1]->setPosition(core::vector3df(0.25*stat->getDownLine(),   0, 0.18*stat->getLeftLine()));
            t2players[2]->setPosition(core::vector3df(0.65*stat->getUpLine(),     0, 0.35*stat->getLeftLine()));
            t2players[3]->setPosition(core::vector3df(0.25*stat->getUpLine(),     0, 0.35*stat->getLeftLine()));
            t2players[4]->setPosition(core::vector3df(0.25*stat->getDownLine(),   0, 0.35*stat->getLeftLine()));
            t2players[5]->setPosition(core::vector3df(0.65*stat->getDownLine(),   0, 0.35*stat->getLeftLine()));
            t2players[6]->setPosition(core::vector3df(0.65*stat->getDownLine(),   0, 0.65*stat->getLeftLine()));
            t2players[7]->setPosition(core::vector3df(0.25*stat->getDownLine(),   0, 0.65*stat->getLeftLine()));
            t2players[8]->setPosition(core::vector3df(0.25*stat->getUpLine(),     0, 0.65*stat->getLeftLine()));
            t2players[9]->setPosition(core::vector3df(0.65*stat->getUpLine(),     0, 0.65*stat->getLeftLine()));
            t2players[10]->setPosition(core::vector3df(0,                         0, 0.95*stat->getLeftLine()));

            //Reset team 2 playername locations
            playernames2[0]->setPosition(core::vector3df(0.25*stat->getUpLine(),     120, 0.18*stat->getLeftLine()));
            playernames2[1]->setPosition(core::vector3df(0.25*stat->getDownLine(),   120, 0.18*stat->getLeftLine()));
            playernames2[2]->setPosition(core::vector3df(0.65*stat->getUpLine(),     120, 0.35*stat->getLeftLine()));
            playernames2[3]->setPosition(core::vector3df(0.25*stat->getUpLine(),     120, 0.35*stat->getLeftLine()));
            playernames2[4]->setPosition(core::vector3df(0.25*stat->getDownLine(),   120, 0.35*stat->getLeftLine()));
            playernames2[5]->setPosition(core::vector3df(0.65*stat->getDownLine(),   120, 0.35*stat->getLeftLine()));
            playernames2[6]->setPosition(core::vector3df(0.65*stat->getDownLine(),   120, 0.65*stat->getLeftLine()));
            playernames2[7]->setPosition(core::vector3df(0.25*stat->getDownLine(),   120, 0.65*stat->getLeftLine()));
            playernames2[8]->setPosition(core::vector3df(0.25*stat->getUpLine(),     120, 0.65*stat->getLeftLine()));
            playernames2[9]->setPosition(core::vector3df(0.65*stat->getUpLine(),     120, 0.65*stat->getLeftLine()));
            playernames2[10]->setPosition(core::vector3df(0,                         120, 0.95*stat->getLeftLine()));


            //Reset team 1 player facings
            t1players[0]->facingangle=90;
            t1players[1]->facingangle=270;
            for (int i=2; i<11; i++) t1players[i]->facingangle=0;
            for (int i=0; i<11;i++) t1players[i]->setRotation(core::vector3df(0,t1players[i]->facingangle,0));

            //Reset team 2 player facings
            for (int i=0; i<11; i++) t2players[i]->facingangle=180;
            for (int i=0; i<11;i++) t2players[i]->setRotation(core::vector3df(0,t2players[i]->facingangle,0));

            //Arrange ball posessions
            for (int i=1; i <11;i++) t1players[i]->setBallPossession(false);
            t1players[0]->setBallPossession(true);
            for (int i=0; i <11;i++) t2players[i]->setBallPossession(false);

            //Arrange selected players
            selectedplayer = 0;
            selectedplayer2 = 1;
            nodePosition = t1players[selectedplayer]->getPosition();
            nodePosition2 = t2players[selectedplayer2]->getPosition();

            //Reset ball position
            ball->removeAnimators();
            ballPosition.X = 0;
            ballPosition.Z = 0;
            ball->setPosition(ballPosition);

            t2players[0]->setPosition(core::vector3df(stat->getRightGoalDownLine(), 0, stat->getRightLine()*0.9));
            //t1players[0]->facingangle = 270;
        }
    }
    else if (mode = STREET)
    {
        //Get position of ball
        core::vector3df newballPosition2 = ball->getPosition();

        //Check if ball has just passed goal line
        if ((newballPosition2.Z < stat->getRightLine()) && (newballPosition2.Z > stat->getRightLine()-100) &&
            (newballPosition2.X < stat->getRightGoalUpLine()) && (newballPosition2.X > stat->getRightGoalDownLine()))
        {
            t2score += 1;
            t2showtime = now + 3000;
            t2scored = true;
            goalguard = true;
            showpart2 = false;
engine->play2D("../../media/gol.wav",false, false, true);
    engine->play2D("../../media/duduk.wav",false, false, true);

            //Reset team 1 player loacations
            t1players[0]->setPosition(core::vector3df(-30,                      0, 0));
            t1players[1]->setPosition(core::vector3df(150,                      0, 0));
            t1players[2]->setPosition(core::vector3df(0,                        0, 0.6*stat->getRightLine()));

            //Reset team 1 playername locations
            playernames[0]->setPosition(core::vector3df(-30,                      120, 0));
            playernames[1]->setPosition(core::vector3df(150,                      120, 0));
            playernames[2]->setPosition(core::vector3df(0,                          120, 0.6*stat->getRightLine()));


            //Reset team 2 player loacations
            t2players[0]->setPosition(core::vector3df(0.2*stat->getUpLine(),     0, 0.4*stat->getLeftLine()));
            t2players[1]->setPosition(core::vector3df(0.2*stat->getDownLine(),   0, 0.4*stat->getLeftLine()));
            t2players[2]->setPosition(core::vector3df(0,                         0, 0.7*stat->getLeftLine()));

            //Reset team 2 playername locations
            playernames2[0]->setPosition(core::vector3df(0.2*stat->getUpLine(),     120, 0.4*stat->getLeftLine()));
            playernames2[1]->setPosition(core::vector3df(0.2*stat->getDownLine(),   120, 0.4*stat->getLeftLine()));
            playernames2[2]->setPosition(core::vector3df(0,                         120, 0.7*stat->getLeftLine()));


            //Reset team 1 player facings
            t1players[0]->facingangle=90;
            t1players[1]->facingangle=270;
            for (int i=2; i<3; i++) t1players[i]->facingangle=0;
            for (int i=0; i<3;i++) t1players[i]->setRotation(core::vector3df(0,t1players[i]->facingangle,0));

            //Reset team 2 player facings
            for (int i=0; i<3; i++) t2players[i]->facingangle=180;
            for (int i=0; i<3;i++) t2players[i]->setRotation(core::vector3df(0,t2players[i]->facingangle,0));

            //Arrange ball posessions
            for (int i=1; i <3;i++) t1players[i]->setBallPossession(false);
            t1players[0]->setBallPossession(true);
            for (int i=0; i <3;i++) t2players[i]->setBallPossession(false);

            //Arrange selected players
            selectedplayer = 0;
            selectedplayer2 = 1;
            nodePosition = t1players[selectedplayer]->getPosition();
            nodePosition2 = t2players[selectedplayer2]->getPosition();

            //Reset ball position
            ball->removeAnimators();
            ballPosition.X = 0;
            ballPosition.Z = 0;
            ball->setPosition(ballPosition);

            t2players[0]->setPosition(core::vector3df(stat->getRightGoalDownLine(), 0, stat->getRightLine()*0.9));
        }
    }
}





void checkOutLineLeft(Player* t1players[], Player* t2players[],
                        scene::ITextSceneNode *playernames[], scene::ITextSceneNode *playernames2[],
                        scene::IAnimatedMeshSceneNode* ball,
                        int &selectedplayer, core::vector3df &nodePosition,
                        int &selectedplayer2, core::vector3df &nodePosition2,
                        core::vector3df &ballPosition, int &pressedby, Stadium *stat, bool &leftout, gamemode mode)
{
    //Classic Mode
    if (mode == CLASSIC)
    {
        //Get position of ball
        core::vector3df newballPosition2 = ball->getPosition();

        //Check coordinates if it has passed line1 and not goal
        if ((newballPosition2.Z > stat->getLeftLine()) && (newballPosition2.Z < stat->getLeftLine()+100) &&
            ((newballPosition2.X > stat->getLeftGoalUpLine()) || (newballPosition2.X < stat->getLeftGoalDownLine())))
        {
            //Check if it is team 1 oriented
            if ((t1players[selectedplayer]->hasball == 1) || (pressedby == 1))
            {
                leftout = true;
engine->play2D("../../media/duduk.wav",false, false, true);

                //Arrange ball location
                ballPosition.X = 0.2*stat->getUpLine();
                ballPosition.Z = 0.93*stat->getLeftLine();
                ballPosition.Y = 0;
                ball->setPosition(ballPosition);

            //Reset team 1 player loacations
            t1players[0]->setPosition(core::vector3df(0.25*stat->getUpLine(),   0, 0.18*stat->getRightLine()));
            t1players[1]->setPosition(core::vector3df(0.25*stat->getDownLine(), 0, 0.18*stat->getRightLine()));
            t1players[2]->setPosition(core::vector3df(0.65*stat->getUpLine(),    0, 0.35*stat->getRightLine()));
            t1players[3]->setPosition(core::vector3df(0.25*stat->getUpLine(),   0, 0.35*stat->getRightLine()));
            t1players[4]->setPosition(core::vector3df(0.25*stat->getDownLine(), 0, 0.35*stat->getRightLine()));
            t1players[5]->setPosition(core::vector3df(0.65*stat->getDownLine(),  0, 0.35*stat->getRightLine()));
            t1players[6]->setPosition(core::vector3df(0.65*stat->getDownLine(),  0, 0.65*stat->getRightLine()));
            t1players[7]->setPosition(core::vector3df(0.25*stat->getDownLine(), 0, 0.65*stat->getRightLine()));
            t1players[8]->setPosition(core::vector3df(0.25*stat->getUpLine(),   0, 0.65*stat->getRightLine()));
            t1players[9]->setPosition(core::vector3df(0.65*stat->getUpLine(),    0, 0.65*stat->getRightLine()));
            t1players[10]->setPosition(core::vector3df(0,                       0, 0.95*stat->getRightLine()));

            //Reset team 1 playername locations
            playernames[0]->setPosition(core::vector3df(0.25*stat->getUpLine(),   120, 0.18*stat->getRightLine()));
            playernames[1]->setPosition(core::vector3df(0.25*stat->getDownLine(), 120, 0.18*stat->getRightLine()));
            playernames[2]->setPosition(core::vector3df(0.65*stat->getUpLine(),    120, 0.35*stat->getRightLine()));
            playernames[3]->setPosition(core::vector3df(0.25*stat->getUpLine(),   120, 0.35*stat->getRightLine()));
            playernames[4]->setPosition(core::vector3df(0.25*stat->getDownLine(), 120, 0.35*stat->getRightLine()));
            playernames[5]->setPosition(core::vector3df(0.65*stat->getDownLine(),  120, 0.35*stat->getRightLine()));
            playernames[6]->setPosition(core::vector3df(0.65*stat->getDownLine(),  120, 0.65*stat->getRightLine()));
            playernames[7]->setPosition(core::vector3df(0.25*stat->getDownLine(), 120, 0.65*stat->getRightLine()));
            playernames[8]->setPosition(core::vector3df(0.25*stat->getUpLine(),   120, 0.65*stat->getRightLine()));
            playernames[9]->setPosition(core::vector3df(0.65*stat->getUpLine(),    120, 0.65*stat->getRightLine()));
            playernames[10]->setPosition(core::vector3df(0,                       120, 0.95*stat->getRightLine()));


            //Reset team 2 player loacations
            t2players[0]->setPosition(core::vector3df(-30, 0, 0));
            t2players[1]->setPosition(core::vector3df(150, 0, 0));
            t2players[2]->setPosition(core::vector3df(0.65*stat->getUpLine(),      0, 0.35*stat->getLeftLine()));
            t2players[3]->setPosition(core::vector3df(0.25*stat->getUpLine(),     0, 0.35*stat->getLeftLine()));
            t2players[4]->setPosition(core::vector3df(0.25*stat->getDownLine(),   0, 0.35*stat->getLeftLine()));
            t2players[5]->setPosition(core::vector3df(0.65*stat->getDownLine(),    0, 0.35*stat->getLeftLine()));
            t2players[6]->setPosition(core::vector3df(0.65*stat->getDownLine(),    0, 0.65*stat->getLeftLine()));
            t2players[7]->setPosition(core::vector3df(0.25*stat->getDownLine(),   0, 0.65*stat->getLeftLine()));
            t2players[8]->setPosition(core::vector3df(0.25*stat->getUpLine(),     0, 0.65*stat->getLeftLine()));
            t2players[9]->setPosition(core::vector3df(0.65*stat->getUpLine(),      0, 0.65*stat->getLeftLine()));
            t2players[10]->setPosition(core::vector3df(0,                         0, 0.95*stat->getLeftLine()));

            //Reset team 2 playername locations
            playernames2[0]->setPosition(core::vector3df(-30, 120, 0));
            playernames2[1]->setPosition(core::vector3df(150, 120, 0));
            playernames2[2]->setPosition(core::vector3df(0.65*stat->getUpLine(),      120, 0.35*stat->getLeftLine()));
            playernames2[3]->setPosition(core::vector3df(0.25*stat->getUpLine(),     120, 0.35*stat->getLeftLine()));
            playernames2[4]->setPosition(core::vector3df(0.25*stat->getDownLine(),   120, 0.35*stat->getLeftLine()));
            playernames2[5]->setPosition(core::vector3df(0.65*stat->getDownLine(),    120, 0.35*stat->getLeftLine()));
            playernames2[6]->setPosition(core::vector3df(0.65*stat->getDownLine(),    120, 0.65*stat->getLeftLine()));
            playernames2[7]->setPosition(core::vector3df(0.25*stat->getDownLine(),   120, 0.65*stat->getLeftLine()));
            playernames2[8]->setPosition(core::vector3df(0.25*stat->getUpLine(),     120, 0.65*stat->getLeftLine()));
            playernames2[9]->setPosition(core::vector3df(0.65*stat->getUpLine(),      120, 0.65*stat->getLeftLine()));
            playernames2[10]->setPosition(core::vector3df(0,                         120, 0.95*stat->getLeftLine()));

            selectedplayer = 0;
            nodePosition = t1players[selectedplayer]->getPosition();

                //Arrange goal keeper positions for out kick
                //Actually all players need to be positioned but
                //I'm not that into football and I don't know how
                selectedplayer2 = 10;
                nodePosition2.Z =  0.93*stat->getLeftLine() + 30;
                nodePosition2.X = 0.2*stat->getUpLine();
                t2players[selectedplayer2]->setPosition(nodePosition2);
                playernames2[selectedplayer2]->setPosition(core::vector3df(nodePosition2.X, 120, nodePosition2.Z));

                //Arrange goalkeeper's facing
                t2players[selectedplayer2]->facingangle = 180;
                t2players[selectedplayer2]->setRotation(core::vector3df(0,t2players[selectedplayer2]->facingangle,0));

                //Arrange selectedplayer's position
                selectedplayer2 = 8;
                nodePosition2.Z =  0.65*stat->getLeftLine();
                nodePosition2.X = 0.35*stat->getUpLine();
                t2players[selectedplayer2]->setPosition(nodePosition2);
                playernames2[selectedplayer2]->setPosition(core::vector3df(nodePosition2.X, 120, nodePosition2.Z));


                //Arrange selectedplayer's facing
                t2players[selectedplayer2]->facingangle = 0;
                t2players[selectedplayer2]->setRotation(core::vector3df(0,t2players[selectedplayer2]->facingangle,0));

                //Arrange ball posessions
                t2players[selectedplayer2]->hasball = 0;
                t1players[selectedplayer]->hasball = 0;

                //Stop animator for passing/shooting if ball makes a collusion with a player or a line
                ball->removeAnimators();
            }
        }
    }

    //Street Mode
    else if (mode == STREET)
    {
        //Get position of ball
        core::vector3df newballPosition2 = ball->getPosition();

        //Check coordinates if it has passed line1 and not goal
        if ((newballPosition2.Z > stat->getLeftLine()) && (newballPosition2.Z < stat->getLeftLine()+100) &&
            ((newballPosition2.X > stat->getLeftGoalUpLine()) || (newballPosition2.X < stat->getLeftGoalDownLine())))
        {
            //Check if it is team 1 oriented
            if ((t1players[selectedplayer]->hasball == 1) || (pressedby == 1))
            {
                leftout = true;
engine->play2D("../../media/duduk.wav",false, false, true);
                //Arrange ball location
                ballPosition.X = 0.2*stat->getUpLine();
                ballPosition.Z = 0.93*stat->getLeftLine();
                ballPosition.Y = 0;
                ball->setPosition(ballPosition);

                //Arrange goal keeper positions for out kick
                //Actually all players need to be positioned but
                //I'm not that into football and I don't know how
                selectedplayer2 = 2;
                nodePosition2.Z =  0.93*stat->getLeftLine() + 30;
                nodePosition2.X = 0.2*stat->getUpLine();
                t2players[selectedplayer2]->setPosition(nodePosition2);
                playernames2[selectedplayer2]->setPosition(core::vector3df(nodePosition2.X, 120, nodePosition2.Z));

                //Arrange goalkeeper's facing
                t2players[selectedplayer2]->facingangle = 180;
                t2players[selectedplayer2]->setRotation(core::vector3df(0,t2players[selectedplayer2]->facingangle,0));

                //Arrange selectedplayer's position
                selectedplayer2 = 1;
                nodePosition2.Z =  0.65*stat->getLeftLine();
                nodePosition2.X = 0.35*stat->getUpLine();
                t2players[selectedplayer2]->setPosition(nodePosition2);
                playernames2[selectedplayer2]->setPosition(core::vector3df(nodePosition2.X, 120, nodePosition2.Z));


                //Arrange selectedplayer's facing
                t2players[selectedplayer2]->facingangle = 0;
                t2players[selectedplayer2]->setRotation(core::vector3df(0,t2players[selectedplayer2]->facingangle,0));

                //Arrange ball posessions
                t2players[selectedplayer2]->hasball = 0;
                t1players[selectedplayer]->hasball = 0;

                //Stop animator for passing/shooting if ball makes a collusion with a player or a line
                ball->removeAnimators();
            }
        }
    }
}





void checkOutLineRight(Player* t1players[], Player* t2players[],
                        scene::ITextSceneNode *playernames[], scene::ITextSceneNode *playernames2[],
                        scene::IAnimatedMeshSceneNode* ball,
                        int &selectedplayer, core::vector3df &nodePosition,
                        int &selectedplayer2, core::vector3df &nodePosition2,
                        core::vector3df &ballPosition, int &pressedby, Stadium *stat, bool &rightout, gamemode mode)
{
    //Classic Mode
    if (mode == CLASSIC)
    {
        //Get position of ball
        core::vector3df newballPosition2 = ball->getPosition();

        //Check coordinates if it has passed line1 and not goal
        if ((newballPosition2.Z < stat->getRightLine()) && (newballPosition2.Z > stat->getRightLine()-100) &&
            ((newballPosition2.X > stat->getRightGoalUpLine()) || (newballPosition2.X < stat->getRightGoalDownLine())))
        {
            //Check if it is team 1 oriented
            if ((t2players[selectedplayer2]->hasball == 1) || (pressedby == 2))
            {
                rightout = true;
engine->play2D("../../media/duduk.wav",false, false, true);
                //Arrange ball location
                ballPosition.X = 0.2*stat->getUpLine();
                ballPosition.Z = 0.93*stat->getRightLine();
                ballPosition.Y = 0;
                ball->setPosition(ballPosition);

             //Reset team 1 player loacations
            t1players[0]->setPosition(core::vector3df(0.25*stat->getUpLine(),   0, 0.18*stat->getRightLine()));
            t1players[1]->setPosition(core::vector3df(0.25*stat->getDownLine(), 0, 0.18*stat->getRightLine()));
            t1players[2]->setPosition(core::vector3df(0.65*stat->getUpLine(),    0, 0.35*stat->getRightLine()));
            t1players[3]->setPosition(core::vector3df(0.25*stat->getUpLine(),   0, 0.35*stat->getRightLine()));
            t1players[4]->setPosition(core::vector3df(0.25*stat->getDownLine(), 0, 0.35*stat->getRightLine()));
            t1players[5]->setPosition(core::vector3df(0.65*stat->getDownLine(),  0, 0.35*stat->getRightLine()));
            t1players[6]->setPosition(core::vector3df(0.65*stat->getDownLine(),  0, 0.65*stat->getRightLine()));
            t1players[7]->setPosition(core::vector3df(0.25*stat->getDownLine(), 0, 0.65*stat->getRightLine()));
            t1players[8]->setPosition(core::vector3df(0.25*stat->getUpLine(),   0, 0.65*stat->getRightLine()));
            t1players[9]->setPosition(core::vector3df(0.65*stat->getUpLine(),    0, 0.65*stat->getRightLine()));
            t1players[10]->setPosition(core::vector3df(0,                       0, 0.95*stat->getRightLine()));

            //Reset team 1 playername locations
            playernames[0]->setPosition(core::vector3df(0.25*stat->getUpLine(),   120, 0.18*stat->getRightLine()));
            playernames[1]->setPosition(core::vector3df(0.25*stat->getDownLine(), 120, 0.18*stat->getRightLine()));
            playernames[2]->setPosition(core::vector3df(0.65*stat->getUpLine(),    120, 0.35*stat->getRightLine()));
            playernames[3]->setPosition(core::vector3df(0.25*stat->getUpLine(),   120, 0.35*stat->getRightLine()));
            playernames[4]->setPosition(core::vector3df(0.25*stat->getDownLine(), 120, 0.35*stat->getRightLine()));
            playernames[5]->setPosition(core::vector3df(0.65*stat->getDownLine(),  120, 0.35*stat->getRightLine()));
            playernames[6]->setPosition(core::vector3df(0.65*stat->getDownLine(),  120, 0.65*stat->getRightLine()));
            playernames[7]->setPosition(core::vector3df(0.25*stat->getDownLine(), 120, 0.65*stat->getRightLine()));
            playernames[8]->setPosition(core::vector3df(0.25*stat->getUpLine(),   120, 0.65*stat->getRightLine()));
            playernames[9]->setPosition(core::vector3df(0.65*stat->getUpLine(),    120, 0.65*stat->getRightLine()));
            playernames[10]->setPosition(core::vector3df(0,                       120, 0.95*stat->getRightLine()));


            //Reset team 2 player loacations
            t2players[0]->setPosition(core::vector3df(-30, 0, 0));
            t2players[1]->setPosition(core::vector3df(150, 0, 0));
            t2players[2]->setPosition(core::vector3df(0.65*stat->getUpLine(),      0, 0.35*stat->getLeftLine()));
            t2players[3]->setPosition(core::vector3df(0.25*stat->getUpLine(),     0, 0.35*stat->getLeftLine()));
            t2players[4]->setPosition(core::vector3df(0.25*stat->getDownLine(),   0, 0.35*stat->getLeftLine()));
            t2players[5]->setPosition(core::vector3df(0.65*stat->getDownLine(),    0, 0.35*stat->getLeftLine()));
            t2players[6]->setPosition(core::vector3df(0.65*stat->getDownLine(),    0, 0.65*stat->getLeftLine()));
            t2players[7]->setPosition(core::vector3df(0.25*stat->getDownLine(),   0, 0.65*stat->getLeftLine()));
            t2players[8]->setPosition(core::vector3df(0.25*stat->getUpLine(),     0, 0.65*stat->getLeftLine()));
            t2players[9]->setPosition(core::vector3df(0.65*stat->getUpLine(),      0, 0.65*stat->getLeftLine()));
            t2players[10]->setPosition(core::vector3df(0,                         0, 0.95*stat->getLeftLine()));

            //Reset team 2 playername locations
            playernames2[0]->setPosition(core::vector3df(-30, 120, 0));
            playernames2[1]->setPosition(core::vector3df(150, 120, 0));
            playernames2[2]->setPosition(core::vector3df(0.65*stat->getUpLine(),      120, 0.35*stat->getLeftLine()));
            playernames2[3]->setPosition(core::vector3df(0.25*stat->getUpLine(),     120, 0.35*stat->getLeftLine()));
            playernames2[4]->setPosition(core::vector3df(0.25*stat->getDownLine(),   120, 0.35*stat->getLeftLine()));
            playernames2[5]->setPosition(core::vector3df(0.65*stat->getDownLine(),    120, 0.35*stat->getLeftLine()));
            playernames2[6]->setPosition(core::vector3df(0.65*stat->getDownLine(),    120, 0.65*stat->getLeftLine()));
            playernames2[7]->setPosition(core::vector3df(0.25*stat->getDownLine(),   120, 0.65*stat->getLeftLine()));
            playernames2[8]->setPosition(core::vector3df(0.25*stat->getUpLine(),     120, 0.65*stat->getLeftLine()));
            playernames2[9]->setPosition(core::vector3df(0.65*stat->getUpLine(),      120, 0.65*stat->getLeftLine()));
            playernames2[10]->setPosition(core::vector3df(0,                         120, 0.95*stat->getLeftLine()));

            selectedplayer2 = 0;
            nodePosition2 = t2players[selectedplayer2]->getPosition();

                //Arrange goal keeper positions for out kick
                //Actually all players need to be positioned but
                //I'm not that into football and I don't know how
                selectedplayer = 10;
                nodePosition.Z = 0.93*stat->getRightLine() -30;
                nodePosition.X = 0.2*stat->getUpLine();
                t1players[selectedplayer]->setPosition(nodePosition);
                playernames[selectedplayer]->setPosition(core::vector3df(nodePosition.X, 120, nodePosition.Z));

                //Arrange goalkeeper's facing
                t1players[selectedplayer]->facingangle = 0;
                t1players[selectedplayer]->setRotation(core::vector3df(0,t1players[selectedplayer]->facingangle,0));

                selectedplayer = 8;
                nodePosition.Z = 0.65*stat->getRightLine();
                nodePosition.X = 0.35*stat->getUpLine();
                t1players[selectedplayer]->setPosition(nodePosition);
                playernames[selectedplayer]->setPosition(core::vector3df(nodePosition.X, 120, nodePosition.Z));

                //Arrange selected player's facing
                t1players[selectedplayer]->facingangle = 180;
                t1players[selectedplayer]->setRotation(core::vector3df(0,t1players[selectedplayer]->facingangle,0));


                //Arrange ball posessions
                t2players[selectedplayer2]->hasball = 0;
                t1players[selectedplayer]->hasball = 0;

                //Stop animator for passing/shooting if ball makes a collusion with a player or a line
                ball->removeAnimators();
            }
        }
    }

    //Street Mode
    else if (mode == STREET)
    {
        //Get position of ball
        core::vector3df newballPosition2 = ball->getPosition();

        //Check coordinates if it has passed line1 and not goal
        if ((newballPosition2.Z < stat->getRightLine()) && (newballPosition2.Z > stat->getRightLine()-100) &&
            ((newballPosition2.X > stat->getRightGoalUpLine()) || (newballPosition2.X < stat->getRightGoalDownLine())))
        {
            //Check if it is team 1 oriented
            if ((t2players[selectedplayer2]->hasball == 1) || (pressedby == 2))
            {
                rightout = true;
engine->play2D("../../media/duduk.wav",false, false, true);

                //Arrange ball location
                ballPosition.X = 0.2*stat->getUpLine();
                ballPosition.Z = 0.93*stat->getRightLine();
                ballPosition.Y = 0;
                ball->setPosition(ballPosition);

                //Arrange goal keeper positions for out kick
                //Actually all players need to be positioned but
                //I'm not that into football and I don't know how
                selectedplayer = 2;
                nodePosition.Z = 0.93*stat->getRightLine() -30;
                nodePosition.X = 0.2*stat->getUpLine();
                t1players[selectedplayer]->setPosition(nodePosition);
                playernames[selectedplayer]->setPosition(core::vector3df(nodePosition.X, 120, nodePosition.Z));

                //Arrange goalkeeper's facing
                t1players[selectedplayer]->facingangle = 0;
                t1players[selectedplayer]->setRotation(core::vector3df(0,t1players[selectedplayer]->facingangle,0));

                selectedplayer = 1;
                nodePosition.Z = 0.65*stat->getRightLine();
                nodePosition.X = 0.35*stat->getUpLine();
                t1players[selectedplayer]->setPosition(nodePosition);
                playernames[selectedplayer]->setPosition(core::vector3df(nodePosition.X, 120, nodePosition.Z));

                //Arrange selected player's facing
                t1players[selectedplayer]->facingangle = 180;
                t1players[selectedplayer]->setRotation(core::vector3df(0,t1players[selectedplayer]->facingangle,0));


                //Arrange ball posessions
                t2players[selectedplayer2]->hasball = 0;
                t1players[selectedplayer]->hasball = 0;

                //Stop animator for passing/shooting if ball makes a collusion with a player or a line
                ball->removeAnimators();
            }
        }
    }
}





void checkCornerLineLeft(Player* t1players[], Player* t2players[],
                        scene::ITextSceneNode *playernames[], scene::ITextSceneNode *playernames2[],
                        scene::IAnimatedMeshSceneNode* ball,
                        int &selectedplayer, core::vector3df &nodePosition,
                        int &selectedplayer2, core::vector3df &nodePosition2,
                        core::vector3df &ballPosition, int &pressedby, Stadium *stat, bool &upleftcorner,
                        bool &downleftcorner, gamemode mode, bool &leftout, int &t1cornercount)
{
    //Classic Mode
    if (mode == CLASSIC)
    {
        //Get position of ball
        core::vector3df newballPosition2 = ball->getPosition();

        //Check coordinates if it has passed line1 and not goal
        if ((newballPosition2.Z > stat->getLeftLine()) && (newballPosition2.Z < stat->getLeftLine()+100) &&
            ((newballPosition2.X > stat->getLeftGoalUpLine()) || (newballPosition2.X < stat->getLeftGoalDownLine())))
        {
            //Check if it is team 1 oriented
            if ((t2players[selectedplayer2]->hasball == 1) || (pressedby == 2))
            {
                //Up-left corner
                if (newballPosition2.X > 0)
                {
                    upleftcorner = true;

                    //Set ball's location to up left corner
                    ballPosition.X = stat->getUpLine();
                    ballPosition.Z = stat->getLeftLine();
                    ballPosition.Y = 0;

                    //Set player's location to up left corner
                    nodePosition.Z = stat->getLeftLine()+30;
                    nodePosition.X = stat->getUpLine();
                    //Set player's facing
                    selectedplayer = 2;
                    t1players[selectedplayer]->setPosition(nodePosition);
                    t1players[selectedplayer]->facingangle = 180;
                    t1players[selectedplayer]->setRotation(core::vector3df(0,t1players[selectedplayer]->facingangle,0));
                    //set location of player's name
                    playernames[selectedplayer]->setPosition(core::vector3df(nodePosition.X, 120, nodePosition.Z));

                    //Set player's location to up left corner
                    nodePosition.Z = 0.8*stat->getLeftLine();
                    nodePosition.X = 0.1*stat->getUpLine();
                    //Set player's facing
                    selectedplayer = 1;
                    t1players[selectedplayer]->setPosition(nodePosition);
                    t1players[selectedplayer]->facingangle = 0;
                    t1players[selectedplayer]->setRotation(core::vector3df(0,t1players[selectedplayer]->facingangle,0));
                    //set location of player's name
                    playernames[selectedplayer]->setPosition(core::vector3df(nodePosition.X, 120, nodePosition.Z));

                    //Set player's location to up left corner
                    nodePosition.Z = 0.7*stat->getLeftLine();
                    nodePosition.X = 0.8*stat->getUpLine();
                    //Set player's facing
                    selectedplayer = 3;
                    t1players[selectedplayer]->setPosition(nodePosition);
                    t1players[selectedplayer]->facingangle = 270;
                    t1players[selectedplayer]->setRotation(core::vector3df(0,t1players[selectedplayer]->facingangle,0));
                    //set location of player's name
                    playernames[selectedplayer]->setPosition(core::vector3df(nodePosition.X, 120, nodePosition.Z));

                }
                //Down-Left corner
                else
                {
                    downleftcorner = true;

                    //Set ball's location to down left corner
                    ballPosition.X = stat->getDownLine();
                    ballPosition.Z = stat->getLeftLine();
                    ballPosition.Y = 0;

                    //Set player's location to up left corner
                    nodePosition.Z = stat->getLeftLine()+30;
                    nodePosition.X = stat->getDownLine();
                    //Set player's facing
                    selectedplayer = 5;
                    t1players[selectedplayer]->setPosition(nodePosition);
                    t1players[selectedplayer]->facingangle = 180;
                    t1players[selectedplayer]->setRotation(core::vector3df(0,t1players[selectedplayer]->facingangle,0));
                    //set location of player's name
                    playernames[selectedplayer]->setPosition(core::vector3df(nodePosition.X, 120, nodePosition.Z));

                    //Set player's location to up left corner
                    nodePosition.Z = 0.8*stat->getLeftLine();
                    nodePosition.X = 0.1*stat->getDownLine();
                    //Set player's facing
                    selectedplayer = 0;
                    t1players[selectedplayer]->setPosition(nodePosition);
                    t1players[selectedplayer]->facingangle = 0;
                    t1players[selectedplayer]->setRotation(core::vector3df(0,t1players[selectedplayer]->facingangle,0));
                    //set location of player's name
                    playernames[selectedplayer]->setPosition(core::vector3df(nodePosition.X, 120, nodePosition.Z));

                    //Set player's location to up left corner
                    nodePosition.Z = 0.7*stat->getLeftLine();
                    nodePosition.X = 0.8*stat->getDownLine();
                    //Set player's facing
                    selectedplayer = 4;
                    t1players[selectedplayer]->setPosition(nodePosition);
                    t1players[selectedplayer]->facingangle = 90;
                    t1players[selectedplayer]->setRotation(core::vector3df(0,t1players[selectedplayer]->facingangle,0));
                    //set location of player's name
                    playernames[selectedplayer]->setPosition(core::vector3df(nodePosition.X, 120, nodePosition.Z));

                }

                //Set ball's location
                ball->setPosition(ballPosition);

                //Arrange ball posessions
                t2players[selectedplayer2]->hasball = 0;
                t1players[selectedplayer]->hasball = 0;

                //Stop animator for passing/shooting if ball makes a collusion with a player or a line
                ball->removeAnimators();

            }
        }
    }

    //Street Mode
    else if (mode == STREET)
    {
        //Get position of ball
        core::vector3df newballPosition2 = ball->getPosition();

        //Check coordinates if it has passed line1 and not goal
        if ((newballPosition2.Z > stat->getLeftLine()) && (newballPosition2.Z < stat->getLeftLine()+100) &&
            ((newballPosition2.X > stat->getLeftGoalUpLine()) || (newballPosition2.X < stat->getLeftGoalDownLine())))
        {
            //Check if it is team 1 oriented
            if ((t2players[selectedplayer2]->hasball == 1) || (pressedby == 2))
            {
                t1cornercount++;
                leftout = true;
engine->play2D("../../media/duduk.wav",false, false, true);
                //Arrange ball location
                ballPosition.X = 0.2*stat->getUpLine();
                ballPosition.Z = 0.93*stat->getLeftLine();
                ballPosition.Y = 0;
                ball->setPosition(ballPosition);

                //Arrange goal keeper positions for out kick
                //Actually all players need to be positioned but
                //I'm not that into football and I don't know how
                selectedplayer2 = 2;
                nodePosition2.Z =  0.93*stat->getLeftLine() + 30;
                nodePosition2.X = 0.2*stat->getUpLine();
                t2players[selectedplayer2]->setPosition(nodePosition2);
                playernames2[selectedplayer2]->setPosition(core::vector3df(nodePosition2.X, 120, nodePosition2.Z));

                //Arrange goalkeeper's facing
                t2players[selectedplayer2]->facingangle = 180;
                t2players[selectedplayer2]->setRotation(core::vector3df(0,t2players[selectedplayer2]->facingangle,0));

                //Arrange selectedplayer's position
                selectedplayer2 = 1;
                nodePosition2.Z =  0.65*stat->getLeftLine();
                nodePosition2.X = 0.35*stat->getUpLine();
                t2players[selectedplayer2]->setPosition(nodePosition2);
                playernames2[selectedplayer2]->setPosition(core::vector3df(nodePosition2.X, 120, nodePosition2.Z));


                //Arrange selectedplayer's facing
                t2players[selectedplayer2]->facingangle = 0;
                t2players[selectedplayer2]->setRotation(core::vector3df(0,t2players[selectedplayer2]->facingangle,0));

                //Arrange ball posessions
                t2players[selectedplayer2]->hasball = 0;
                t1players[selectedplayer]->hasball = 0;

                //Stop animator for passing/shooting if ball makes a collusion with a player or a line
                ball->removeAnimators();

/*
                //Up-left corner
                if (newballPosition2.X > 0)
                {
                    upleftcorner = true;

                    //Set ball's location to up left corner
                    ballPosition.X = stat->getUpLine();
                    ballPosition.Z = stat->getLeftLine();
                    ballPosition.Y = 0;

                    //Set player's location to up left corner
                    nodePosition.Z = stat->getLeftLine()+30;
                    nodePosition.X = stat->getUpLine();
                    //Set player's facing
                    selectedplayer = 1;
                    t1players[selectedplayer]->setPosition(nodePosition);
                    t1players[selectedplayer]->facingangle = 180;
                    t1players[selectedplayer]->setRotation(core::vector3df(0,t1players[selectedplayer]->facingangle,0));
                    //set location of player's name
                    playernames[selectedplayer]->setPosition(core::vector3df(nodePosition.X, 120, nodePosition.Z));

                    //Set player's location to up left corner
                    nodePosition.Z = 0.4*stat->getLeftLine();
                    nodePosition.X = 0.1*stat->getUpLine();
                    //Set player's facing
                    selectedplayer = 2;
                    t1players[selectedplayer]->setPosition(nodePosition);
                    t1players[selectedplayer]->facingangle = 0;
                    t1players[selectedplayer]->setRotation(core::vector3df(0,t1players[selectedplayer]->facingangle,0));
                    //set location of player's name
                    playernames[selectedplayer]->setPosition(core::vector3df(nodePosition.X, 120, nodePosition.Z));

                    //Set player's location to up left corner
                    nodePosition.Z = 0.7*stat->getLeftLine();
                    nodePosition.X = 0.8*stat->getUpLine();
                    //Set player's facing
                    selectedplayer = 0;
                    t1players[selectedplayer]->setPosition(nodePosition);
                    t1players[selectedplayer]->facingangle = 270;
                    t1players[selectedplayer]->setRotation(core::vector3df(0,t1players[selectedplayer]->facingangle,0));
                    //set location of player's name
                    playernames[selectedplayer]->setPosition(core::vector3df(nodePosition.X, 120, nodePosition.Z));

                }
                //Down-Left corner
                else
                {
                    downleftcorner = true;

                    //Set ball's location to down left corner
                    ballPosition.X = stat->getDownLine();
                    ballPosition.Z = stat->getLeftLine();
                    ballPosition.Y = 0;

                    //Set player's location to up left corner
                    nodePosition.Z = stat->getLeftLine()+30;
                    nodePosition.X = stat->getDownLine();
                    //Set player's facing
                    selectedplayer = 0;
                    t1players[selectedplayer]->setPosition(nodePosition);
                    t1players[selectedplayer]->facingangle = 180;
                    t1players[selectedplayer]->setRotation(core::vector3df(0,t1players[selectedplayer]->facingangle,0));
                    //set location of player's name
                    playernames[selectedplayer]->setPosition(core::vector3df(nodePosition.X, 120, nodePosition.Z));

                    //Set player's location to up left corner
                    nodePosition.Z = 0.4*stat->getLeftLine();
                    nodePosition.X = 0.1*stat->getDownLine();
                    //Set player's facing
                    selectedplayer = 2;
                    t1players[selectedplayer]->setPosition(nodePosition);
                    t1players[selectedplayer]->facingangle = 0;
                    t1players[selectedplayer]->setRotation(core::vector3df(0,t1players[selectedplayer]->facingangle,0));
                    //set location of player's name
                    playernames[selectedplayer]->setPosition(core::vector3df(nodePosition.X, 120, nodePosition.Z));

                    //Set player's location to up left corner
                    nodePosition.Z = 0.7*stat->getLeftLine();
                    nodePosition.X = 0.8*stat->getDownLine();
                    //Set player's facing
                    selectedplayer = 1;
                    t1players[selectedplayer]->setPosition(nodePosition);
                    t1players[selectedplayer]->facingangle = 90;
                    t1players[selectedplayer]->setRotation(core::vector3df(0,t1players[selectedplayer]->facingangle,0));
                    //set location of player's name
                    playernames[selectedplayer]->setPosition(core::vector3df(nodePosition.X, 120, nodePosition.Z));

                }

                //Set ball's location
                ball->setPosition(ballPosition);

                //Arrange ball posessions
                t2players[selectedplayer2]->hasball = 0;
                t1players[selectedplayer]->hasball = 0;

                //Stop animator for passing/shooting if ball makes a collusion with a player or a line
                ball->removeAnimators();
*/
            }

        }
    }
}





void checkCornerLineRight(Player* t1players[], Player* t2players[],
                        scene::ITextSceneNode *playernames[], scene::ITextSceneNode *playernames2[],
                        scene::IAnimatedMeshSceneNode* ball,
                        int &selectedplayer, core::vector3df &nodePosition,
                        int &selectedplayer2, core::vector3df &nodePosition2,
                        core::vector3df &ballPosition, int &pressedby, Stadium *stat, bool &uprightcorner,
                        bool &downrightcorner, gamemode mode, bool &rightout, int &t2cornercount)
{
    //Classic Mode
    if (mode == CLASSIC)
    {
        //Get position of ball
        core::vector3df newballPosition2 = ball->getPosition();

        //Check coordinates if it has passed line1 and not goal
        if ((newballPosition2.Z < stat->getRightLine()) && (newballPosition2.Z > stat->getRightLine()-100) &&
            ((newballPosition2.X > stat->getRightGoalUpLine()) || (newballPosition2.X < stat->getRightGoalDownLine())))
        {
            //Check if it is team 1 oriented
            if ((t1players[selectedplayer]->hasball == 1) || (pressedby == 1))
            {
                //Up-right corner
                if (newballPosition2.X > 0)
                {
                    uprightcorner = true;

                    //Set ball's location to up left corner
                    ballPosition.X = stat->getUpLine();
                    ballPosition.Z = stat->getRightLine();
                    ballPosition.Y = 0;

                    //Set player's location to up left corner
                    nodePosition2.Z = stat->getRightLine()-30;
                    nodePosition2.X = stat->getUpLine();
                    selectedplayer2 = 2;
                    t2players[selectedplayer2]->setPosition(nodePosition2);
                    //Set player's facing
                    t2players[selectedplayer2]->facingangle = 0;
                    t2players[selectedplayer2]->setRotation(core::vector3df(0,t2players[selectedplayer2]->facingangle,0));
                    //set location of player's name
                    playernames2[selectedplayer2]->setPosition(core::vector3df(nodePosition2.X, 120, nodePosition2.Z));

                    //Set player's location to up left corner
                    nodePosition2.Z = 0.8*stat->getRightLine();
                    nodePosition2.X = 0.1*stat->getUpLine();
                    selectedplayer2 = 1;
                    t2players[selectedplayer2]->setPosition(nodePosition2);
                    //Set player's facing
                    t2players[selectedplayer2]->facingangle = 180;
                    t2players[selectedplayer2]->setRotation(core::vector3df(0,t2players[selectedplayer2]->facingangle,0));
                    //set location of player's name
                    playernames2[selectedplayer2]->setPosition(core::vector3df(nodePosition2.X, 120, nodePosition2.Z));

                    //Set player's location to up left corner
                    nodePosition2.Z = 0.7*stat->getRightLine();
                    nodePosition2.X = 0.8*stat->getUpLine();
                    selectedplayer2 = 3;
                    t2players[selectedplayer2]->setPosition(nodePosition2);
                    //Set player's facing
                    t2players[selectedplayer2]->facingangle = 270;
                    t2players[selectedplayer2]->setRotation(core::vector3df(0,t2players[selectedplayer2]->facingangle,0));
                    //set location of player's name
                    playernames2[selectedplayer2]->setPosition(core::vector3df(nodePosition2.X, 120, nodePosition2.Z));

                }
                //Doown-Left corner
                else
                {
                    downrightcorner = true;

                    //Set ball's location to down left corner
                    ballPosition.X = stat->getDownLine();
                    ballPosition.Z = stat->getRightLine();
                    ballPosition.Y = 0;

                    //Set player's location to up left corner
                    nodePosition2.Z = stat->getRightLine()-30;
                    nodePosition2.X = stat->getDownLine();
                    selectedplayer2 = 5;
                    t2players[selectedplayer2]->setPosition(nodePosition2);
                    //Set player's facing
                    t2players[selectedplayer2]->facingangle = 0;
                    t2players[selectedplayer2]->setRotation(core::vector3df(0,t2players[selectedplayer2]->facingangle,0));
                    //set location of player's name
                    playernames2[selectedplayer2]->setPosition(core::vector3df(nodePosition2.X, 120, nodePosition2.Z));

                    //Set player's location to up left corner
                    nodePosition2.Z = 0.8*stat->getRightLine();
                    nodePosition2.X = 0.1*stat->getDownLine();
                    selectedplayer2 = 0;
                    t2players[selectedplayer2]->setPosition(nodePosition2);
                    //Set player's facing
                    t2players[selectedplayer2]->facingangle = 180;
                    t2players[selectedplayer2]->setRotation(core::vector3df(0,t2players[selectedplayer2]->facingangle,0));
                    //set location of player's name
                    playernames2[selectedplayer2]->setPosition(core::vector3df(nodePosition2.X, 120, nodePosition2.Z));

                    //Set player's location to up left corner
                    nodePosition2.Z = 0.7*stat->getRightLine();
                    nodePosition2.X = 0.8*stat->getDownLine();
                    selectedplayer2 = 4;
                    t2players[selectedplayer2]->setPosition(nodePosition2);
                    //Set player's facing
                    t2players[selectedplayer2]->facingangle = 90;
                    t2players[selectedplayer2]->setRotation(core::vector3df(0,t2players[selectedplayer2]->facingangle,0));
                    //set location of player's name
                    playernames2[selectedplayer2]->setPosition(core::vector3df(nodePosition2.X, 120, nodePosition2.Z));
                }

                //Set ball's location
                ball->setPosition(ballPosition);

                //Arrange ball possessions
                t2players[selectedplayer2]->hasball = 0;
                t1players[selectedplayer]->hasball = 0;

                //Stop animator for passing/shooting if ball makes a collusion with a player or a line
                ball->removeAnimators();
            }
        }
    }

    //Street Mode
    else if (mode == STREET)
    {
        //Get position of ball
        core::vector3df newballPosition2 = ball->getPosition();

        //Check coordinates if it has passed line1 and not goal
        if ((newballPosition2.Z < stat->getRightLine()) && (newballPosition2.Z > stat->getRightLine()-100) &&
            ((newballPosition2.X > stat->getRightGoalUpLine()) || (newballPosition2.X < stat->getRightGoalDownLine())))
        {
            //Check if it is team 1 oriented
            if ((t1players[selectedplayer]->hasball == 1) || (pressedby == 1))
            {

                t2cornercount++;
                                rightout = true;
engine->play2D("../../media/duduk.wav",false, false, true);

                //Arrange ball location
                ballPosition.X = 0.2*stat->getUpLine();
                ballPosition.Z = 0.93*stat->getRightLine();
                ballPosition.Y = 0;
                ball->setPosition(ballPosition);

                //Arrange goal keeper positions for out kick
                //Actually all players need to be positioned but
                //I'm not that into football and I don't know how
                selectedplayer = 2;
                nodePosition.Z = 0.93*stat->getRightLine() -30;
                nodePosition.X = 0.2*stat->getUpLine();
                t1players[selectedplayer]->setPosition(nodePosition);
                playernames[selectedplayer]->setPosition(core::vector3df(nodePosition.X, 120, nodePosition.Z));

                //Arrange goalkeeper's facing
                t1players[selectedplayer]->facingangle = 0;
                t1players[selectedplayer]->setRotation(core::vector3df(0,t1players[selectedplayer]->facingangle,0));

                selectedplayer = 1;
                nodePosition.Z = 0.65*stat->getRightLine();
                nodePosition.X = 0.35*stat->getUpLine();
                t1players[selectedplayer]->setPosition(nodePosition);
                playernames[selectedplayer]->setPosition(core::vector3df(nodePosition.X, 120, nodePosition.Z));

                //Arrange selected player's facing
                t1players[selectedplayer]->facingangle = 180;
                t1players[selectedplayer]->setRotation(core::vector3df(0,t1players[selectedplayer]->facingangle,0));


                //Arrange ball posessions
                t2players[selectedplayer2]->hasball = 0;
                t1players[selectedplayer]->hasball = 0;

                //Stop animator for passing/shooting if ball makes a collusion with a player or a line
                ball->removeAnimators();

/*
                //Up-right corner
                if (newballPosition2.X > 0)
                {
                    uprightcorner = true;

                    //Set ball's location to up left corner
                    ballPosition.X = stat->getUpLine();
                    ballPosition.Z = stat->getRightLine();
                    ballPosition.Y = 0;

                    //Set player's location to up left corner
                    nodePosition2.Z = stat->getRightLine()-30;
                    nodePosition2.X = stat->getUpLine();
                    selectedplayer2 = 1;
                    t2players[selectedplayer2]->setPosition(nodePosition2);
                    //Set player's facing
                    t2players[selectedplayer2]->facingangle = 0;
                    t2players[selectedplayer2]->setRotation(core::vector3df(0,t2players[selectedplayer2]->facingangle,0));
                    //set location of player's name
                    playernames2[selectedplayer2]->setPosition(core::vector3df(nodePosition2.X, 120, nodePosition2.Z));

                    //Set player's location to up left corner
                    nodePosition2.Z = 0.4*stat->getRightLine();
                    nodePosition2.X = 0.1*stat->getUpLine();
                    selectedplayer2 = 2;
                    t2players[selectedplayer2]->setPosition(nodePosition2);
                    //Set player's facing
                    t2players[selectedplayer2]->facingangle = 180;
                    t2players[selectedplayer2]->setRotation(core::vector3df(0,t2players[selectedplayer2]->facingangle,0));
                    //set location of player's name
                    playernames2[selectedplayer2]->setPosition(core::vector3df(nodePosition2.X, 120, nodePosition2.Z));

                    //Set player's location to up left corner
                    nodePosition2.Z = 0.7*stat->getRightLine();
                    nodePosition2.X = 0.8*stat->getUpLine();
                    selectedplayer2 = 0;
                    t2players[selectedplayer2]->setPosition(nodePosition2);
                    //Set player's facing
                    t2players[selectedplayer2]->facingangle = 270;
                    t2players[selectedplayer2]->setRotation(core::vector3df(0,t2players[selectedplayer2]->facingangle,0));
                    //set location of player's name
                    playernames2[selectedplayer2]->setPosition(core::vector3df(nodePosition2.X, 120, nodePosition2.Z));

                }
                //Doown-Left corner
                else
                {
                    downrightcorner = true;

                    //Set ball's location to down left corner
                    ballPosition.X = stat->getDownLine();
                    ballPosition.Z = stat->getRightLine();
                    ballPosition.Y = 0;

                    //Set player's location to up left corner
                    nodePosition2.Z = stat->getRightLine()-30;
                    nodePosition2.X = stat->getDownLine();
                    selectedplayer2 = 0;
                    t2players[selectedplayer2]->setPosition(nodePosition2);
                    //Set player's facing
                    t2players[selectedplayer2]->facingangle = 0;
                    t2players[selectedplayer2]->setRotation(core::vector3df(0,t2players[selectedplayer2]->facingangle,0));
                    //set location of player's name
                    playernames2[selectedplayer2]->setPosition(core::vector3df(nodePosition2.X, 120, nodePosition2.Z));

                    //Set player's location to up left corner
                    nodePosition2.Z = 0.4*stat->getRightLine();
                    nodePosition2.X = 0.1*stat->getDownLine();
                    selectedplayer2 = 2;
                    t2players[selectedplayer2]->setPosition(nodePosition2);
                    //Set player's facing
                    t2players[selectedplayer2]->facingangle = 180;
                    t2players[selectedplayer2]->setRotation(core::vector3df(0,t2players[selectedplayer2]->facingangle,0));
                    //set location of player's name
                    playernames2[selectedplayer2]->setPosition(core::vector3df(nodePosition2.X, 120, nodePosition2.Z));

                    //Set player's location to up left corner
                    nodePosition2.Z = 0.7*stat->getRightLine();
                    nodePosition2.X = 0.8*stat->getDownLine();
                    selectedplayer2 = 1;
                    t2players[selectedplayer2]->setPosition(nodePosition2);
                    //Set player's facing
                    t2players[selectedplayer2]->facingangle = 90;
                    t2players[selectedplayer2]->setRotation(core::vector3df(0,t2players[selectedplayer2]->facingangle,0));
                    //set location of player's name
                    playernames2[selectedplayer2]->setPosition(core::vector3df(nodePosition2.X, 120, nodePosition2.Z));
                }

                //Set ball's location
                ball->setPosition(ballPosition);

                //Arrange ball possessions
                t2players[selectedplayer2]->hasball = 0;
                t1players[selectedplayer]->hasball = 0;

                //Stop animator for passing/shooting if ball makes a collusion with a player or a line
                ball->removeAnimators();
*/
            }
        }

    }
}




void checkThrowinLineUp(Player* t1players[], Player* t2players[],
                        scene::ITextSceneNode *playernames[], scene::ITextSceneNode *playernames2[],
                        scene::IAnimatedMeshSceneNode* ball,
                        int &selectedplayer, core::vector3df &nodePosition,
                        int &selectedplayer2, core::vector3df &nodePosition2,
                        core::vector3df &ballPosition, int &pressedby, Stadium *stat,
                        bool &t1throwinguard, bool &t2throwinguard, bool &upthrowinguard, gamemode mode)
{
    //Classic Mode
    if (mode == CLASSIC)
    {
        //Get position of ball
        core::vector3df newballPosition2 = ball->getPosition();

        if (newballPosition2.X > stat->getUpLine())
        {
            upthrowinguard = true;
engine->play2D("../../media/duduk.wav",false, false, true);
            if ((t1players[selectedplayer]->hasball == 1) || (pressedby == 1))
            {

                t2throwinguard = true;

                //Set player's location
                nodePosition2.Z = newballPosition2.Z;
                nodePosition2.X = stat->getUpLine()+30;
                t2players[2]->setPosition(nodePosition2);
                playernames2[2]->setPosition(core::vector3df(nodePosition2.X, 120, nodePosition2.Z));

                nodePosition2.X = 0.7*stat->getUpLine();
                t2players[1]->setPosition(core::vector3df(nodePosition2));
                playernames2[1]->setPosition(core::vector3df(nodePosition2.X, 120, nodePosition2.Z));

                selectedplayer2 = 1;

                //Set ball position
                ballPosition.X = stat->getUpLine()-10;
                ballPosition.Z = newballPosition2.Z;
                ballPosition.Y = 60;
                ball->setPosition(ballPosition);

                //Set player's facing
                t2players[2]->facingangle = 270;
                t2players[2]->setRotation(core::vector3df(0,t2players[2]->facingangle,0));

                t2players[1]->facingangle = 90;
                t2players[1]->setRotation(core::vector3df(0,t2players[1]->facingangle,0));

                //Arrange ball possessions
                t2players[selectedplayer2]->hasball = 0;
                t1players[selectedplayer]->hasball = 0;

                //Stop animator for passing/shooting if ball makes a collusion with a player or a line
                ball->removeAnimators();
            }
            else if ((t2players[selectedplayer2]->hasball == 1) || (pressedby == 2))
            {

                t1throwinguard = true;
engine->play2D("../../media/duduk.wav",false, false, true);

                //Set player's location
                nodePosition.Z = newballPosition2.Z;
                nodePosition.X = stat->getUpLine()+30;
                t1players[2]->setPosition(nodePosition);
                playernames[2]->setPosition(core::vector3df(nodePosition.X, 120, nodePosition.Z));

                nodePosition.X = 0.7*stat->getUpLine();
                t1players[1]->setPosition(core::vector3df(nodePosition));
                playernames[1]->setPosition(core::vector3df(nodePosition.X, 120, nodePosition.Z));

                selectedplayer = 1;

                //Set ball position
                ballPosition.X = stat->getUpLine()-10;
                ballPosition.Z = newballPosition2.Z;
                ballPosition.Y = 60;
                ball->setPosition(ballPosition);

                //Set player's facing
                t1players[2]->facingangle = 270;
                t1players[2]->setRotation(core::vector3df(0,t1players[2]->facingangle,0));

                t1players[1]->facingangle = 90;
                t1players[1]->setRotation(core::vector3df(0,t1players[1]->facingangle,0));

                //Arrange ball possessions
                t2players[selectedplayer2]->hasball = 0;
                t1players[selectedplayer]->hasball = 0;

                //Stop animator for passing/shooting if ball makes a collusion with a player or a line
                ball->removeAnimators();
            }
        }
    }

    //Street Mode
    else if (mode == STREET)
    {
        //Get position of ball
        core::vector3df newballPosition2 = ball->getPosition();

        if (newballPosition2.X > stat->getUpLine())
        {
            upthrowinguard = true;

            if ((t1players[selectedplayer]->hasball == 1) || (pressedby == 1))
            {

                t2throwinguard = true;

                //Set player's location
                nodePosition2.Z = newballPosition2.Z;
                nodePosition2.X = stat->getUpLine()+30;
                t2players[1]->setPosition(nodePosition2);
                playernames2[1]->setPosition(core::vector3df(nodePosition2.X, 120, nodePosition2.Z));

                nodePosition2.X = 0.7*stat->getUpLine();
                t2players[2]->setPosition(core::vector3df(nodePosition2));
                playernames2[2]->setPosition(core::vector3df(nodePosition2.X, 120, nodePosition2.Z));

                selectedplayer2 = 2;

                //Set ball position
                ballPosition.X = stat->getUpLine();
                ballPosition.Z = newballPosition2.Z;
                ballPosition.Y = 0;
                ball->setPosition(ballPosition);

                //Set player's facing
                t2players[1]->facingangle = 270;
                t2players[1]->setRotation(core::vector3df(0,t2players[1]->facingangle,0));

                t2players[2]->facingangle = 90;
                t2players[2]->setRotation(core::vector3df(0,t2players[2]->facingangle,0));

                //Arrange ball possessions
                t2players[selectedplayer2]->hasball = 0;
                t1players[selectedplayer]->hasball = 0;

                //Stop animator for passing/shooting if ball makes a collusion with a player or a line
                ball->removeAnimators();
            }
            else if ((t2players[selectedplayer2]->hasball == 1) || (pressedby == 2))
            {

                t1throwinguard = true;

                //Set player's location
                nodePosition.Z = newballPosition2.Z;
                nodePosition.X = stat->getUpLine()+30;
                t1players[1]->setPosition(nodePosition);
                playernames[1]->setPosition(core::vector3df(nodePosition.X, 120, nodePosition.Z));

                nodePosition.X = 0.7*stat->getUpLine();
                t1players[2]->setPosition(core::vector3df(nodePosition));
                playernames[2]->setPosition(core::vector3df(nodePosition.X, 120, nodePosition.Z));

                selectedplayer = 2;

                //Set ball position
                ballPosition.X = stat->getUpLine();
                ballPosition.Z = newballPosition2.Z;
                ballPosition.Y = 0;
                ball->setPosition(ballPosition);

                //Set player's facing
                t1players[1]->facingangle = 270;
                t1players[1]->setRotation(core::vector3df(0,t1players[1]->facingangle,0));

                t1players[2]->facingangle = 90;
                t1players[2]->setRotation(core::vector3df(0,t1players[2]->facingangle,0));

                //Arrange ball possessions
                t2players[selectedplayer2]->hasball = 0;
                t1players[selectedplayer]->hasball = 0;

                //Stop animator for passing/shooting if ball makes a collusion with a player or a line
                ball->removeAnimators();
            }
        }
    }
}





void checkThrowinLineDown(Player* t1players[], Player* t2players[],
                        scene::ITextSceneNode *playernames[], scene::ITextSceneNode *playernames2[],
                        scene::IAnimatedMeshSceneNode* ball,
                        int &selectedplayer, core::vector3df &nodePosition,
                        int &selectedplayer2, core::vector3df &nodePosition2,
                        core::vector3df &ballPosition, int &pressedby, Stadium *stat,
                        bool &t1throwinguard, bool &t2throwinguard, bool &downthrowinguard, gamemode mode)
{
    //Classic Mode
    if (mode == CLASSIC)
    {
        //Get position of ball
        core::vector3df newballPosition2 = ball->getPosition();

        if (newballPosition2.X < stat->getDownLine())
        {
            downthrowinguard = true;
engine->play2D("../../media/duduk.wav",false, false, true);

            if ((t1players[selectedplayer]->hasball == 1) || (pressedby == 1))
            {

                t2throwinguard = true;

                //Set player's location
                nodePosition2.Z = newballPosition2.Z;
                nodePosition2.X = stat->getDownLine()-30;
                t2players[5]->setPosition(nodePosition2);
                playernames2[5]->setPosition(core::vector3df(nodePosition2.X, 120, nodePosition2.Z));

                nodePosition2.X = 0.7*stat->getDownLine();
                t2players[0]->setPosition(core::vector3df(nodePosition2));
                playernames2[0]->setPosition(core::vector3df(nodePosition2.X, 120, nodePosition2.Z));

                selectedplayer2 = 0;

                //Set ball position
                ballPosition.X = stat->getDownLine()+10;
                ballPosition.Z = newballPosition2.Z;
                ballPosition.Y = 60;
                ball->setPosition(ballPosition);

                //Set player's facing
                t2players[5]->facingangle = 90;
                t2players[5]->setRotation(core::vector3df(0,t2players[5]->facingangle,0));

                t2players[selectedplayer2]->facingangle = 270;
                t2players[selectedplayer2]->setRotation(core::vector3df(0,t2players[selectedplayer2]->facingangle,0));


                //Arrange ball possessions
                t2players[selectedplayer2]->hasball = 0;
                t1players[selectedplayer]->hasball = 0;

                //Stop animator for passing/shooting if ball makes a collusion with a player or a line
                ball->removeAnimators();
            }
            else if ((t2players[selectedplayer2]->hasball == 1) || (pressedby == 2))
            {

                t1throwinguard = true;
engine->play2D("../../media/duduk.wav",false, false, true);
                //Set player's location
                nodePosition.Z = newballPosition2.Z;
                nodePosition.X = stat->getDownLine()-30;
                t1players[5]->setPosition(nodePosition);
                playernames[5]->setPosition(core::vector3df(nodePosition.X, 120, nodePosition.Z));

                nodePosition.X = 0.7*stat->getDownLine();
                t1players[0]->setPosition(core::vector3df(nodePosition));
                playernames[0]->setPosition(core::vector3df(nodePosition.X, 120, nodePosition.Z));

                selectedplayer = 0;

                //Set ball position
                ballPosition.X = stat->getDownLine()+10;
                ballPosition.Z = newballPosition2.Z;
                ballPosition.Y = 60;
                ball->setPosition(ballPosition);

                //Set player's facing
                t1players[5]->facingangle = 90;
                t1players[5]->setRotation(core::vector3df(0,t1players[5]->facingangle,0));

                t1players[selectedplayer]->facingangle = 270;
                t1players[selectedplayer]->setRotation(core::vector3df(0,t1players[selectedplayer]->facingangle,0));


                //Arrange ball possessions
                t2players[selectedplayer2]->hasball = 0;
                t1players[selectedplayer]->hasball = 0;

                //Stop animator for passing/shooting if ball makes a collusion with a player or a line
                ball->removeAnimators();

            }
        }
    }

    //Street Mode
    else if (mode == STREET)
    {
        //Get position of ball
        core::vector3df newballPosition2 = ball->getPosition();

        if (newballPosition2.X < stat->getDownLine())
        {
            downthrowinguard = true;

            if ((t1players[selectedplayer]->hasball == 1) || (pressedby == 1))
            {

                t2throwinguard = true;

                //Set player's location
                nodePosition2.Z = newballPosition2.Z;
                nodePosition2.X = stat->getDownLine()-30;
                t2players[0]->setPosition(nodePosition2);
                playernames2[0]->setPosition(core::vector3df(nodePosition2.X, 120, nodePosition2.Z));

                nodePosition2.X = 0.7*stat->getDownLine();
                t2players[2]->setPosition(core::vector3df(nodePosition2));
                playernames2[2]->setPosition(core::vector3df(nodePosition2.X, 120, nodePosition2.Z));

                selectedplayer2 = 2;

                //Set ball position
                ballPosition.X = stat->getDownLine();
                ballPosition.Z = newballPosition2.Z;
                ballPosition.Y = 0;
                ball->setPosition(ballPosition);

                //Set player's facing
                t2players[0]->facingangle = 90;
                t2players[0]->setRotation(core::vector3df(0,t2players[0]->facingangle,0));

                t2players[selectedplayer2]->facingangle = 270;
                t2players[selectedplayer2]->setRotation(core::vector3df(0,t2players[selectedplayer2]->facingangle,0));


                //Arrange ball possessions
                t2players[selectedplayer2]->hasball = 0;
                t1players[selectedplayer]->hasball = 0;

                //Stop animator for passing/shooting if ball makes a collusion with a player or a line
                ball->removeAnimators();
            }
            else if ((t2players[selectedplayer2]->hasball == 1) || (pressedby == 2))
            {

                t1throwinguard = true;

                //Set player's location
                nodePosition.Z = newballPosition2.Z;
                nodePosition.X = stat->getDownLine()-30;
                t1players[0]->setPosition(nodePosition);
                playernames[0]->setPosition(core::vector3df(nodePosition.X, 120, nodePosition.Z));

                nodePosition.X = 0.7*stat->getDownLine();
                t1players[2]->setPosition(core::vector3df(nodePosition));
                playernames[2]->setPosition(core::vector3df(nodePosition.X, 120, nodePosition.Z));

                selectedplayer = 2;

                //Set ball position
                ballPosition.X = stat->getDownLine();
                ballPosition.Z = newballPosition2.Z;
                ballPosition.Y = 0;
                ball->setPosition(ballPosition);

                //Set player's facing
                t1players[0]->facingangle = 90;
                t1players[0]->setRotation(core::vector3df(0,t1players[0]->facingangle,0));

                t1players[selectedplayer]->facingangle = 270;
                t1players[selectedplayer]->setRotation(core::vector3df(0,t1players[selectedplayer]->facingangle,0));


                //Arrange ball possessions
                t2players[selectedplayer2]->hasball = 0;
                t1players[selectedplayer]->hasball = 0;

                //Stop animator for passing/shooting if ball makes a collusion with a player or a line
                ball->removeAnimators();

            }
        }
    }
}



void checkFreeBall(scene::IAnimatedMeshSceneNode* ball, core::vector3df &ballPosition, core::vector3df &nodePosition,
                    core::vector3df &nodePosition2, int &selectedplayer, int &selectedplayer2, int &pressedby, Player* t1players[11], Player* t2players[11],
                    bool goalguard, bool upthrowinguard, bool leftout, bool rightout, bool upleftcorner, bool uprightcorner,
                    bool downthrowinguard, bool downleftcorner, bool downrightcorner)
{
    if (!upthrowinguard && !leftout && !rightout && !upleftcorner && !uprightcorner &&
                 !downthrowinguard && !downleftcorner && !downrightcorner)
    {

     /* //this code tries to interrupt passes or free balls to anyone in the team not only selected one; but it fails :)
    //check if any team 1 player is range of the ball
    for (int i=0; i<11; i++)
    {
        core::vector3df osman = t1players[i]->getPosition();

        if ((sqrtf((ballPosition.X-osman.X)*(ballPosition.X-osman.X)+
                (ballPosition.Z-osman.Z)*(ballPosition.Z-osman.Z)) <=20) && !t2players[selectedplayer2]->hasball)
        {
            //Stop animator for passing/shooting if ball makes a collusion with a player or a line
            ball->removeAnimators();

            //Arrange ball posessions
            selectedplayer = i;
            t1players[selectedplayer]->hasball = true;
            t2players[selectedplayer2]->hasball = false;

            nodePosition.X = osman.X;
            nodePosition.Z = osman.Z;

            pressedby = 0;
        }
    }

    for (int i=0; i<11; i++)
    {
        core::vector3df osman = t2players[i]->getPosition();

        //check if any team 2 player is range of the ball
       if ((sqrtf((ballPosition.X-osman.X)*(ballPosition.X-osman.X)+
            (ballPosition.Z-osman.Z)*(ballPosition.Z-osman.Z)) <=20) && !t1players[selectedplayer]->hasball)
        {
            //Stop animator for passing/shooting if ball makes a collusion with a player or a line
            ball->removeAnimators();

            //Arrange ball posessions
            selectedplayer2 = i;
            t2players[selectedplayer2]->hasball = true;
            t1players[selectedplayer]->hasball = false;

            nodePosition2.X = osman.X;
            nodePosition2.Z = osman.Z;

            pressedby = 0;
        }
    }
*/

        //check if any team 1 player is range of the ball
        if ((sqrtf((ballPosition.X-nodePosition.X)*(ballPosition.X-nodePosition.X)+(ballPosition.Z-nodePosition.Z)*(ballPosition.Z-nodePosition.Z)) <=30) && !t2players[selectedplayer2]->hasball)
        {
            //Stop animator for passing/shooting if ball makes a collusion with a player or a line
            ball->removeAnimators();
            ballPosition.Y = 0;
            ball->setPosition(ballPosition);

            //Arrange ball posessions
            t1players[selectedplayer]->hasball = true;
            t2players[selectedplayer2]->hasball = false;

            pressedby = 0;
        }
        //check if any team 2 player is range of the ball
        else if ((sqrtf((ballPosition.X-nodePosition2.X)*(ballPosition.X-nodePosition2.X)+(ballPosition.Z-nodePosition2.Z)*(ballPosition.Z-nodePosition2.Z)) <=30) && !t1players[selectedplayer]->hasball)
        {
            //Stop animator for passing/shooting if ball makes a collusion with a player or a line
            ball->removeAnimators();
            ballPosition.Y = 0;
            ball->setPosition(ballPosition);

            //Arrange ball posessions
            t2players[selectedplayer2]->hasball = true;
            t1players[selectedplayer]->hasball = false;

            pressedby = 0;
        }
    }

}


void loadNames(scene::ITextSceneNode *playernames[], scene::ITextSceneNode *playernames2[],
        const wchar_t* namearray1[], const wchar_t* namearray2[], int &selectedplayer, int &selectedplayer2,
        gamemode mode)
{
    //Classic Mode
    if (mode == CLASSIC)
    {
        for (int i=0; i<11; i++)
        {
            if (i == selectedplayer)  playernames[i]->setText(namearray1[i]);
            else playernames[i]->setText(L"");
        }
        for (int i=0; i<11; i++)
        {
            if (i == selectedplayer2)  playernames2[i]->setText(namearray2[i]);
            else playernames2[i]->setText(L"");
        }
    }

    //Street Mode
    else if (mode == STREET)
    {
        for (int i=0; i<3; i++)
        {
            if (i == selectedplayer)  playernames[i]->setText(namearray1[i]);
            else playernames[i]->setText(L"");
        }
        for (int i=0; i<3; i++)
        {
            if (i == selectedplayer2)  playernames2[i]->setText(namearray2[i]);
            else playernames2[i]->setText(L"");
        }
    }
}


//Up-Left Direction
void goupleft(Player *playa, scene::ITextSceneNode *playername, const f32 &MOVEMENT_SPEED, const f32 &frameDeltaTime, Stadium *stat)
{
    core::vector3df nodePosition = playa->getPosition();

    //Movement on X and Z directions
    //"frameDeltaTime" is used to keep run speed same on low/high fps computers.
    nodePosition.X += 0.1*playa->getSpeed()*MOVEMENT_SPEED * frameDeltaTime * 0.7;
    if (nodePosition.X > stat->getUpLine()) nodePosition.X =  stat->getUpLine();
    nodePosition.Z += 0.1*playa->getSpeed()*MOVEMENT_SPEED * frameDeltaTime * 0.7;
    if (nodePosition.Z > stat->getLeftLine()) nodePosition.Z =  stat->getLeftLine();

    //Animation speed is adjusted. This might be needed to be removed/adjusted when drippling button is added
    playa->setAnimationSpeed(30);

    //Change the facing of selected player according to current facing of the player
    //"frameDeltaTime" is used to keep rotation speed same on low/high fps computers
    if ((playa->facingangle < 45) || (playa->facingangle >= 225))
    {
        playa->facingangle+=(700*frameDeltaTime);
        if ((playa->facingangle > 45) && (playa->facingangle < 225)) playa->facingangle = 45;
    }
    else if ((playa->facingangle > 45) && (playa->facingangle < 225))
    {
        playa->facingangle-=(700*frameDeltaTime);
        if (playa->facingangle < 45) playa->facingangle = 45;
    }
    playa->facingangle %= 360;
    playa->setRotation(core::vector3df(0,playa->facingangle,0));

    //Change the ball's position according to player's facing angle
    playa->setPosition(nodePosition);

    //Change player's name to its new position
    playername->setPosition(core::vector3df(playa->getPosition().X, 120, playa->getPosition().Z));
}



//Up-Right Direction
void goupright(Player *playa, scene::ITextSceneNode *playername, const f32 &MOVEMENT_SPEED, const f32 &frameDeltaTime, Stadium *stat)
{
    core::vector3df nodePosition = playa->getPosition();

    nodePosition.X += 0.1*playa->getSpeed()*MOVEMENT_SPEED * frameDeltaTime * 0.7;
    if (nodePosition.X > stat->getUpLine()) nodePosition.X =  stat->getUpLine();
    nodePosition.Z -= 0.1*playa->getSpeed()*MOVEMENT_SPEED * frameDeltaTime * 0.7;
    if (nodePosition.Z < stat->getRightLine()) nodePosition.Z =  stat->getRightLine();

    playa->setAnimationSpeed(30);

    if ((playa->facingangle <135) || (playa->facingangle >= 315))
    {
        playa->facingangle+=(700*frameDeltaTime);
        if ((playa->facingangle > 135) && (playa->facingangle < 315)) playa->facingangle = 135;
    }
    else if ((playa->facingangle > 135) && (playa->facingangle < 315))
    {
        playa->facingangle-=(700*frameDeltaTime);
        if (playa->facingangle < 135) playa->facingangle = 135;
    }
    playa->facingangle %= 360;
    playa->setRotation(core::vector3df(0,playa->facingangle,0));

    playa->setPosition(nodePosition);

    playername->setPosition(core::vector3df(playa->getPosition().X, 120, playa->getPosition().Z));
}



//Down-Left Direction
void godownleft(Player *playa, scene::ITextSceneNode *playername, const f32 &MOVEMENT_SPEED, const f32 &frameDeltaTime, Stadium *stat)
{
    core::vector3df nodePosition = playa->getPosition();

    nodePosition.X -= 0.1*playa->getSpeed()*MOVEMENT_SPEED * frameDeltaTime * 0.7;
    if (nodePosition.X < stat->getDownLine()) nodePosition.X =  stat->getDownLine();
    nodePosition.Z += 0.1*playa->getSpeed()*MOVEMENT_SPEED * frameDeltaTime * 0.7;
    if (nodePosition.Z > stat->getLeftLine()) nodePosition.Z =  stat->getLeftLine();

    playa->setAnimationSpeed(30);

    if ((playa->facingangle <=135) || (playa->facingangle > 315))
    {
        playa->facingangle-=(700*frameDeltaTime);
        if ((playa->facingangle > 135) && (playa->facingangle < 315)) playa->facingangle = 315;
    }
    else if ((playa->facingangle > 135) && (playa->facingangle < 315))
    {
        playa->facingangle+=(700*frameDeltaTime);
        if (playa->facingangle > 315) playa->facingangle = 315;
    }
    if (playa->facingangle<0) playa->facingangle += 360;
    playa->facingangle %= 360;
    playa->setRotation(core::vector3df(0,playa->facingangle,0));

    playa->setPosition(nodePosition);

    playername->setPosition(core::vector3df(playa->getPosition().X, 120, playa->getPosition().Z));
}



//Down-Right Direction
void godownright(Player *playa, scene::ITextSceneNode *playername, const f32 &MOVEMENT_SPEED, const f32 &frameDeltaTime, Stadium *stat)
{
    core::vector3df nodePosition = playa->getPosition();

    nodePosition.X -= 0.1*playa->getSpeed()*MOVEMENT_SPEED * frameDeltaTime * 0.7;
    if (nodePosition.X < stat->getDownLine()) nodePosition.X =  stat->getDownLine();
    nodePosition.Z -= 0.1*playa->getSpeed()*MOVEMENT_SPEED * frameDeltaTime * 0.7;
    if (nodePosition.Z < stat->getRightLine()) nodePosition.Z =  stat->getRightLine();

    playa->setAnimationSpeed(30);

    if ((playa->facingangle <=45) || (playa->facingangle > 225))
    {
        playa->facingangle-=(700*frameDeltaTime);
        if ((playa->facingangle > 45) && (playa->facingangle < 225)) playa->facingangle = 225;
    }
    else if ((playa->facingangle > 45) && (playa->facingangle < 225))
    {
        playa->facingangle+=(700*frameDeltaTime);
        if (playa->facingangle > 225) playa->facingangle = 225;
    }
    if (playa->facingangle<0) playa->facingangle += 360;
    playa->facingangle %= 360;
    playa->setRotation(core::vector3df(0,playa->facingangle,0));

    playa->setPosition(nodePosition);

    playername->setPosition(core::vector3df(playa->getPosition().X, 120, playa->getPosition().Z));
}



//Up Direction
void goup(Player *playa, scene::ITextSceneNode *playername, const f32 &MOVEMENT_SPEED, const f32 &frameDeltaTime, Stadium *stat)
{
    core::vector3df nodePosition = playa->getPosition();

    nodePosition.X += 0.1*playa->getSpeed()*MOVEMENT_SPEED * frameDeltaTime;
    if (nodePosition.X > stat->getUpLine()) nodePosition.X =  stat->getUpLine();

    playa->setAnimationSpeed(30);

    if ((playa->facingangle <90) || (playa->facingangle >=270))
    {
        playa->facingangle+=(700*frameDeltaTime);
        if ((playa->facingangle > 90) && (playa->facingangle < 270)) playa->facingangle = 90;
    }
    else if ((playa->facingangle < 270) && (playa->facingangle > 90))
    {
        playa->facingangle-=(700*frameDeltaTime);
        if (playa->facingangle < 90) playa->facingangle = 90;
    }
    playa->facingangle %= 360;
    playa->setRotation(core::vector3df(0,playa->facingangle,0));

    playa->setPosition(nodePosition);

    playername->setPosition(core::vector3df(playa->getPosition().X, 120, playa->getPosition().Z));
}



//Down Direction
void godown(Player *playa, scene::ITextSceneNode *playername, const f32 &MOVEMENT_SPEED, const f32 &frameDeltaTime, Stadium *stat)
{
    core::vector3df nodePosition = playa->getPosition();

    nodePosition.X -= 0.1*playa->getSpeed()*MOVEMENT_SPEED * frameDeltaTime;
    if (nodePosition.X < stat->getDownLine()) nodePosition.X =  stat->getDownLine();

    playa->setAnimationSpeed(30);

    if ((playa->facingangle <=90) || (playa->facingangle >270))
    {
        playa->facingangle-=(700*frameDeltaTime);
        if ((playa->facingangle > 90) && (playa->facingangle < 270)) playa->facingangle = 270;
    }
    else if ((playa->facingangle < 270) && (playa->facingangle > 90))
    {
        playa->facingangle+=(700*frameDeltaTime);
        if (playa->facingangle > 270) playa->facingangle = 270;
    }
    if (playa->facingangle<0) playa->facingangle += 360;
    playa->facingangle %= 360;
    playa->setRotation(core::vector3df(0,playa->facingangle,0));

    playa->setPosition(nodePosition);

    playername->setPosition(core::vector3df(playa->getPosition().X, 120, playa->getPosition().Z));
}



void goleft(Player *playa, scene::ITextSceneNode *playername, const f32 &MOVEMENT_SPEED, const f32 &frameDeltaTime, Stadium *stat)
{
    core::vector3df nodePosition = playa->getPosition();

    nodePosition.Z += 0.1*playa->getSpeed()*MOVEMENT_SPEED * frameDeltaTime;

    if (nodePosition.Z > stat->getLeftLine()) nodePosition.Z =  stat->getLeftLine();

    playa->setAnimationSpeed(30);

    if ((playa->facingangle > 0) && (playa->facingangle <=180))
    {
        playa->facingangle-=(700*frameDeltaTime);
        if (playa->facingangle < 0) playa->facingangle = 0;
    }
    else if ((playa->facingangle > 180) && (playa->facingangle < 360))
    {
        playa->facingangle+=(700*frameDeltaTime);
        if (playa->facingangle > 360) playa->facingangle = 0;
    }

    playa->setRotation(core::vector3df(0,playa->facingangle,0));

    playa->setPosition(nodePosition);

    playername->setPosition(core::vector3df(playa->getPosition().X, 120, playa->getPosition().Z));
}



//Right Direction
void goright(Player *playa, scene::ITextSceneNode *playername, const f32 &MOVEMENT_SPEED, const f32 &frameDeltaTime, Stadium *stat)
{
    core::vector3df nodePosition = playa->getPosition();

    nodePosition.Z -= 0.1*playa->getSpeed()*MOVEMENT_SPEED * frameDeltaTime;

    if (nodePosition.Z < stat->getRightLine()) nodePosition.Z =  stat->getRightLine();

    playa->setAnimationSpeed(30);

    if ((playa->facingangle >= 0) && (playa->facingangle <180))
    {
        playa->facingangle+=(700*frameDeltaTime);
        if (playa->facingangle > 180) playa->facingangle = 180;
    }
    else if ((playa->facingangle > 180) && (playa->facingangle <= 359))
    {
        playa->facingangle-=(700*frameDeltaTime);
        if (playa->facingangle < 180) playa->facingangle = 180;
    }
    playa->facingangle %= 360;
    playa->setRotation(core::vector3df(0,playa->facingangle,0));

    playa->setPosition(nodePosition);

    playername->setPosition(core::vector3df(playa->getPosition().X, 120, playa->getPosition().Z));
}

//Hold Position
void hold(Player *playa)
{
    playa->setAnimationSpeed(1);
}

bool checkdist(core::vector3df v1, core::vector3df v2)
{
    if (sqrtf((v1.X-v2.X)*(v1.X-v2.X)+(v1.Z-v2.Z)*(v1.Z-v2.Z)) <=35) return false;

    return true;
}


void vuvuzella(Player* t1players[], Player* t2players[],
                scene::ITextSceneNode *playernames[], scene::ITextSceneNode *playernames2[],
                int &selectedplayer, int &selectedplayer2, scene::IAnimatedMeshSceneNode* ball,
                 Stadium *stat, const f32 &MOVEMENT_SPEED, const f32 &frameDeltaTime, bool goalguard,
                 bool upthrowinguard, bool leftout, bool rightout, bool upleftcorner, bool uprightcorner,
                 bool downthrowinguard, bool downleftcorner, bool downrightcorner, gamemode mode)
{

    if (!goalguard && !upthrowinguard && !leftout && !rightout && !upleftcorner && !uprightcorner &&
                 !downthrowinguard && !downleftcorner && !downrightcorner && (mode == CLASSIC))
    {
        core::vector3df ballposition = ball->getPosition();
        bool t1hasball = false;
        bool t2hasball = false;

        //check if team1 hasball
        for (int i=0; i<11; i++)
        {
            if (t1players[i]->getBallPossession())
            {
                t1hasball = true;
                break;
            }
        }

        //check if team2 hasball
        for (int i=0; i<11; i++)
        {
            if (t2players[i]->getBallPossession())
            {
                t2hasball = true;
                break;
            }
        }

        if ((ballposition.Z > (stat->getLeftLine()/2)) && (ballposition.X > 0))
        {
            if (!t2hasball)
            {
                core::vector3df t1pos[11];
                t1pos[0] = core::vector3df(ballposition.X-0.30*stat->getUpLine(), 0 , ballposition.Z+0.12*stat->getLeftLine());
                t1pos[1] = core::vector3df(ballposition.X+0.21*stat->getUpLine(), 0 , ballposition.Z+0.14*stat->getLeftLine());
                t1pos[2] = core::vector3df(ballposition.X+0.40*stat->getUpLine(), 0 , ballposition.Z+0.09*stat->getLeftLine());
                t1pos[3] = core::vector3df(ballposition.X+0.15*stat->getUpLine(), 0 , ballposition.Z+0.04*stat->getLeftLine());
                t1pos[4] = core::vector3df(ballposition.X-0.45*stat->getUpLine(), 0 , ballposition.Z+0.00*stat->getLeftLine());
                t1pos[5] = core::vector3df(ballposition.X-0.95*stat->getUpLine(), 0 , ballposition.Z+0.10*stat->getLeftLine());
                t1pos[6] = core::vector3df(ballposition.X-0.85*stat->getUpLine(), 0 , ballposition.Z-0.50*stat->getLeftLine());
                t1pos[7] = core::vector3df(ballposition.X-0.35*stat->getUpLine(), 0 , ballposition.Z-0.65*stat->getLeftLine());
                t1pos[8] = core::vector3df(ballposition.X+0.10*stat->getUpLine(), 0 , ballposition.Z-0.57*stat->getLeftLine());
                t1pos[9] = core::vector3df(ballposition.X+0.20*stat->getUpLine(), 0 , ballposition.Z-0.45*stat->getLeftLine());
                t1pos[10] = core::vector3df(ballposition.X*stat->getLeftGoalUpLine()/stat->getUpLine(), 0 , 0.95*stat->getRightLine());

                for (int i=0; i<11; i++)
                {
                    if (checkdist(t1players[i]->getPosition(), t1pos[i]) && (selectedplayer != i))
                    {
                        if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                goupleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                goupright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                godownleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                godownright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)>30)
                                goup(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)>30)
                                goleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)<-30)
                                godown(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30)
                                goright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t1players[i]);
                    }
                    else hold(t1players[i]);
                }


                core::vector3df t2pos[11];
                t2pos[0] = core::vector3df(ballposition.X-0.15*stat->getUpLine(), 0 , ballposition.Z+0.00*stat->getLeftLine());
                t2pos[1] = core::vector3df(ballposition.X-0.70*stat->getUpLine(), 0 , ballposition.Z-0.10*stat->getLeftLine());
                t2pos[2] = core::vector3df(ballposition.X-0.00*stat->getUpLine(), 0 , ballposition.Z+0.08*stat->getLeftLine());
                t2pos[3] = core::vector3df(0.15*ballposition.X+0.20*stat->getUpLine(), 0 , 0.2*ballposition.Z+0.55*stat->getLeftLine());
                t2pos[4] = core::vector3df(0.15*ballposition.X+0.00*stat->getUpLine(), 0 , 0.2*ballposition.Z+0.60*stat->getLeftLine());
                t2pos[5] = core::vector3df(0.15*ballposition.X+0.50*stat->getDownLine(), 0 , 0.2*ballposition.Z+0.70*stat->getLeftLine());
                t2pos[6] = core::vector3df(0.1*ballposition.X+0.25*stat->getDownLine(), 0 , 0.1*ballposition.Z+0.80*stat->getLeftLine());
                t2pos[7] = core::vector3df(0.1*ballposition.X+0.10*stat->getDownLine(), 0 , 0.1*ballposition.Z+0.74*stat->getLeftLine());
                t2pos[8] = core::vector3df(0.1*ballposition.X+0.15*stat->getUpLine(), 0 , 0.1*ballposition.Z+0.78*stat->getLeftLine());
                t2pos[9] = core::vector3df(0.1*ballposition.X+0.25*stat->getUpLine(), 0 , 0.1*ballposition.Z+0.76*stat->getLeftLine());
                t2pos[10] = core::vector3df(ballposition.X*stat->getLeftGoalUpLine()/stat->getUpLine(), 0 , 0.95*stat->getLeftLine());

                for (int i=0; i<11; i++)
                {
                    if (checkdist(t2players[i]->getPosition(), t2pos[i]) && (selectedplayer2 != i))
                    {
                        if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                goupleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                goupright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                godownleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                godownright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)>30)
                                goup(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)>30)
                                goleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)<-30)
                                godown(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30)
                                goright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t2players[i]);
                    }
                    else hold(t2players[i]);
                }

            }
            else
            {
                core::vector3df t1pos[11];
                t1pos[1] = core::vector3df(ballposition.X-0.14*stat->getUpLine(), 0 , ballposition.Z+0.30*stat->getRightLine());
                t1pos[0] = core::vector3df(ballposition.X-0.75*stat->getUpLine(), 0 , ballposition.Z+0.25*stat->getRightLine());
                t1pos[2] = core::vector3df(ballposition.X-0.10*stat->getUpLine(), 0 , ballposition.Z+0.55*stat->getRightLine());
                t1pos[3] = core::vector3df(ballposition.X-0.35*stat->getUpLine(), 0 , ballposition.Z+0.40*stat->getRightLine());
                t1pos[4] = core::vector3df(ballposition.X-0.70*stat->getUpLine(), 0 , ballposition.Z+0.60*stat->getRightLine());
                t1pos[5] = core::vector3df(ballposition.X-0.96*stat->getUpLine(), 0 , ballposition.Z+0.63*stat->getRightLine());
                t1pos[6] = core::vector3df(ballposition.X-0.95*stat->getUpLine(), 0 , ballposition.Z+0.75*stat->getRightLine());
                t1pos[7] = core::vector3df(ballposition.X-0.65*stat->getUpLine(), 0 , ballposition.Z+0.69*stat->getRightLine());
                t1pos[8] = core::vector3df(ballposition.X-0.30*stat->getUpLine(), 0 , ballposition.Z+0.73*stat->getRightLine());
                t1pos[9] = core::vector3df(ballposition.X+0.15*stat->getUpLine(), 0 , ballposition.Z+0.71*stat->getRightLine());
                t1pos[10] = core::vector3df(ballposition.X*stat->getLeftGoalUpLine()/stat->getUpLine(), 0 , 0.95*stat->getRightLine());

                for (int i=0; i<11; i++)
                {
                    if (checkdist(t1players[i]->getPosition(), t1pos[i]) && (selectedplayer != i))
                    {
                        if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                goupleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                goupright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                godownleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                godownright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)>30)
                                goup(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)>30)
                                goleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)<-30)
                                godown(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30)
                                goright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t1players[i]);
                    }
                    else hold(t1players[i]);
                }



                core::vector3df t2pos[11];
                t2pos[1] = core::vector3df(ballposition.X-0.23*stat->getUpLine(), 0 , ballposition.Z-0.42*stat->getLeftLine());
                t2pos[0] = core::vector3df(ballposition.X+0.15*stat->getUpLine(), 0 , ballposition.Z-0.44*stat->getLeftLine());
                t2pos[2] = core::vector3df(ballposition.X+0.40*stat->getUpLine(), 0 , ballposition.Z-0.39*stat->getLeftLine());
                t2pos[3] = core::vector3df(ballposition.X+0.25*stat->getUpLine(), 0 , ballposition.Z-0.34*stat->getLeftLine());
                t2pos[4] = core::vector3df(ballposition.X-0.45*stat->getUpLine(), 0 , ballposition.Z-0.30*stat->getLeftLine());
                t2pos[5] = core::vector3df(ballposition.X-0.85*stat->getUpLine(), 0 , ballposition.Z-0.40*stat->getLeftLine());
                t2pos[6] = core::vector3df(ballposition.X-0.65*stat->getUpLine(), 0 , ballposition.Z+0.19*stat->getLeftLine());
                t2pos[7] = core::vector3df(ballposition.X-0.40*stat->getUpLine(), 0 , ballposition.Z+0.25*stat->getLeftLine());
                t2pos[8] = core::vector3df(ballposition.X-0.10*stat->getUpLine(), 0 , ballposition.Z+0.22*stat->getLeftLine());
                t2pos[9] = core::vector3df(ballposition.X+0.10*stat->getUpLine(), 0 , ballposition.Z+0.20*stat->getLeftLine());
                t2pos[10] = core::vector3df(ballposition.X*stat->getLeftGoalUpLine()/stat->getUpLine(), 0 , 0.95*stat->getLeftLine());

                for (int i=0; i<11; i++)
                {
                    if (checkdist(t2players[i]->getPosition(), t2pos[i]) && (selectedplayer2 != i))
                    {
                        if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                goupleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                goupright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                godownleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                godownright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)>30)
                                goup(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)>30)
                                goleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)<-30)
                                godown(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30)
                                goright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t2players[i]);
                    }
                    else hold(t2players[i]);
                }

            }

        }
        else if ((ballposition.Z > (stat->getLeftLine()/2)) && (ballposition.X < 0))
        {
            if (!t2hasball)
            {
                core::vector3df t1pos[11];
                t1pos[1] = core::vector3df(ballposition.X-0.30*stat->getDownLine(), 0 , ballposition.Z+0.12*stat->getLeftLine());
                t1pos[0] = core::vector3df(ballposition.X+0.21*stat->getDownLine(), 0 , ballposition.Z+0.14*stat->getLeftLine());
                t1pos[5] = core::vector3df(ballposition.X+0.40*stat->getDownLine(), 0 , ballposition.Z+0.09*stat->getLeftLine());
                t1pos[4] = core::vector3df(ballposition.X+0.15*stat->getDownLine(), 0 , ballposition.Z+0.04*stat->getLeftLine());
                t1pos[3] = core::vector3df(ballposition.X-0.45*stat->getDownLine(), 0 , ballposition.Z+0.00*stat->getLeftLine());
                t1pos[2] = core::vector3df(ballposition.X-0.95*stat->getDownLine(), 0 , ballposition.Z+0.10*stat->getLeftLine());
                t1pos[9] = core::vector3df(ballposition.X-0.85*stat->getDownLine(), 0 , ballposition.Z-0.50*stat->getLeftLine());
                t1pos[8] = core::vector3df(ballposition.X-0.35*stat->getDownLine(), 0 , ballposition.Z-0.65*stat->getLeftLine());
                t1pos[7] = core::vector3df(ballposition.X+0.10*stat->getDownLine(), 0 , ballposition.Z-0.57*stat->getLeftLine());
                t1pos[6] = core::vector3df(ballposition.X+0.20*stat->getDownLine(), 0 , ballposition.Z-0.45*stat->getLeftLine());
                t1pos[10] = core::vector3df(ballposition.X*stat->getLeftGoalDownLine()/stat->getDownLine(), 0 , 0.95*stat->getRightLine());

                for (int i=0; i<11; i++)
                {
                    if (checkdist(t1players[i]->getPosition(), t1pos[i]) && (selectedplayer != i))
                    {
                        if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                goupleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                goupright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                godownleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                godownright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)>30)
                                goup(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)>30)
                                goleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)<-30)
                                godown(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30)
                                goright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t1players[i]);
                    }
                    else hold(t1players[i]);
                }


                core::vector3df t2pos[11];
                t2pos[1] = core::vector3df(ballposition.X-0.15*stat->getDownLine(), 0 , ballposition.Z+0.00*stat->getLeftLine());
                t2pos[0] = core::vector3df(ballposition.X-0.70*stat->getDownLine(), 0 , ballposition.Z-0.10*stat->getLeftLine());
                t2pos[5] = core::vector3df(ballposition.X-0.00*stat->getDownLine(), 0 , ballposition.Z+0.08*stat->getLeftLine());
                t2pos[4] = core::vector3df(0.15*ballposition.X+0.20*stat->getDownLine(), 0 , 0.2*ballposition.Z+0.55*stat->getLeftLine());
                t2pos[3] = core::vector3df(0.15*ballposition.X+0.00*stat->getDownLine(), 0 , 0.2*ballposition.Z+0.60*stat->getLeftLine());
                t2pos[2] = core::vector3df(0.15*ballposition.X+0.50*stat->getUpLine(), 0 , 0.2*ballposition.Z+0.70*stat->getLeftLine());
                t2pos[9] = core::vector3df(0.1*ballposition.X+0.25*stat->getUpLine(), 0 , 0.1*ballposition.Z+0.80*stat->getLeftLine());
                t2pos[8] = core::vector3df(0.1*ballposition.X+0.10*stat->getUpLine(), 0 , 0.1*ballposition.Z+0.74*stat->getLeftLine());
                t2pos[7] = core::vector3df(0.1*ballposition.X+0.15*stat->getDownLine(), 0 , 0.1*ballposition.Z+0.78*stat->getLeftLine());
                t2pos[6] = core::vector3df(0.1*ballposition.X+0.25*stat->getDownLine(), 0 , 0.1*ballposition.Z+0.76*stat->getLeftLine());
                t2pos[10] = core::vector3df(ballposition.X*stat->getLeftGoalDownLine()/stat->getDownLine(), 0 , 0.95*stat->getLeftLine());

                for (int i=0; i<11; i++)
                {
                    if (checkdist(t2players[i]->getPosition(), t2pos[i]) && (selectedplayer2 != i))
                    {
                        if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                goupleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                goupright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                godownleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                godownright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)>30)
                                goup(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)>30)
                                goleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)<-30)
                                godown(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30)
                                goright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t2players[i]);
                    }
                    else hold(t2players[i]);
                }
            }
            else
            {
                core::vector3df t1pos[11];
                t1pos[0] = core::vector3df(ballposition.X-0.14*stat->getDownLine(), 0 , ballposition.Z+0.30*stat->getRightLine());
                t1pos[1] = core::vector3df(ballposition.X-0.75*stat->getDownLine(), 0 , ballposition.Z+0.25*stat->getRightLine());
                t1pos[5] = core::vector3df(ballposition.X-0.10*stat->getDownLine(), 0 , ballposition.Z+0.55*stat->getRightLine());
                t1pos[4] = core::vector3df(ballposition.X-0.35*stat->getDownLine(), 0 , ballposition.Z+0.40*stat->getRightLine());
                t1pos[3] = core::vector3df(ballposition.X-0.70*stat->getDownLine(), 0 , ballposition.Z+0.60*stat->getRightLine());
                t1pos[2] = core::vector3df(ballposition.X-0.96*stat->getDownLine(), 0 , ballposition.Z+0.63*stat->getRightLine());
                t1pos[9] = core::vector3df(ballposition.X-0.95*stat->getDownLine(), 0 , ballposition.Z+0.75*stat->getRightLine());
                t1pos[8] = core::vector3df(ballposition.X-0.65*stat->getDownLine(), 0 , ballposition.Z+0.69*stat->getRightLine());
                t1pos[7] = core::vector3df(ballposition.X-0.30*stat->getDownLine(), 0 , ballposition.Z+0.73*stat->getRightLine());
                t1pos[6] = core::vector3df(ballposition.X+0.15*stat->getDownLine(), 0 , ballposition.Z+0.71*stat->getRightLine());
                t1pos[10] = core::vector3df(ballposition.X*stat->getLeftGoalUpLine()/stat->getUpLine(), 0 , 0.95*stat->getRightLine());

                for (int i=0; i<11; i++)
                {
                    if (checkdist(t1players[i]->getPosition(), t1pos[i]) && (selectedplayer != i))
                    {
                        if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                goupleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                goupright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                godownleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                godownright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)>30)
                                goup(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)>30)
                                goleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)<-30)
                                godown(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30)
                                goright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t1players[i]);
                    }
                    else hold(t1players[i]);
                }

                core::vector3df t2pos[11];
                t2pos[0] = core::vector3df(ballposition.X-0.23*stat->getDownLine(), 0 , ballposition.Z-0.42*stat->getLeftLine());
                t2pos[1] = core::vector3df(ballposition.X+0.15*stat->getDownLine(), 0 , ballposition.Z-0.44*stat->getLeftLine());
                t2pos[5] = core::vector3df(ballposition.X+0.40*stat->getDownLine(), 0 , ballposition.Z-0.39*stat->getLeftLine());
                t2pos[4] = core::vector3df(ballposition.X+0.25*stat->getDownLine(), 0 , ballposition.Z-0.34*stat->getLeftLine());
                t2pos[3] = core::vector3df(ballposition.X-0.45*stat->getDownLine(), 0 , ballposition.Z-0.30*stat->getLeftLine());
                t2pos[2] = core::vector3df(ballposition.X-0.85*stat->getDownLine(), 0 , ballposition.Z-0.40*stat->getLeftLine());
                t2pos[9] = core::vector3df(ballposition.X-0.65*stat->getDownLine(), 0 , ballposition.Z+0.19*stat->getLeftLine());
                t2pos[8] = core::vector3df(ballposition.X-0.40*stat->getDownLine(), 0 , ballposition.Z+0.25*stat->getLeftLine());
                t2pos[7] = core::vector3df(ballposition.X-0.10*stat->getDownLine(), 0 , ballposition.Z+0.22*stat->getLeftLine());
                t2pos[6] = core::vector3df(ballposition.X+0.10*stat->getDownLine(), 0 , ballposition.Z+0.20*stat->getLeftLine());
                t2pos[10] = core::vector3df(ballposition.X*stat->getLeftGoalDownLine()/stat->getDownLine(), 0 , 0.95*stat->getLeftLine());

                for (int i=0; i<11; i++)
                {
                    if (checkdist(t2players[i]->getPosition(), t2pos[i]) && (selectedplayer2 != i))
                    {
                        if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                goupleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                goupright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                godownleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                godownright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)>30)
                                goup(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)>30)
                                goleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)<-30)
                                godown(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30)
                                goright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t2players[i]);
                    }
                    else hold(t2players[i]);
                }
            }

        }
        else if ((ballposition.Z > 0) && (ballposition.X > 0))
        {
            if (!t2hasball)
            {
                core::vector3df t1pos[11];
                t1pos[0] = core::vector3df(ballposition.X-0.23*stat->getUpLine(), 0 , ballposition.Z+0.32*stat->getLeftLine());
                t1pos[1] = core::vector3df(ballposition.X+0.15*stat->getUpLine(), 0 , ballposition.Z+0.34*stat->getLeftLine());
                t1pos[2] = core::vector3df(ballposition.X+0.50*stat->getUpLine(), 0 , ballposition.Z+0.29*stat->getLeftLine());
                t1pos[3] = core::vector3df(ballposition.X+0.25*stat->getUpLine(), 0 , ballposition.Z+0.24*stat->getLeftLine());
                t1pos[4] = core::vector3df(ballposition.X-0.45*stat->getUpLine(), 0 , ballposition.Z+0.20*stat->getLeftLine());
                t1pos[5] = core::vector3df(ballposition.X-0.95*stat->getUpLine(), 0 , ballposition.Z+0.30*stat->getLeftLine());
                t1pos[6] = core::vector3df(ballposition.X-0.85*stat->getUpLine(), 0 , ballposition.Z-0.40*stat->getLeftLine());
                t1pos[7] = core::vector3df(ballposition.X-0.35*stat->getUpLine(), 0 , ballposition.Z-0.55*stat->getLeftLine());
                t1pos[8] = core::vector3df(ballposition.X+0.10*stat->getUpLine(), 0 , ballposition.Z-0.47*stat->getLeftLine());
                t1pos[9] = core::vector3df(ballposition.X+0.20*stat->getUpLine(), 0 , ballposition.Z-0.35*stat->getLeftLine());
                t1pos[10] = core::vector3df(ballposition.X*stat->getLeftGoalUpLine()/stat->getUpLine(), 0 , 0.95*stat->getRightLine());

                for (int i=0; i<11; i++)
                {
                    if (checkdist(t1players[i]->getPosition(), t1pos[i]) && (selectedplayer != i))
                    {
                        if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                goupleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                goupright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                godownleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                godownright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)>30)
                                goup(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)>30)
                                goleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)<-30)
                                godown(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30)
                                goright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t1players[i]);
                    }
                    else hold(t1players[i]);
                }


                core::vector3df t2pos[11];
                t2pos[0] = core::vector3df(ballposition.X-0.10*stat->getUpLine(), 0 , ballposition.Z-0.10*stat->getLeftLine());
                t2pos[1] = core::vector3df(ballposition.X-0.70*stat->getUpLine(), 0 , ballposition.Z-0.10*stat->getLeftLine());
                t2pos[2] = core::vector3df(ballposition.X-0.00*stat->getUpLine(), 0 , ballposition.Z+0.15*stat->getLeftLine());
                t2pos[3] = core::vector3df(ballposition.X-0.25*stat->getUpLine(), 0 , ballposition.Z+0.00*stat->getLeftLine());
                t2pos[4] = core::vector3df(ballposition.X-0.65*stat->getUpLine(), 0 , ballposition.Z+0.10*stat->getLeftLine());
                t2pos[5] = core::vector3df(ballposition.X-0.96*stat->getUpLine(), 0 , ballposition.Z+0.13*stat->getLeftLine());
                t2pos[6] = core::vector3df(ballposition.X-0.92*stat->getUpLine(), 0 , ballposition.Z+0.35*stat->getLeftLine());
                t2pos[7] = core::vector3df(ballposition.X-0.58*stat->getUpLine(), 0 , ballposition.Z+0.29*stat->getLeftLine());
                t2pos[8] = core::vector3df(ballposition.X-0.35*stat->getUpLine(), 0 , ballposition.Z+0.33*stat->getLeftLine());
                t2pos[9] = core::vector3df(ballposition.X-0.16*stat->getUpLine(), 0 , ballposition.Z+0.31*stat->getLeftLine());
                t2pos[10] = core::vector3df(ballposition.X*stat->getLeftGoalUpLine()/stat->getUpLine(), 0 , 0.95*stat->getLeftLine());

                for (int i=0; i<11; i++)
                {
                    if (checkdist(t2players[i]->getPosition(), t2pos[i]) && (selectedplayer2 != i))
                    {
                        if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                goupleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                goupright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                godownleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                godownright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)>30)
                                goup(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)>30)
                                goleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)<-30)
                                godown(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30)
                                goright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t2players[i]);
                    }
                    else hold(t2players[i]);
                }
            }
            else
            {
                core::vector3df t1pos[11];
                t1pos[1] = core::vector3df(ballposition.X-0.14*stat->getUpLine(), 0 , ballposition.Z+0.10*stat->getRightLine());
                t1pos[0] = core::vector3df(ballposition.X-0.75*stat->getUpLine(), 0 , ballposition.Z+0.05*stat->getRightLine());
                t1pos[2] = core::vector3df(ballposition.X-0.10*stat->getUpLine(), 0 , ballposition.Z+0.35*stat->getRightLine());
                t1pos[3] = core::vector3df(ballposition.X-0.35*stat->getUpLine(), 0 , ballposition.Z+0.20*stat->getRightLine());
                t1pos[4] = core::vector3df(ballposition.X-0.70*stat->getUpLine(), 0 , ballposition.Z+0.40*stat->getRightLine());
                t1pos[5] = core::vector3df(ballposition.X-0.96*stat->getUpLine(), 0 , ballposition.Z+0.43*stat->getRightLine());
                t1pos[6] = core::vector3df(ballposition.X-0.95*stat->getUpLine(), 0 , ballposition.Z+0.55*stat->getRightLine());
                t1pos[7] = core::vector3df(ballposition.X-0.65*stat->getUpLine(), 0 , ballposition.Z+0.49*stat->getRightLine());
                t1pos[8] = core::vector3df(ballposition.X-0.30*stat->getUpLine(), 0 , ballposition.Z+0.53*stat->getRightLine());
                t1pos[9] = core::vector3df(ballposition.X+0.15*stat->getUpLine(), 0 , ballposition.Z+0.51*stat->getRightLine());
                t1pos[10] = core::vector3df(ballposition.X*stat->getLeftGoalUpLine()/stat->getUpLine(), 0 , 0.95*stat->getRightLine());

                for (int i=0; i<11; i++)
                {
                    if (checkdist(t1players[i]->getPosition(), t1pos[i]) && (selectedplayer != i))
                    {
                        if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                goupleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                goupright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                godownleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                godownright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)>30)
                                goup(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)>30)
                                goleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)<-30)
                                godown(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30)
                                goright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t1players[i]);
                    }
                    else hold(t1players[i]);
                }


                core::vector3df t2pos[11];
                t2pos[1] = core::vector3df(ballposition.X-0.23*stat->getUpLine(), 0 , ballposition.Z-0.42*stat->getLeftLine());
                t2pos[0] = core::vector3df(ballposition.X+0.15*stat->getUpLine(), 0 , ballposition.Z-0.44*stat->getLeftLine());
                t2pos[2] = core::vector3df(ballposition.X+0.40*stat->getUpLine(), 0 , ballposition.Z-0.39*stat->getLeftLine());
                t2pos[3] = core::vector3df(ballposition.X+0.25*stat->getUpLine(), 0 , ballposition.Z-0.34*stat->getLeftLine());
                t2pos[4] = core::vector3df(ballposition.X-0.45*stat->getUpLine(), 0 , ballposition.Z-0.30*stat->getLeftLine());
                t2pos[5] = core::vector3df(ballposition.X-0.85*stat->getUpLine(), 0 , ballposition.Z-0.40*stat->getLeftLine());
                t2pos[6] = core::vector3df(ballposition.X-0.65*stat->getUpLine(), 0 , ballposition.Z+0.30*stat->getLeftLine());
                t2pos[7] = core::vector3df(ballposition.X-0.40*stat->getUpLine(), 0 , ballposition.Z+0.37*stat->getLeftLine());
                t2pos[8] = core::vector3df(ballposition.X-0.10*stat->getUpLine(), 0 , ballposition.Z+0.33*stat->getLeftLine());
                t2pos[9] = core::vector3df(ballposition.X+0.10*stat->getUpLine(), 0 , ballposition.Z+0.27*stat->getLeftLine());
                t2pos[10] = core::vector3df(ballposition.X*stat->getLeftGoalUpLine()/stat->getUpLine(), 0 , 0.95*stat->getLeftLine());

                for (int i=0; i<11; i++)
                {
                    if (checkdist(t2players[i]->getPosition(), t2pos[i]) && (selectedplayer2 != i))
                    {
                        if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                goupleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                goupright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                godownleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                godownright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)>30)
                                goup(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)>30)
                                goleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)<-30)
                                godown(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30)
                                goright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t2players[i]);
                    }
                    else hold(t2players[i]);
                }
            }

        }
        else if ((ballposition.Z > 0) && (ballposition.X < 0))
        {
            if (!t2hasball)
            {
                core::vector3df t1pos[11];
                t1pos[1] = core::vector3df(ballposition.X-0.23*stat->getDownLine(), 0 , ballposition.Z+0.32*stat->getLeftLine());
                t1pos[0] = core::vector3df(ballposition.X+0.15*stat->getDownLine(), 0 , ballposition.Z+0.34*stat->getLeftLine());
                t1pos[5] = core::vector3df(ballposition.X+0.50*stat->getDownLine(), 0 , ballposition.Z+0.29*stat->getLeftLine());
                t1pos[4] = core::vector3df(ballposition.X+0.25*stat->getDownLine(), 0 , ballposition.Z+0.24*stat->getLeftLine());
                t1pos[3] = core::vector3df(ballposition.X-0.45*stat->getDownLine(), 0 , ballposition.Z+0.20*stat->getLeftLine());
                t1pos[2] = core::vector3df(ballposition.X-0.95*stat->getDownLine(), 0 , ballposition.Z+0.30*stat->getLeftLine());
                t1pos[9] = core::vector3df(ballposition.X-0.85*stat->getDownLine(), 0 , ballposition.Z-0.40*stat->getLeftLine());
                t1pos[8] = core::vector3df(ballposition.X-0.35*stat->getDownLine(), 0 , ballposition.Z-0.55*stat->getLeftLine());
                t1pos[7] = core::vector3df(ballposition.X+0.10*stat->getDownLine(), 0 , ballposition.Z-0.47*stat->getLeftLine());
                t1pos[6] = core::vector3df(ballposition.X+0.20*stat->getDownLine(), 0 , ballposition.Z-0.35*stat->getLeftLine());
                t1pos[10] = core::vector3df(ballposition.X*stat->getLeftGoalDownLine()/stat->getDownLine(), 0 , 0.95*stat->getRightLine());

                for (int i=0; i<11; i++)
                {
                    if (checkdist(t1players[i]->getPosition(), t1pos[i]) && (selectedplayer != i))
                    {
                        if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                goupleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                goupright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                godownleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                godownright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)>30)
                                goup(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)>30)
                                goleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)<-30)
                                godown(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30)
                                goright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t1players[i]);
                    }
                    else hold(t1players[i]);
                }


                core::vector3df t2pos[11];
                t2pos[1] = core::vector3df(ballposition.X-0.10*stat->getDownLine(), 0 , ballposition.Z-0.10*stat->getLeftLine());
                t2pos[0] = core::vector3df(ballposition.X-0.70*stat->getDownLine(), 0 , ballposition.Z-0.10*stat->getLeftLine());
                t2pos[5] = core::vector3df(ballposition.X-0.00*stat->getDownLine(), 0 , ballposition.Z+0.15*stat->getLeftLine());
                t2pos[4] = core::vector3df(ballposition.X-0.25*stat->getDownLine(), 0 , ballposition.Z+0.00*stat->getLeftLine());
                t2pos[3] = core::vector3df(ballposition.X-0.65*stat->getDownLine(), 0 , ballposition.Z+0.10*stat->getLeftLine());
                t2pos[2] = core::vector3df(ballposition.X-0.96*stat->getDownLine(), 0 , ballposition.Z+0.13*stat->getLeftLine());
                t2pos[9] = core::vector3df(ballposition.X-0.92*stat->getDownLine(), 0 , ballposition.Z+0.35*stat->getLeftLine());
                t2pos[8] = core::vector3df(ballposition.X-0.58*stat->getDownLine(), 0 , ballposition.Z+0.29*stat->getLeftLine());
                t2pos[7] = core::vector3df(ballposition.X-0.35*stat->getDownLine(), 0 , ballposition.Z+0.33*stat->getLeftLine());
                t2pos[6] = core::vector3df(ballposition.X-0.16*stat->getDownLine(), 0 , ballposition.Z+0.31*stat->getLeftLine());
                t2pos[10] = core::vector3df(ballposition.X*stat->getLeftGoalUpLine()/stat->getUpLine(), 0 , 0.95*stat->getLeftLine());

                for (int i=0; i<11; i++)
                {
                    if (checkdist(t2players[i]->getPosition(), t2pos[i]) && (selectedplayer2 != i))
                    {
                        if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                goupleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                goupright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                godownleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                godownright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)>30)
                                goup(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)>30)
                                goleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)<-30)
                                godown(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30)
                                goright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t2players[i]);
                    }
                    else hold(t2players[i]);
                }
            }
            else
            {
                core::vector3df t1pos[11];
                t1pos[0] = core::vector3df(ballposition.X-0.14*stat->getDownLine(), 0 , ballposition.Z+0.10*stat->getRightLine());
                t1pos[1] = core::vector3df(ballposition.X-0.75*stat->getDownLine(), 0 , ballposition.Z+0.05*stat->getRightLine());
                t1pos[5] = core::vector3df(ballposition.X-0.10*stat->getDownLine(), 0 , ballposition.Z+0.35*stat->getRightLine());
                t1pos[4] = core::vector3df(ballposition.X-0.35*stat->getDownLine(), 0 , ballposition.Z+0.20*stat->getRightLine());
                t1pos[3] = core::vector3df(ballposition.X-0.70*stat->getDownLine(), 0 , ballposition.Z+0.40*stat->getRightLine());
                t1pos[2] = core::vector3df(ballposition.X-0.96*stat->getDownLine(), 0 , ballposition.Z+0.43*stat->getRightLine());
                t1pos[9] = core::vector3df(ballposition.X-0.95*stat->getDownLine(), 0 , ballposition.Z+0.55*stat->getRightLine());
                t1pos[8] = core::vector3df(ballposition.X-0.65*stat->getDownLine(), 0 , ballposition.Z+0.49*stat->getRightLine());
                t1pos[7] = core::vector3df(ballposition.X-0.30*stat->getDownLine(), 0 , ballposition.Z+0.53*stat->getRightLine());
                t1pos[6] = core::vector3df(ballposition.X+0.15*stat->getDownLine(), 0 , ballposition.Z+0.51*stat->getRightLine());
                t1pos[10] = core::vector3df(ballposition.X*stat->getLeftGoalUpLine()/stat->getUpLine(), 0 , 0.95*stat->getRightLine());

                for (int i=0; i<11; i++)
                {
                    if (checkdist(t1players[i]->getPosition(), t1pos[i]) && (selectedplayer != i))
                    {
                        if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                goupleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                goupright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                godownleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                godownright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)>30)
                                goup(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)>30)
                                goleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)<-30)
                                godown(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30)
                                goright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t1players[i]);
                    }
                    else hold(t1players[i]);
                }


                core::vector3df t2pos[11];
                t2pos[0] = core::vector3df(ballposition.X-0.23*stat->getDownLine(), 0 , ballposition.Z-0.42*stat->getLeftLine());
                t2pos[1] = core::vector3df(ballposition.X+0.15*stat->getDownLine(), 0 , ballposition.Z-0.44*stat->getLeftLine());
                t2pos[5] = core::vector3df(ballposition.X+0.40*stat->getDownLine(), 0 , ballposition.Z-0.39*stat->getLeftLine());
                t2pos[4] = core::vector3df(ballposition.X+0.25*stat->getDownLine(), 0 , ballposition.Z-0.34*stat->getLeftLine());
                t2pos[3] = core::vector3df(ballposition.X-0.45*stat->getDownLine(), 0 , ballposition.Z-0.30*stat->getLeftLine());
                t2pos[2] = core::vector3df(ballposition.X-0.85*stat->getDownLine(), 0 , ballposition.Z-0.40*stat->getLeftLine());
                t2pos[9] = core::vector3df(ballposition.X-0.65*stat->getDownLine(), 0 , ballposition.Z+0.30*stat->getLeftLine());
                t2pos[8] = core::vector3df(ballposition.X-0.40*stat->getDownLine(), 0 , ballposition.Z+0.37*stat->getLeftLine());
                t2pos[7] = core::vector3df(ballposition.X-0.10*stat->getDownLine(), 0 , ballposition.Z+0.33*stat->getLeftLine());
                t2pos[6] = core::vector3df(ballposition.X+0.10*stat->getDownLine(), 0 , ballposition.Z+0.27*stat->getLeftLine());
                t2pos[10] = core::vector3df(ballposition.X*stat->getLeftGoalDownLine()/stat->getDownLine(), 0 , 0.95*stat->getLeftLine());

                for (int i=0; i<11; i++)
                {
                    if (checkdist(t2players[i]->getPosition(), t2pos[i]) && (selectedplayer2 != i))
                    {
                        if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                goupleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                goupright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                godownleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                godownright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)>30)
                                goup(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)>30)
                                goleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)<-30)
                                godown(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30)
                                goright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t2players[i]);
                    }
                    else hold(t2players[i]);
                }
            }

        }


        else if ((ballposition.Z < (stat->getRightLine()/2)) && (ballposition.X > 0))
        {
            if (t1hasball)
            {
                core::vector3df t1pos[11];
                t1pos[0] = core::vector3df(ballposition.X-0.23*stat->getUpLine(), 0 , ballposition.Z+0.42*stat->getLeftLine());
                t1pos[1] = core::vector3df(ballposition.X+0.15*stat->getUpLine(), 0 , ballposition.Z+0.44*stat->getLeftLine());
                t1pos[2] = core::vector3df(ballposition.X+0.40*stat->getUpLine(), 0 , ballposition.Z+0.39*stat->getLeftLine());
                t1pos[3] = core::vector3df(ballposition.X+0.25*stat->getUpLine(), 0 , ballposition.Z+0.34*stat->getLeftLine());
                t1pos[4] = core::vector3df(ballposition.X-0.45*stat->getUpLine(), 0 , ballposition.Z+0.30*stat->getLeftLine());
                t1pos[5] = core::vector3df(ballposition.X-0.85*stat->getUpLine(), 0 , ballposition.Z+0.40*stat->getLeftLine());
                t1pos[6] = core::vector3df(ballposition.X-0.65*stat->getUpLine(), 0 , ballposition.Z-0.19*stat->getLeftLine());
                t1pos[7] = core::vector3df(ballposition.X-0.40*stat->getUpLine(), 0 , ballposition.Z-0.25*stat->getLeftLine());
                t1pos[8] = core::vector3df(ballposition.X-0.10*stat->getUpLine(), 0 , ballposition.Z-0.22*stat->getLeftLine());
                t1pos[9] = core::vector3df(ballposition.X+0.10*stat->getUpLine(), 0 , ballposition.Z-0.20*stat->getLeftLine());
                t1pos[10] = core::vector3df(ballposition.X*stat->getLeftGoalUpLine()/stat->getUpLine(), 0 , 0.95*stat->getRightLine());

                for (int i=0; i<11; i++)
                {
                    if (checkdist(t1players[i]->getPosition(), t1pos[i]) && (selectedplayer != i))
                    {
                        if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                goupleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                goupright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                godownleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                godownright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)>30)
                                goup(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)>30)
                                goleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)<-30)
                                godown(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30)
                                goright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t1players[i]);
                    }
                    else hold(t1players[i]);
                }


                core::vector3df t2pos[11];
                t2pos[1] = core::vector3df(ballposition.X-0.14*stat->getUpLine(), 0 , ballposition.Z+0.30*stat->getLeftLine());
                t2pos[0] = core::vector3df(ballposition.X-0.75*stat->getUpLine(), 0 , ballposition.Z+0.25*stat->getLeftLine());
                t2pos[2] = core::vector3df(ballposition.X-0.10*stat->getUpLine(), 0 , ballposition.Z+0.55*stat->getLeftLine());
                t2pos[3] = core::vector3df(ballposition.X-0.35*stat->getUpLine(), 0 , ballposition.Z+0.40*stat->getLeftLine());
                t2pos[4] = core::vector3df(ballposition.X-0.70*stat->getUpLine(), 0 , ballposition.Z+0.60*stat->getLeftLine());
                t2pos[5] = core::vector3df(ballposition.X-0.96*stat->getUpLine(), 0 , ballposition.Z+0.53*stat->getLeftLine());
                t2pos[6] = core::vector3df(ballposition.X-0.95*stat->getUpLine(), 0 , ballposition.Z+0.75*stat->getLeftLine());
                t2pos[7] = core::vector3df(ballposition.X-0.65*stat->getUpLine(), 0 , ballposition.Z+0.69*stat->getLeftLine());
                t2pos[8] = core::vector3df(ballposition.X-0.30*stat->getUpLine(), 0 , ballposition.Z+0.73*stat->getLeftLine());
                t2pos[9] = core::vector3df(ballposition.X+0.15*stat->getUpLine(), 0 , ballposition.Z+0.71*stat->getLeftLine());
                t2pos[10] = core::vector3df(ballposition.X*stat->getLeftGoalUpLine()/stat->getUpLine(), 0 , 0.95*stat->getLeftLine());

                for (int i=0; i<11; i++)
                {
                    if (checkdist(t2players[i]->getPosition(), t2pos[i]) && (selectedplayer2 != i))
                    {
                        if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                goupleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                goupright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                godownleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                godownright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)>30)
                                goup(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)>30)
                                goleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)<-30)
                                godown(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30)
                                goright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t2players[i]);
                    }
                    else hold(t2players[i]);
                }
            }
            else
            {
                core::vector3df t1pos[11];
                t1pos[1] = core::vector3df(ballposition.X-0.15*stat->getUpLine(), 0 , ballposition.Z+0.00*stat->getRightLine());
                t1pos[0] = core::vector3df(ballposition.X-0.70*stat->getUpLine(), 0 , ballposition.Z-0.10*stat->getRightLine());
                t1pos[2] = core::vector3df(ballposition.X-0.00*stat->getUpLine(), 0 , ballposition.Z+0.08*stat->getRightLine());
                t1pos[3] = core::vector3df(0.15*ballposition.X+0.20*stat->getUpLine(), 0 , 0.2*ballposition.Z+0.55*stat->getRightLine());
                t1pos[4] = core::vector3df(0.15*ballposition.X+0.00*stat->getUpLine(), 0 , 0.2*ballposition.Z+0.60*stat->getRightLine());
                t1pos[5] = core::vector3df(0.15*ballposition.X+0.50*stat->getDownLine(), 0 , 0.2*ballposition.Z+0.70*stat->getRightLine());
                t1pos[6] = core::vector3df(0.1*ballposition.X+0.25*stat->getDownLine(), 0 , 0.1*ballposition.Z+0.80*stat->getRightLine());
                t1pos[7] = core::vector3df(0.1*ballposition.X+0.10*stat->getDownLine(), 0 , 0.1*ballposition.Z+0.74*stat->getRightLine());
                t1pos[8] = core::vector3df(0.1*ballposition.X+0.15*stat->getUpLine(), 0 , 0.1*ballposition.Z+0.78*stat->getRightLine());
                t1pos[9] = core::vector3df(0.1*ballposition.X+0.25*stat->getUpLine(), 0 , 0.1*ballposition.Z+0.76*stat->getRightLine());
                t1pos[10] = core::vector3df(ballposition.X*stat->getLeftGoalUpLine()/stat->getUpLine(), 0 , 0.95*stat->getRightLine());

                for (int i=0; i<11; i++)
                {
                    if (checkdist(t1players[i]->getPosition(), t1pos[i]) && (selectedplayer != i))
                    {
                        if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                goupleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                goupright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                godownleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                godownright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)>30)
                                goup(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)>30)
                                goleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)<-30)
                                godown(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30)
                                goright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t1players[i]);
                    }
                    else hold(t1players[i]);
                }

                core::vector3df t2pos[11];
                t2pos[1] = core::vector3df(ballposition.X-0.30*stat->getUpLine(), 0 , ballposition.Z-0.12*stat->getLeftLine());
                t2pos[0] = core::vector3df(ballposition.X+0.21*stat->getUpLine(), 0 , ballposition.Z-0.14*stat->getLeftLine());
                t2pos[2] = core::vector3df(ballposition.X+0.40*stat->getUpLine(), 0 , ballposition.Z-0.09*stat->getLeftLine());
                t2pos[3] = core::vector3df(ballposition.X+0.15*stat->getUpLine(), 0 , ballposition.Z-0.04*stat->getLeftLine());
                t2pos[4] = core::vector3df(ballposition.X-0.45*stat->getUpLine(), 0 , ballposition.Z-0.00*stat->getLeftLine());
                t2pos[5] = core::vector3df(ballposition.X-0.95*stat->getUpLine(), 0 , ballposition.Z-0.10*stat->getLeftLine());
                t2pos[6] = core::vector3df(ballposition.X-0.85*stat->getUpLine(), 0 , ballposition.Z+0.50*stat->getLeftLine());
                t2pos[7] = core::vector3df(ballposition.X-0.35*stat->getUpLine(), 0 , ballposition.Z+0.65*stat->getLeftLine());
                t2pos[8] = core::vector3df(ballposition.X-0.10*stat->getUpLine(), 0 , ballposition.Z+0.57*stat->getLeftLine());
                t2pos[9] = core::vector3df(ballposition.X+0.20*stat->getUpLine(), 0 , ballposition.Z+0.45*stat->getLeftLine());
                t2pos[10] = core::vector3df(ballposition.X*stat->getLeftGoalUpLine()/stat->getUpLine(), 0 , 0.95*stat->getLeftLine());

                for (int i=0; i<11; i++)
                {
                    if (checkdist(t2players[i]->getPosition(), t2pos[i]) && (selectedplayer2 != i))
                    {
                        if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                goupleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                goupright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                godownleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                godownright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)>30)
                                goup(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)>30)
                                goleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)<-30)
                                godown(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30)
                                goright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t2players[i]);
                    }
                    else hold(t2players[i]);
                }


            }

        }
        else if ((ballposition.Z < (stat->getRightLine()/2)) && (ballposition.X < 0))
        {
            if (t1hasball)
            {
                core::vector3df t1pos[11];
                t1pos[1] = core::vector3df(ballposition.X-0.23*stat->getDownLine(), 0 , ballposition.Z+0.42*stat->getLeftLine());
                t1pos[0] = core::vector3df(ballposition.X+0.15*stat->getDownLine(), 0 , ballposition.Z+0.44*stat->getLeftLine());
                t1pos[5] = core::vector3df(ballposition.X+0.40*stat->getDownLine(), 0 , ballposition.Z+0.39*stat->getLeftLine());
                t1pos[4] = core::vector3df(ballposition.X+0.25*stat->getDownLine(), 0 , ballposition.Z+0.34*stat->getLeftLine());
                t1pos[3] = core::vector3df(ballposition.X-0.45*stat->getDownLine(), 0 , ballposition.Z+0.30*stat->getLeftLine());
                t1pos[2] = core::vector3df(ballposition.X-0.85*stat->getDownLine(), 0 , ballposition.Z+0.40*stat->getLeftLine());
                t1pos[9] = core::vector3df(ballposition.X-0.65*stat->getDownLine(), 0 , ballposition.Z-0.19*stat->getLeftLine());
                t1pos[8] = core::vector3df(ballposition.X-0.40*stat->getDownLine(), 0 , ballposition.Z-0.25*stat->getLeftLine());
                t1pos[7] = core::vector3df(ballposition.X-0.10*stat->getDownLine(), 0 , ballposition.Z-0.22*stat->getLeftLine());
                t1pos[6] = core::vector3df(ballposition.X+0.10*stat->getDownLine(), 0 , ballposition.Z-0.20*stat->getLeftLine());
                t1pos[10] = core::vector3df(ballposition.X*stat->getLeftGoalDownLine()/stat->getDownLine(), 0 , 0.95*stat->getRightLine());

                for (int i=0; i<11; i++)
                {
                    if (checkdist(t1players[i]->getPosition(), t1pos[i]) && (selectedplayer != i))
                    {
                        if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                goupleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                goupright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                godownleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                godownright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)>30)
                                goup(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)>30)
                                goleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)<-30)
                                godown(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30)
                                goright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t1players[i]);
                    }
                    else hold(t1players[i]);
                }


                core::vector3df t2pos[11];
                t2pos[0] = core::vector3df(ballposition.X-0.14*stat->getDownLine(), 0 , ballposition.Z+0.30*stat->getLeftLine());
                t2pos[1] = core::vector3df(ballposition.X-0.75*stat->getDownLine(), 0 , ballposition.Z+0.25*stat->getLeftLine());
                t2pos[5] = core::vector3df(ballposition.X-0.10*stat->getDownLine(), 0 , ballposition.Z+0.55*stat->getLeftLine());
                t2pos[4] = core::vector3df(ballposition.X-0.35*stat->getDownLine(), 0 , ballposition.Z+0.40*stat->getLeftLine());
                t2pos[3] = core::vector3df(ballposition.X-0.70*stat->getDownLine(), 0 , ballposition.Z+0.50*stat->getLeftLine());
                t2pos[2] = core::vector3df(ballposition.X-0.96*stat->getDownLine(), 0 , ballposition.Z+0.53*stat->getLeftLine());
                t2pos[9] = core::vector3df(ballposition.X-0.95*stat->getDownLine(), 0 , ballposition.Z+0.75*stat->getLeftLine());
                t2pos[8] = core::vector3df(ballposition.X-0.65*stat->getDownLine(), 0 , ballposition.Z+0.69*stat->getLeftLine());
                t2pos[7] = core::vector3df(ballposition.X-0.30*stat->getDownLine(), 0 , ballposition.Z+0.73*stat->getLeftLine());
                t2pos[6] = core::vector3df(ballposition.X+0.15*stat->getDownLine(), 0 , ballposition.Z+0.71*stat->getLeftLine());
                t2pos[10] = core::vector3df(ballposition.X*stat->getLeftGoalUpLine()/stat->getUpLine(), 0 , 0.95*stat->getLeftLine());

                for (int i=0; i<11; i++)
                {
                    if (checkdist(t2players[i]->getPosition(), t2pos[i]) && (selectedplayer2 != i))
                    {
                        if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                goupleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                goupright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                godownleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                godownright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)>30)
                                goup(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)>30)
                                goleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)<-30)
                                godown(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30)
                                goright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t2players[i]);
                    }
                    else hold(t2players[i]);
                }
            }
            else
            {
                core::vector3df t1pos[11];

                t1pos[0] = core::vector3df(ballposition.X-0.15*stat->getDownLine(), 0 , ballposition.Z+0.00*stat->getRightLine());
                t1pos[1] = core::vector3df(ballposition.X-0.70*stat->getDownLine(), 0 , ballposition.Z-0.10*stat->getRightLine());
                t1pos[5] = core::vector3df(ballposition.X-0.00*stat->getDownLine(), 0 , ballposition.Z+0.08*stat->getRightLine());
                t1pos[4] = core::vector3df(0.15*ballposition.X+0.20*stat->getDownLine(), 0 , 0.2*ballposition.Z+0.55*stat->getRightLine());
                t1pos[3] = core::vector3df(0.15*ballposition.X+0.00*stat->getDownLine(), 0 , 0.2*ballposition.Z+0.60*stat->getRightLine());
                t1pos[2] = core::vector3df(0.15*ballposition.X+0.50*stat->getUpLine(), 0 , 0.2*ballposition.Z+0.70*stat->getRightLine());
                t1pos[9] = core::vector3df(0.1*ballposition.X+0.25*stat->getUpLine(), 0 , 0.1*ballposition.Z+0.80*stat->getRightLine());
                t1pos[8] = core::vector3df(0.1*ballposition.X+0.10*stat->getUpLine(), 0 , 0.1*ballposition.Z+0.74*stat->getRightLine());
                t1pos[7] = core::vector3df(0.1*ballposition.X+0.15*stat->getDownLine(), 0 , 0.1*ballposition.Z+0.78*stat->getRightLine());
                t1pos[6] = core::vector3df(0.1*ballposition.X+0.25*stat->getDownLine(), 0 , 0.1*ballposition.Z+0.76*stat->getRightLine());
                t1pos[10] = core::vector3df(ballposition.X*stat->getLeftGoalDownLine()/stat->getDownLine(), 0 , 0.95*stat->getRightLine());

                for (int i=0; i<11; i++)
                {
                    if (checkdist(t1players[i]->getPosition(), t1pos[i]) && (selectedplayer != i))
                    {
                        if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                goupleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                goupright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                godownleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                godownright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)>30)
                                goup(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)>30)
                                goleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)<-30)
                                godown(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30)
                                goright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t1players[i]);
                    }
                    else hold(t1players[i]);
                }

                 core::vector3df t2pos[11];
                t2pos[0] = core::vector3df(ballposition.X-0.30*stat->getDownLine(), 0 , ballposition.Z-0.12*stat->getLeftLine());
                t2pos[1] = core::vector3df(ballposition.X+0.21*stat->getDownLine(), 0 , ballposition.Z-0.14*stat->getLeftLine());
                t2pos[5] = core::vector3df(ballposition.X+0.40*stat->getDownLine(), 0 , ballposition.Z-0.09*stat->getLeftLine());
                t2pos[4] = core::vector3df(ballposition.X+0.15*stat->getDownLine(), 0 , ballposition.Z-0.04*stat->getLeftLine());
                t2pos[3] = core::vector3df(ballposition.X-0.45*stat->getDownLine(), 0 , ballposition.Z-0.00*stat->getLeftLine());
                t2pos[2] = core::vector3df(ballposition.X-0.95*stat->getDownLine(), 0 , ballposition.Z-0.10*stat->getLeftLine());
                t2pos[9] = core::vector3df(ballposition.X-0.85*stat->getDownLine(), 0 , ballposition.Z+0.50*stat->getLeftLine());
                t2pos[8] = core::vector3df(ballposition.X-0.35*stat->getDownLine(), 0 , ballposition.Z+0.65*stat->getLeftLine());
                t2pos[7] = core::vector3df(ballposition.X-0.10*stat->getDownLine(), 0 , ballposition.Z+0.57*stat->getLeftLine());
                t2pos[6] = core::vector3df(ballposition.X+0.20*stat->getDownLine(), 0 , ballposition.Z+0.45*stat->getLeftLine());
                t2pos[10] = core::vector3df(ballposition.X*stat->getLeftGoalDownLine()/stat->getDownLine(), 0 , 0.95*stat->getLeftLine());

                for (int i=0; i<11; i++)
                {
                    if (checkdist(t2players[i]->getPosition(), t2pos[i]) && (selectedplayer2 != i))
                    {
                        if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                goupleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                goupright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                godownleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                godownright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)>30)
                                goup(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)>30)
                                goleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)<-30)
                                godown(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30)
                                goright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t2players[i]);
                    }
                    else hold(t2players[i]);
                }
            }

        }
        else if ((ballposition.Z < 0) && (ballposition.X > 0))
        {
            if (t1hasball)
            {
                core::vector3df t1pos[11];
                t1pos[0] = core::vector3df(ballposition.X-0.23*stat->getUpLine(), 0 , ballposition.Z+0.42*stat->getLeftLine());
                t1pos[1] = core::vector3df(ballposition.X+0.15*stat->getUpLine(), 0 , ballposition.Z+0.44*stat->getLeftLine());
                t1pos[2] = core::vector3df(ballposition.X+0.40*stat->getUpLine(), 0 , ballposition.Z+0.39*stat->getLeftLine());
                t1pos[3] = core::vector3df(ballposition.X+0.25*stat->getUpLine(), 0 , ballposition.Z+0.34*stat->getLeftLine());
                t1pos[4] = core::vector3df(ballposition.X-0.45*stat->getUpLine(), 0 , ballposition.Z+0.30*stat->getLeftLine());
                t1pos[5] = core::vector3df(ballposition.X-0.85*stat->getUpLine(), 0 , ballposition.Z+0.40*stat->getLeftLine());
                t1pos[6] = core::vector3df(ballposition.X-0.65*stat->getUpLine(), 0 , ballposition.Z-0.30*stat->getLeftLine());
                t1pos[7] = core::vector3df(ballposition.X-0.40*stat->getUpLine(), 0 , ballposition.Z-0.37*stat->getLeftLine());
                t1pos[8] = core::vector3df(ballposition.X-0.10*stat->getUpLine(), 0 , ballposition.Z-0.33*stat->getLeftLine());
                t1pos[9] = core::vector3df(ballposition.X+0.10*stat->getUpLine(), 0 , ballposition.Z-0.27*stat->getLeftLine());
                t1pos[10] = core::vector3df(ballposition.X*stat->getLeftGoalUpLine()/stat->getUpLine(), 0 , 0.95*stat->getRightLine());

                for (int i=0; i<11; i++)
                {
                    if (checkdist(t1players[i]->getPosition(), t1pos[i]) && (selectedplayer != i))
                    {
                        if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                goupleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                goupright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                godownleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                godownright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)>30)
                                goup(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)>30)
                                goleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)<-30)
                                godown(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30)
                                goright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t1players[i]);
                    }
                    else hold(t1players[i]);
                }



                core::vector3df t2pos[11];
                t2pos[1] = core::vector3df(ballposition.X-0.14*stat->getUpLine(), 0 , ballposition.Z+0.10*stat->getLeftLine());
                t2pos[0] = core::vector3df(ballposition.X-0.75*stat->getUpLine(), 0 , ballposition.Z+0.05*stat->getLeftLine());
                t2pos[2] = core::vector3df(ballposition.X-0.10*stat->getUpLine(), 0 , ballposition.Z+0.35*stat->getLeftLine());
                t2pos[3] = core::vector3df(ballposition.X-0.35*stat->getUpLine(), 0 , ballposition.Z+0.20*stat->getLeftLine());
                t2pos[4] = core::vector3df(ballposition.X-0.70*stat->getUpLine(), 0 , ballposition.Z+0.30*stat->getLeftLine());
                t2pos[5] = core::vector3df(ballposition.X-0.96*stat->getUpLine(), 0 , ballposition.Z+0.33*stat->getLeftLine());
                t2pos[6] = core::vector3df(ballposition.X-0.95*stat->getUpLine(), 0 , ballposition.Z+0.55*stat->getLeftLine());
                t2pos[7] = core::vector3df(ballposition.X-0.65*stat->getUpLine(), 0 , ballposition.Z+0.49*stat->getLeftLine());
                t2pos[8] = core::vector3df(ballposition.X-0.30*stat->getUpLine(), 0 , ballposition.Z+0.53*stat->getLeftLine());
                t2pos[9] = core::vector3df(ballposition.X+0.15*stat->getUpLine(), 0 , ballposition.Z+0.51*stat->getLeftLine());
                t2pos[10] = core::vector3df(ballposition.X*stat->getLeftGoalUpLine()/stat->getUpLine(), 0 , 0.95*stat->getLeftLine());

                for (int i=0; i<11; i++)
                {
                    if (checkdist(t2players[i]->getPosition(), t2pos[i]) && (selectedplayer2 != i))
                    {
                        if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                goupleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                goupright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                godownleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                godownright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)>30)
                                goup(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)>30)
                                goleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)<-30)
                                godown(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30)
                                goright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t2players[i]);
                    }
                    else hold(t2players[i]);
                }
            }
            else
            {
                core::vector3df t1pos[11];
                t1pos[1] = core::vector3df(ballposition.X-0.10*stat->getUpLine(), 0 , ballposition.Z-0.10*stat->getRightLine());
                t1pos[0] = core::vector3df(ballposition.X-0.70*stat->getUpLine(), 0 , ballposition.Z-0.10*stat->getRightLine());
                t1pos[2] = core::vector3df(ballposition.X-0.00*stat->getUpLine(), 0 , ballposition.Z+0.15*stat->getRightLine());
                t1pos[3] = core::vector3df(ballposition.X-0.25*stat->getUpLine(), 0 , ballposition.Z+0.00*stat->getRightLine());
                t1pos[4] = core::vector3df(ballposition.X-0.65*stat->getUpLine(), 0 , ballposition.Z+0.10*stat->getRightLine());
                t1pos[5] = core::vector3df(ballposition.X-0.96*stat->getUpLine(), 0 , ballposition.Z+0.13*stat->getRightLine());
                t1pos[6] = core::vector3df(ballposition.X-0.92*stat->getUpLine(), 0 , ballposition.Z+0.35*stat->getRightLine());
                t1pos[7] = core::vector3df(ballposition.X-0.58*stat->getUpLine(), 0 , ballposition.Z+0.29*stat->getRightLine());
                t1pos[8] = core::vector3df(ballposition.X-0.35*stat->getUpLine(), 0 , ballposition.Z+0.33*stat->getRightLine());
                t1pos[9] = core::vector3df(ballposition.X-0.16*stat->getUpLine(), 0 , ballposition.Z+0.31*stat->getRightLine());
                t1pos[10] = core::vector3df(ballposition.X*stat->getLeftGoalUpLine()/stat->getUpLine(), 0 , 0.95*stat->getRightLine());

                for (int i=0; i<11; i++)
                {
                    if (checkdist(t1players[i]->getPosition(), t1pos[i]) && (selectedplayer != i))
                    {
                        if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                goupleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                goupright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                godownleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                godownright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)>30)
                                goup(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)>30)
                                goleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)<-30)
                                godown(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30)
                                goright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t1players[i]);
                    }
                    else hold(t1players[i]);
                }


                core::vector3df t2pos[11];
                t2pos[1] = core::vector3df(ballposition.X-0.23*stat->getUpLine(), 0 , ballposition.Z-0.32*stat->getLeftLine());
                t2pos[0] = core::vector3df(ballposition.X+0.15*stat->getUpLine(), 0 , ballposition.Z-0.34*stat->getLeftLine());
                t2pos[2] = core::vector3df(ballposition.X+0.50*stat->getUpLine(), 0 , ballposition.Z-0.29*stat->getLeftLine());
                t2pos[3] = core::vector3df(ballposition.X+0.25*stat->getUpLine(), 0 , ballposition.Z-0.24*stat->getLeftLine());
                t2pos[4] = core::vector3df(ballposition.X-0.45*stat->getUpLine(), 0 , ballposition.Z-0.20*stat->getLeftLine());
                t2pos[5] = core::vector3df(ballposition.X-0.95*stat->getUpLine(), 0 , ballposition.Z-0.30*stat->getLeftLine());
                t2pos[6] = core::vector3df(ballposition.X-0.85*stat->getUpLine(), 0 , ballposition.Z+0.40*stat->getLeftLine());
                t2pos[7] = core::vector3df(ballposition.X-0.35*stat->getUpLine(), 0 , ballposition.Z+0.55*stat->getLeftLine());
                t2pos[8] = core::vector3df(ballposition.X-0.10*stat->getUpLine(), 0 , ballposition.Z+0.47*stat->getLeftLine());
                t2pos[9] = core::vector3df(ballposition.X+0.20*stat->getUpLine(), 0 , ballposition.Z+0.35*stat->getLeftLine());
                t2pos[10] = core::vector3df(ballposition.X*stat->getLeftGoalUpLine()/stat->getUpLine(), 0 , 0.95*stat->getLeftLine());

                for (int i=0; i<11; i++)
                {
                    if (checkdist(t2players[i]->getPosition(), t2pos[i]) && (selectedplayer2 != i))
                    {
                        if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                goupleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                goupright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                godownleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                godownright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)>30)
                                goup(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)>30)
                                goleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)<-30)
                                godown(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30)
                                goright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t2players[i]);
                    }
                    else hold(t2players[i]);
                }

            }

        }
        else if ((ballposition.Z < 0) && (ballposition.X < 0))
        {
            if (t1hasball)
            {
                core::vector3df t1pos[11];
                t1pos[1] = core::vector3df(ballposition.X-0.23*stat->getDownLine(), 0 , ballposition.Z+0.42*stat->getLeftLine());
                t1pos[0] = core::vector3df(ballposition.X+0.15*stat->getDownLine(), 0 , ballposition.Z+0.44*stat->getLeftLine());
                t1pos[5] = core::vector3df(ballposition.X+0.40*stat->getDownLine(), 0 , ballposition.Z+0.39*stat->getLeftLine());
                t1pos[4] = core::vector3df(ballposition.X+0.25*stat->getDownLine(), 0 , ballposition.Z+0.34*stat->getLeftLine());
                t1pos[3] = core::vector3df(ballposition.X-0.45*stat->getDownLine(), 0 , ballposition.Z+0.30*stat->getLeftLine());
                t1pos[2] = core::vector3df(ballposition.X-0.85*stat->getDownLine(), 0 , ballposition.Z+0.40*stat->getLeftLine());
                t1pos[9] = core::vector3df(ballposition.X-0.65*stat->getDownLine(), 0 , ballposition.Z-0.30*stat->getLeftLine());
                t1pos[8] = core::vector3df(ballposition.X-0.40*stat->getDownLine(), 0 , ballposition.Z-0.37*stat->getLeftLine());
                t1pos[7] = core::vector3df(ballposition.X-0.10*stat->getDownLine(), 0 , ballposition.Z-0.33*stat->getLeftLine());
                t1pos[6] = core::vector3df(ballposition.X+0.10*stat->getDownLine(), 0 , ballposition.Z-0.27*stat->getLeftLine());
                t1pos[10] = core::vector3df(ballposition.X*stat->getLeftGoalDownLine()/stat->getDownLine(), 0 , 0.95*stat->getRightLine());

                for (int i=0; i<11; i++)
                {
                    if (checkdist(t1players[i]->getPosition(), t1pos[i]) && (selectedplayer != i))
                    {
                        if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                goupleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                goupright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                godownleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                godownright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)>30)
                                goup(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)>30)
                                goleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)<-30)
                                godown(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30)
                                goright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t1players[i]);
                    }
                    else hold(t1players[i]);
                }

                core::vector3df t2pos[11];
                t2pos[0] = core::vector3df(ballposition.X-0.14*stat->getDownLine(), 0 , ballposition.Z+0.10*stat->getLeftLine());
                t2pos[1] = core::vector3df(ballposition.X-0.75*stat->getDownLine(), 0 , ballposition.Z+0.05*stat->getLeftLine());
                t2pos[5] = core::vector3df(ballposition.X-0.10*stat->getDownLine(), 0 , ballposition.Z+0.35*stat->getLeftLine());
                t2pos[4] = core::vector3df(ballposition.X-0.35*stat->getDownLine(), 0 , ballposition.Z+0.20*stat->getLeftLine());
                t2pos[3] = core::vector3df(ballposition.X-0.70*stat->getDownLine(), 0 , ballposition.Z+0.30*stat->getLeftLine());
                t2pos[2] = core::vector3df(ballposition.X-0.96*stat->getDownLine(), 0 , ballposition.Z+0.33*stat->getLeftLine());
                t2pos[9] = core::vector3df(ballposition.X-0.95*stat->getDownLine(), 0 , ballposition.Z+0.55*stat->getLeftLine());
                t2pos[8] = core::vector3df(ballposition.X-0.65*stat->getDownLine(), 0 , ballposition.Z+0.49*stat->getLeftLine());
                t2pos[7] = core::vector3df(ballposition.X-0.30*stat->getDownLine(), 0 , ballposition.Z+0.53*stat->getLeftLine());
                t2pos[6] = core::vector3df(ballposition.X+0.15*stat->getDownLine(), 0 , ballposition.Z+0.51*stat->getLeftLine());
                t2pos[10] = core::vector3df(ballposition.X*stat->getLeftGoalUpLine()/stat->getUpLine(), 0 , 0.95*stat->getLeftLine());

                for (int i=0; i<11; i++)
                {
                    if (checkdist(t2players[i]->getPosition(), t2pos[i]) && (selectedplayer2 != i))
                    {
                        if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                goupleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                goupright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                godownleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                godownright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)>30)
                                goup(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)>30)
                                goleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)<-30)
                                godown(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30)
                                goright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t2players[i]);
                    }
                    else hold(t2players[i]);
                }
            }
            else
            {
                core::vector3df t1pos[11];
                t1pos[0] = core::vector3df(ballposition.X-0.10*stat->getDownLine(), 0 , ballposition.Z-0.10*stat->getRightLine());
                t1pos[1] = core::vector3df(ballposition.X-0.70*stat->getDownLine(), 0 , ballposition.Z-0.10*stat->getRightLine());
                t1pos[5] = core::vector3df(ballposition.X-0.00*stat->getDownLine(), 0 , ballposition.Z+0.15*stat->getRightLine());
                t1pos[4] = core::vector3df(ballposition.X-0.25*stat->getDownLine(), 0 , ballposition.Z+0.00*stat->getRightLine());
                t1pos[3] = core::vector3df(ballposition.X-0.65*stat->getDownLine(), 0 , ballposition.Z+0.10*stat->getRightLine());
                t1pos[2] = core::vector3df(ballposition.X-0.96*stat->getDownLine(), 0 , ballposition.Z+0.13*stat->getRightLine());
                t1pos[9] = core::vector3df(ballposition.X-0.92*stat->getDownLine(), 0 , ballposition.Z+0.35*stat->getRightLine());
                t1pos[8] = core::vector3df(ballposition.X-0.58*stat->getDownLine(), 0 , ballposition.Z+0.29*stat->getRightLine());
                t1pos[7] = core::vector3df(ballposition.X-0.35*stat->getDownLine(), 0 , ballposition.Z+0.33*stat->getRightLine());
                t1pos[6] = core::vector3df(ballposition.X-0.16*stat->getDownLine(), 0 , ballposition.Z+0.31*stat->getRightLine());
                t1pos[10] = core::vector3df(ballposition.X*stat->getLeftGoalUpLine()/stat->getUpLine(), 0 , 0.95*stat->getRightLine());

                for (int i=0; i<11; i++)
                {
                    if (checkdist(t1players[i]->getPosition(), t1pos[i]) && (selectedplayer != i))
                    {
                        if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                goupleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                goupright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                godownleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                godownright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)>30)
                                goup(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)>30)
                                goleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)<-30)
                                godown(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30)
                                goright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t1players[i]);
                    }
                    else hold(t1players[i]);
                }

                core::vector3df t2pos[11];
                t2pos[0] = core::vector3df(ballposition.X-0.23*stat->getDownLine(), 0 , ballposition.Z-0.32*stat->getLeftLine());
                t2pos[1] = core::vector3df(ballposition.X+0.15*stat->getDownLine(), 0 , ballposition.Z-0.34*stat->getLeftLine());
                t2pos[5] = core::vector3df(ballposition.X+0.50*stat->getDownLine(), 0 , ballposition.Z-0.29*stat->getLeftLine());
                t2pos[4] = core::vector3df(ballposition.X+0.25*stat->getDownLine(), 0 , ballposition.Z-0.24*stat->getLeftLine());
                t2pos[3] = core::vector3df(ballposition.X-0.45*stat->getDownLine(), 0 , ballposition.Z-0.20*stat->getLeftLine());
                t2pos[2] = core::vector3df(ballposition.X-0.95*stat->getDownLine(), 0 , ballposition.Z-0.30*stat->getLeftLine());
                t2pos[9] = core::vector3df(ballposition.X-0.85*stat->getDownLine(), 0 , ballposition.Z+0.40*stat->getLeftLine());
                t2pos[8] = core::vector3df(ballposition.X-0.35*stat->getDownLine(), 0 , ballposition.Z+0.55*stat->getLeftLine());
                t2pos[7] = core::vector3df(ballposition.X-0.10*stat->getDownLine(), 0 , ballposition.Z+0.47*stat->getLeftLine());
                t2pos[6] = core::vector3df(ballposition.X+0.20*stat->getDownLine(), 0 , ballposition.Z+0.35*stat->getLeftLine());
                t2pos[10] = core::vector3df(ballposition.X*stat->getLeftGoalDownLine()/stat->getDownLine(), 0 , 0.95*stat->getLeftLine());

                for (int i=0; i<11; i++)
                {
                    if (checkdist(t2players[i]->getPosition(), t2pos[i]) && (selectedplayer2 != i))
                    {
                        if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                goupleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                goupright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                godownleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                godownright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)>30)
                                goup(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)>30)
                                goleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)<-30)
                                godown(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30)
                                goright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t2players[i]);
                    }
                    else hold(t2players[i]);
                }
            }

        }
    }

}


void vuvuzellastreet(Player* t1players[], Player* t2players[],
                scene::ITextSceneNode *playernames[], scene::ITextSceneNode *playernames2[],
                int &selectedplayer, int &selectedplayer2, scene::IAnimatedMeshSceneNode* ball,
                 Stadium *stat, const f32 &MOVEMENT_SPEED, const f32 &frameDeltaTime, bool goalguard,
                 bool upthrowinguard, bool leftout, bool rightout, bool upleftcorner, bool uprightcorner,
                 bool downthrowinguard, bool downleftcorner, bool downrightcorner, gamemode mode)
{

    if (!goalguard && !upthrowinguard && !leftout && !rightout && !upleftcorner && !uprightcorner &&
                 !downthrowinguard && !downleftcorner && !downrightcorner && (mode == STREET))
    {
        core::vector3df ballposition = ball->getPosition();
        bool t1hasball = false;
        bool t2hasball = false;

        //check if team1 hasball
        for (int i=0; i<3; i++)
        {
            if (t1players[i]->getBallPossession())
            {
                t1hasball = true;
                break;
            }
        }

        //check if team2 hasball
        for (int i=0; i<3; i++)
        {
            if (t2players[i]->getBallPossession())
            {
                t2hasball = true;
                break;
            }
        }

        if ((ballposition.Z > (stat->getLeftLine()/2)) && (ballposition.X > 0))
        {
            if (!t2hasball)
            {
                core::vector3df t1pos[3];
                t1pos[0] = core::vector3df(ballposition.X-0.95*stat->getUpLine(), 0 , ballposition.Z-0.25*stat->getLeftLine());
                t1pos[1] = core::vector3df(ballposition.X-0.30*stat->getUpLine(), 0 , ballposition.Z-0.20*stat->getLeftLine());
                t1pos[2] = core::vector3df(ballposition.X/2,                      0 , ballposition.Z-0.80*stat->getLeftLine());

                for (int i=0; i<3; i++)
                {
                    if (checkdist(t1players[i]->getPosition(), t1pos[i]) && (selectedplayer != i))
                    {
                        if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                goupleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                goupright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                godownleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                godownright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)>30)
                                goup(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)>30)
                                goleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)<-30)
                                godown(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30)
                                goright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t1players[i]);
                    }
                    else hold(t1players[i]);
                }


                core::vector3df t2pos[3];
                t2pos[0] = core::vector3df(ballposition.X-0.15*stat->getUpLine(), 0 , ballposition.Z+0.10*stat->getLeftLine());
                t2pos[1] = core::vector3df(ballposition.X-0.80*stat->getUpLine(), 0 , ballposition.Z-0.15*stat->getLeftLine());
                t2pos[2] = core::vector3df(ballposition.X*0.5, 0 , stat->getLeftLine()-((stat->getLeftLine()-ballposition.Z)/2));

                for (int i=0; i<3; i++)
                {
                    if (checkdist(t2players[i]->getPosition(), t2pos[i]) && (selectedplayer2 != i))
                    {
                        if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                goupleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                goupright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                godownleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                godownright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)>30)
                                goup(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)>30)
                                goleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)<-30)
                                godown(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30)
                                goright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t2players[i]);
                    }
                    else hold(t2players[i]);
                }

            }
            else
            {
                core::vector3df t1pos[3];
                t1pos[1] = core::vector3df(ballposition.X-0.14*stat->getUpLine(), 0 , ballposition.Z+0.30*stat->getRightLine());
                t1pos[0] = core::vector3df(ballposition.X-0.75*stat->getUpLine(), 0 , ballposition.Z+0.25*stat->getRightLine());
                t1pos[2] = core::vector3df(ballposition.X-0.10*stat->getUpLine(), 0 , ballposition.Z+0.55*stat->getRightLine());


                for (int i=0; i<3; i++)
                {
                    if (checkdist(t1players[i]->getPosition(), t1pos[i]) && (selectedplayer != i))
                    {
                        if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                goupleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                goupright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                godownleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                godownright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)>30)
                                goup(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)>30)
                                goleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)<-30)
                                godown(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30)
                                goright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t1players[i]);
                    }
                    else hold(t1players[i]);
                }



                core::vector3df t2pos[3];
                t2pos[1] = core::vector3df(ballposition.X-0.23*stat->getUpLine(), 0 , ballposition.Z-0.42*stat->getLeftLine());
                t2pos[0] = core::vector3df(ballposition.X+0.15*stat->getUpLine(), 0 , ballposition.Z-0.44*stat->getLeftLine());
                t2pos[2] = core::vector3df(ballposition.X+0.40*stat->getUpLine(), 0 , ballposition.Z-0.39*stat->getLeftLine());


                for (int i=0; i<3; i++)
                {
                    if (checkdist(t2players[i]->getPosition(), t2pos[i]) && (selectedplayer2 != i))
                    {
                        if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                goupleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                goupright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                godownleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                godownright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)>30)
                                goup(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)>30)
                                goleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)<-30)
                                godown(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30)
                                goright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t2players[i]);
                    }
                    else hold(t2players[i]);
                }

            }

        }
        else if ((ballposition.Z > (stat->getLeftLine()/2)) && (ballposition.X < 0))
        {
            if (!t2hasball)
            {
                core::vector3df t1pos[3];
                t1pos[0] = core::vector3df(ballposition.X-0.95*stat->getDownLine(), 0 , ballposition.Z-0.25*stat->getLeftLine());
                t1pos[1] = core::vector3df(ballposition.X-0.30*stat->getDownLine(), 0 , ballposition.Z-0.20*stat->getLeftLine());
                t1pos[2] = core::vector3df(ballposition.X/2,                      0 , ballposition.Z-0.80*stat->getLeftLine());

                for (int i=0; i<3; i++)
                {
                    if (checkdist(t1players[i]->getPosition(), t1pos[i]) && (selectedplayer != i))
                    {
                        if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                goupleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                goupright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                godownleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                godownright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)>30)
                                goup(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)>30)
                                goleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)<-30)
                                godown(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30)
                                goright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t1players[i]);
                    }
                    else hold(t1players[i]);
                }


                core::vector3df t2pos[3];
                t2pos[0] = core::vector3df(ballposition.X-0.15*stat->getDownLine(), 0 , ballposition.Z+0.10*stat->getLeftLine());
                t2pos[1] = core::vector3df(ballposition.X-0.80*stat->getDownLine(), 0 , ballposition.Z-0.15*stat->getLeftLine());
                t2pos[2] = core::vector3df(ballposition.X*0.5, 0 , stat->getLeftLine()-((stat->getLeftLine()-ballposition.Z)/2));

                for (int i=0; i<3; i++)
                {
                    if (checkdist(t2players[i]->getPosition(), t2pos[i]) && (selectedplayer2 != i))
                    {
                        if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                goupleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                goupright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                godownleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                godownright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)>30)
                                goup(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)>30)
                                goleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)<-30)
                                godown(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30)
                                goright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t2players[i]);
                    }
                    else hold(t2players[i]);
                }
            }
            else
            {
                core::vector3df t1pos[3];
                t1pos[0] = core::vector3df(ballposition.X-0.14*stat->getDownLine(), 0 , ballposition.Z+0.30*stat->getRightLine());
                t1pos[1] = core::vector3df(ballposition.X-0.75*stat->getDownLine(), 0 , ballposition.Z+0.25*stat->getRightLine());
                t1pos[2] = core::vector3df(ballposition.X-0.10*stat->getDownLine(), 0 , ballposition.Z+0.55*stat->getRightLine());


                for (int i=0; i<3; i++)
                {
                    if (checkdist(t1players[i]->getPosition(), t1pos[i]) && (selectedplayer != i))
                    {
                        if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                goupleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                goupright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                godownleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                godownright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)>30)
                                goup(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)>30)
                                goleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)<-30)
                                godown(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30)
                                goright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t1players[i]);
                    }
                    else hold(t1players[i]);
                }

                core::vector3df t2pos[3];
                t2pos[0] = core::vector3df(ballposition.X-0.23*stat->getDownLine(), 0 , ballposition.Z-0.42*stat->getLeftLine());
                t2pos[1] = core::vector3df(ballposition.X+0.15*stat->getDownLine(), 0 , ballposition.Z-0.44*stat->getLeftLine());
                t2pos[2] = core::vector3df(ballposition.X+0.40*stat->getDownLine(), 0 , ballposition.Z-0.39*stat->getLeftLine());

                for (int i=0; i<3; i++)
                {
                    if (checkdist(t2players[i]->getPosition(), t2pos[i]) && (selectedplayer2 != i))
                    {
                        if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                goupleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                goupright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                godownleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                godownright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)>30)
                                goup(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)>30)
                                goleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)<-30)
                                godown(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30)
                                goright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t2players[i]);
                    }
                    else hold(t2players[i]);
                }
            }

        }
        else if ((ballposition.Z > 0) && (ballposition.X > 0))
        {
            if (!t2hasball)
            {
                core::vector3df t1pos[3];
                t1pos[0] = core::vector3df(ballposition.X-0.80*stat->getUpLine(), 0 , ballposition.Z+0.30*stat->getLeftLine());
                t1pos[1] = core::vector3df(ballposition.X-0.35*stat->getUpLine(), 0 , ballposition.Z+0.25*stat->getLeftLine());
                t1pos[2] = core::vector3df(ballposition.X/2,                      0 , ballposition.Z-0.80*stat->getLeftLine());

                for (int i=0; i<3; i++)
                {
                    if (checkdist(t1players[i]->getPosition(), t1pos[i]) && (selectedplayer != i))
                    {
                        if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                goupleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                goupright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                godownleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                godownright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)>30)
                                goup(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)>30)
                                goleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)<-30)
                                godown(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30)
                                goright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t1players[i]);
                    }
                    else hold(t1players[i]);
                }


                core::vector3df t2pos[3];
                t2pos[0] = core::vector3df(ballposition.X-0.10*stat->getUpLine(), 0 , ballposition.Z+0.40*stat->getLeftLine());
                t2pos[1] = core::vector3df(ballposition.X-0.60*stat->getUpLine(), 0 , ballposition.Z+0.40*stat->getLeftLine());
                t2pos[2] = core::vector3df(ballposition.X*0.5, 0 , stat->getLeftLine()/2+ballposition.Z/2);

                for (int i=0; i<3; i++)
                {
                    if (checkdist(t2players[i]->getPosition(), t2pos[i]) && (selectedplayer2 != i))
                    {
                        if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                goupleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                goupright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                godownleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                godownright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)>30)
                                goup(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)>30)
                                goleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)<-30)
                                godown(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30)
                                goright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t2players[i]);
                    }
                    else hold(t2players[i]);
                }
            }
            else
            {
                core::vector3df t1pos[3];
                t1pos[1] = core::vector3df(ballposition.X-0.14*stat->getUpLine(), 0 , ballposition.Z+0.10*stat->getRightLine());
                t1pos[0] = core::vector3df(ballposition.X-0.75*stat->getUpLine(), 0 , ballposition.Z+0.05*stat->getRightLine());
                t1pos[2] = core::vector3df(ballposition.X*0.5, 0 , stat->getRightLine()/2+ballposition.Z/2);

                for (int i=0; i<3; i++)
                {
                    if (checkdist(t1players[i]->getPosition(), t1pos[i]) && (selectedplayer != i))
                    {
                        if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                goupleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                goupright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                godownleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                godownright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)>30)
                                goup(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)>30)
                                goleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)<-30)
                                godown(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30)
                                goright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t1players[i]);
                    }
                    else hold(t1players[i]);
                }


                core::vector3df t2pos[3];
                t2pos[1] = core::vector3df(ballposition.X-0.23*stat->getUpLine(), 0 , ballposition.Z-0.42*stat->getLeftLine());
                t2pos[0] = core::vector3df(ballposition.X+0.15*stat->getUpLine(), 0 , ballposition.Z-0.44*stat->getLeftLine());
                t2pos[2] = core::vector3df(ballposition.X+0.40*stat->getUpLine(), 0 , ballposition.Z-0.39*stat->getLeftLine());

                for (int i=0; i<3; i++)
                {
                    if (checkdist(t2players[i]->getPosition(), t2pos[i]) && (selectedplayer2 != i))
                    {
                        if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                goupleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                goupright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                godownleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                godownright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)>30)
                                goup(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)>30)
                                goleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)<-30)
                                godown(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30)
                                goright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t2players[i]);
                    }
                    else hold(t2players[i]);
                }
            }

        }
        else if ((ballposition.Z > 0) && (ballposition.X < 0))
        {
            if (!t2hasball)
            {
                core::vector3df t1pos[3];
                t1pos[1] = core::vector3df(ballposition.X-0.80*stat->getDownLine(), 0 , ballposition.Z+0.30*stat->getLeftLine());
                t1pos[0] = core::vector3df(ballposition.X-0.35*stat->getDownLine(), 0 , ballposition.Z+0.25*stat->getLeftLine());
                t1pos[2] = core::vector3df(ballposition.X/2,                      0 , ballposition.Z-0.80*stat->getLeftLine());

                for (int i=0; i<3; i++)
                {
                    if (checkdist(t1players[i]->getPosition(), t1pos[i]) && (selectedplayer != i))
                    {
                        if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                goupleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                goupright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                godownleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                godownright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)>30)
                                goup(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)>30)
                                goleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)<-30)
                                godown(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30)
                                goright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t1players[i]);
                    }
                    else hold(t1players[i]);
                }


                core::vector3df t2pos[3];
                t2pos[0] = core::vector3df(ballposition.X-0.45*stat->getDownLine(), 0 , ballposition.Z+0.40*stat->getLeftLine());
                t2pos[1] = core::vector3df(ballposition.X-0.50*stat->getDownLine(), 0 , ballposition.Z+0.40*stat->getLeftLine());
                t2pos[2] = core::vector3df(ballposition.X*0.5, 0 , stat->getLeftLine()/2+ballposition.Z/2);

                for (int i=0; i<3; i++)
                {
                    if (checkdist(t2players[i]->getPosition(), t2pos[i]) && (selectedplayer2 != i))
                    {
                        if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                goupleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                goupright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                godownleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                godownright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)>30)
                                goup(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)>30)
                                goleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)<-30)
                                godown(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30)
                                goright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t2players[i]);
                    }
                    else hold(t2players[i]);
                }
            }
            else
            {
                core::vector3df t1pos[3];
                t1pos[0] = core::vector3df(ballposition.X-0.14*stat->getDownLine(), 0 , ballposition.Z+0.10*stat->getRightLine());
                t1pos[1] = core::vector3df(ballposition.X-0.75*stat->getDownLine(), 0 , ballposition.Z+0.05*stat->getRightLine());
                t1pos[2] = core::vector3df(ballposition.X*0.5, 0 , stat->getRightLine()/2+ballposition.Z/2);


                for (int i=0; i<3; i++)
                {
                    if (checkdist(t1players[i]->getPosition(), t1pos[i]) && (selectedplayer != i))
                    {
                        if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                goupleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                goupright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                godownleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                godownright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)>30)
                                goup(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)>30)
                                goleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)<-30)
                                godown(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30)
                                goright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t1players[i]);
                    }
                    else hold(t1players[i]);
                }


                core::vector3df t2pos[3];
                t2pos[0] = core::vector3df(ballposition.X-0.23*stat->getDownLine(), 0 , ballposition.Z-0.42*stat->getLeftLine());
                t2pos[1] = core::vector3df(ballposition.X+0.15*stat->getDownLine(), 0 , ballposition.Z-0.44*stat->getLeftLine());
                t2pos[2] = core::vector3df(ballposition.X+0.40*stat->getDownLine(), 0 , ballposition.Z-0.39*stat->getLeftLine());

                for (int i=0; i<3; i++)
                {
                    if (checkdist(t2players[i]->getPosition(), t2pos[i]) && (selectedplayer2 != i))
                    {
                        if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                goupleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                goupright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                godownleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                godownright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)>30)
                                goup(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)>30)
                                goleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)<-30)
                                godown(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30)
                                goright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t2players[i]);
                    }
                    else hold(t2players[i]);
                }
            }

        }


        else if ((ballposition.Z < (stat->getRightLine()/2)) && (ballposition.X > 0))
        {
            if (t1hasball)
            {
                core::vector3df t1pos[3];
                t1pos[1] = core::vector3df(ballposition.X-0.90*stat->getUpLine(), 0 , ballposition.Z+0.90*stat->getLeftLine());
                t1pos[0] = core::vector3df(ballposition.X-0.20*stat->getUpLine(), 0 , ballposition.Z+0.70*stat->getLeftLine());
                t1pos[2] = core::vector3df(ballposition.X/2,                      0 , ballposition.Z+0.10*stat->getLeftLine());
                for (int i=0; i<3; i++)
                {
                    if (checkdist(t1players[i]->getPosition(), t1pos[i]) && (selectedplayer != i))
                    {
                        if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                goupleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                goupright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                godownleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                godownright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)>30)
                                goup(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)>30)
                                goleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)<-30)
                                godown(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30)
                                goright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t1players[i]);
                    }
                    else hold(t1players[i]);
                }


                core::vector3df t2pos[3];
                t2pos[1] = core::vector3df(ballposition.X-0.50*stat->getUpLine(), 0 , ballposition.Z+1.10*stat->getLeftLine());
                t2pos[0] = core::vector3df(ballposition.X-0.30*stat->getUpLine(), 0 , ballposition.Z+0.90*stat->getLeftLine());
                t2pos[2] = core::vector3df(ballposition.X/2,                      0 , ballposition.Z+stat->getLeftLine());

                for (int i=0; i<3; i++)
                {
                    if (checkdist(t2players[i]->getPosition(), t2pos[i]) && (selectedplayer2 != i))
                    {
                        if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                goupleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                goupright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                godownleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                godownright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)>30)
                                goup(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)>30)
                                goleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)<-30)
                                godown(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30)
                                goright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t2players[i]);
                    }
                    else hold(t2players[i]);
                }
            }
            else
            {
                core::vector3df t1pos[3];
                t1pos[1] = core::vector3df(ballposition.X-0.15*stat->getUpLine(), 0 , ballposition.Z+0.00*stat->getRightLine());
                t1pos[0] = core::vector3df(ballposition.X-0.70*stat->getUpLine(), 0 , ballposition.Z-0.10*stat->getRightLine());
                t1pos[2] = core::vector3df(ballposition.X*0.5, 0 , stat->getRightLine()-((stat->getRightLine()-ballposition.Z)/2));

                for (int i=0; i<3; i++)
                {
                    if (checkdist(t1players[i]->getPosition(), t1pos[i]) && (selectedplayer != i))
                    {
                        if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                goupleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                goupright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                godownleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                godownright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)>30)
                                goup(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)>30)
                                goleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)<-30)
                                godown(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30)
                                goright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t1players[i]);
                    }
                    else hold(t1players[i]);
                }

                core::vector3df t2pos[3];
                t2pos[1] = core::vector3df(ballposition.X-0.30*stat->getUpLine(), 0 , ballposition.Z-0.12*stat->getLeftLine());
                t2pos[0] = core::vector3df(ballposition.X+0.21*stat->getUpLine(), 0 , ballposition.Z-0.14*stat->getLeftLine());
                t2pos[2] = core::vector3df(ballposition.X+0.40*stat->getUpLine(), 0 , ballposition.Z-0.09*stat->getLeftLine());

                for (int i=0; i<3; i++)
                {
                    if (checkdist(t2players[i]->getPosition(), t2pos[i]) && (selectedplayer2 != i))
                    {
                        if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                goupleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                goupright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                godownleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                godownright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)>30)
                                goup(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)>30)
                                goleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)<-30)
                                godown(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30)
                                goright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t2players[i]);
                    }
                    else hold(t2players[i]);
                }


            }

        }
        else if ((ballposition.Z < (stat->getRightLine()/2)) && (ballposition.X < 0))
        {
            if (t1hasball)
            {
                core::vector3df t1pos[3];
                t1pos[1] = core::vector3df(ballposition.X-0.90*stat->getDownLine(), 0 , ballposition.Z+0.90*stat->getLeftLine());
                t1pos[0] = core::vector3df(ballposition.X-0.20*stat->getDownLine(), 0 , ballposition.Z+0.70*stat->getLeftLine());
                t1pos[2] = core::vector3df(ballposition.X/2,                      0 , ballposition.Z+0.10*stat->getLeftLine());

                for (int i=0; i<3; i++)
                {
                    if (checkdist(t1players[i]->getPosition(), t1pos[i]) && (selectedplayer != i))
                    {
                        if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                goupleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                goupright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                godownleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                godownright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)>30)
                                goup(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)>30)
                                goleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)<-30)
                                godown(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30)
                                goright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t1players[i]);
                    }
                    else hold(t1players[i]);
                }


                core::vector3df t2pos[3];
                t2pos[1] = core::vector3df(ballposition.X-0.50*stat->getDownLine(), 0 , ballposition.Z+1.10*stat->getLeftLine());
                t2pos[0] = core::vector3df(ballposition.X-0.30*stat->getDownLine(), 0 , ballposition.Z+0.90*stat->getLeftLine());
                t2pos[2] = core::vector3df(ballposition.X/2,                      0 , ballposition.Z+stat->getLeftLine());

                for (int i=0; i<3; i++)
                {
                    if (checkdist(t2players[i]->getPosition(), t2pos[i]) && (selectedplayer2 != i))
                    {
                        if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                goupleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                goupright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                godownleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                godownright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)>30)
                                goup(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)>30)
                                goleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)<-30)
                                godown(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30)
                                goright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t2players[i]);
                    }
                    else hold(t2players[i]);
                }
            }
            else
            {
                core::vector3df t1pos[3];

                t1pos[0] = core::vector3df(ballposition.X-0.15*stat->getDownLine(), 0 , ballposition.Z+0.00*stat->getRightLine());
                t1pos[1] = core::vector3df(ballposition.X-0.70*stat->getDownLine(), 0 , ballposition.Z-0.10*stat->getRightLine());
                t1pos[2] = core::vector3df(ballposition.X*0.5, 0 , stat->getRightLine()-((stat->getRightLine()-ballposition.Z)/2));


                for (int i=0; i<3; i++)
                {
                    if (checkdist(t1players[i]->getPosition(), t1pos[i]) && (selectedplayer != i))
                    {
                        if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                goupleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                goupright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                godownleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                godownright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)>30)
                                goup(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)>30)
                                goleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)<-30)
                                godown(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30)
                                goright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t1players[i]);
                    }
                    else hold(t1players[i]);
                }

                 core::vector3df t2pos[3];
                t2pos[0] = core::vector3df(ballposition.X-0.30*stat->getDownLine(), 0 , ballposition.Z-0.12*stat->getLeftLine());
                t2pos[1] = core::vector3df(ballposition.X+0.21*stat->getDownLine(), 0 , ballposition.Z-0.14*stat->getLeftLine());
                t2pos[2] = core::vector3df(ballposition.X+0.40*stat->getDownLine(), 0 , ballposition.Z-0.09*stat->getLeftLine());


                for (int i=0; i<3; i++)
                {
                    if (checkdist(t2players[i]->getPosition(), t2pos[i]) && (selectedplayer2 != i))
                    {
                        if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                goupleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                goupright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                godownleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                godownright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)>30)
                                goup(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)>30)
                                goleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)<-30)
                                godown(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30)
                                goright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t2players[i]);
                    }
                    else hold(t2players[i]);
                }
            }

        }
        else if ((ballposition.Z < 0) && (ballposition.X > 0))
        {
            if (t1hasball)
            {
                core::vector3df t1pos[3];
                t1pos[0] = core::vector3df(ballposition.X-0.70*stat->getUpLine(), 0 , ballposition.Z+0.50*stat->getLeftLine());
                t1pos[1] = core::vector3df(ballposition.X-0.30*stat->getUpLine(), 0 , ballposition.Z+0.40*stat->getLeftLine());
                t1pos[2] = core::vector3df(ballposition.X/2,                      0 , ballposition.Z-0.70*stat->getLeftLine());

                for (int i=0; i<3; i++)
                {
                    if (checkdist(t1players[i]->getPosition(), t1pos[i]) && (selectedplayer != i))
                    {
                        if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                goupleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                goupright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                godownleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                godownright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)>30)
                                goup(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)>30)
                                goleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)<-30)
                                godown(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30)
                                goright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t1players[i]);
                    }
                    else hold(t1players[i]);
                }



                core::vector3df t2pos[3];
                t2pos[1] = core::vector3df(ballposition.X-0.14*stat->getUpLine(), 0 , ballposition.Z+0.10*stat->getLeftLine());
                t2pos[0] = core::vector3df(ballposition.X-0.75*stat->getUpLine(), 0 , ballposition.Z+0.05*stat->getLeftLine());
                t2pos[2] = core::vector3df(ballposition.X*0.5, 0 , stat->getLeftLine()/2+ballposition.Z/2);

                for (int i=0; i<3; i++)
                {
                    if (checkdist(t2players[i]->getPosition(), t2pos[i]) && (selectedplayer2 != i))
                    {
                        if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                goupleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                goupright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                godownleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                godownright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)>30)
                                goup(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)>30)
                                goleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)<-30)
                                godown(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30)
                                goright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t2players[i]);
                    }
                    else hold(t2players[i]);
                }
            }
            else
            {
                core::vector3df t1pos[3];
                t1pos[1] = core::vector3df(ballposition.X-0.10*stat->getUpLine(), 0 , ballposition.Z-0.10*stat->getRightLine());
                t1pos[0] = core::vector3df(ballposition.X-0.70*stat->getUpLine(), 0 , ballposition.Z-0.10*stat->getRightLine());
                t1pos[2] = core::vector3df(ballposition.X-0.00*stat->getUpLine(), 0 , ballposition.Z+0.15*stat->getRightLine());


                for (int i=0; i<3; i++)
                {
                    if (checkdist(t1players[i]->getPosition(), t1pos[i]) && (selectedplayer != i))
                    {
                        if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                goupleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                goupright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                godownleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                godownright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)>30)
                                goup(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)>30)
                                goleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)<-30)
                                godown(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30)
                                goright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t1players[i]);
                    }
                    else hold(t1players[i]);
                }


                core::vector3df t2pos[3];
                t2pos[1] = core::vector3df(ballposition.X-0.23*stat->getUpLine(), 0 , ballposition.Z-0.32*stat->getLeftLine());
                t2pos[0] = core::vector3df(ballposition.X+0.15*stat->getUpLine(), 0 , ballposition.Z-0.34*stat->getLeftLine());
                t2pos[2] = core::vector3df(ballposition.X+0.50*stat->getUpLine(), 0 , ballposition.Z-0.29*stat->getLeftLine());

                for (int i=0; i<3; i++)
                {
                    if (checkdist(t2players[i]->getPosition(), t2pos[i]) && (selectedplayer2 != i))
                    {
                        if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                goupleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                goupright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                godownleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                godownright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)>30)
                                goup(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)>30)
                                goleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)<-30)
                                godown(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30)
                                goright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t2players[i]);
                    }
                    else hold(t2players[i]);
                }

            }

        }
        else if ((ballposition.Z < 0) && (ballposition.X < 0))
        {
            if (t1hasball)
            {
                core::vector3df t1pos[3];
                t1pos[1] = core::vector3df(ballposition.X-0.70*stat->getDownLine(), 0 , ballposition.Z+0.50*stat->getLeftLine());
                t1pos[0] = core::vector3df(ballposition.X-0.30*stat->getDownLine(), 0 , ballposition.Z+0.40*stat->getLeftLine());
                t1pos[2] = core::vector3df(ballposition.X/2,                      0 , ballposition.Z-0.70*stat->getLeftLine());

                for (int i=0; i<3; i++)
                {
                    if (checkdist(t1players[i]->getPosition(), t1pos[i]) && (selectedplayer != i))
                    {
                        if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                goupleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                goupright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                godownleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                godownright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)>30)
                                goup(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)>30)
                                goleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)<-30)
                                godown(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30)
                                goright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t1players[i]);
                    }
                    else hold(t1players[i]);
                }

                core::vector3df t2pos[3];
                t2pos[0] = core::vector3df(ballposition.X-0.14*stat->getDownLine(), 0 , ballposition.Z+0.10*stat->getLeftLine());
                t2pos[1] = core::vector3df(ballposition.X-0.75*stat->getDownLine(), 0 , ballposition.Z+0.05*stat->getLeftLine());
                t2pos[2] = core::vector3df(ballposition.X*0.5, 0 , stat->getLeftLine()/2+ballposition.Z/2);

                for (int i=0; i<3; i++)
                {
                    if (checkdist(t2players[i]->getPosition(), t2pos[i]) && (selectedplayer2 != i))
                    {
                        if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                goupleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                goupright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                godownleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                godownright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)>30)
                                goup(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)>30)
                                goleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)<-30)
                                godown(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30)
                                goright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t2players[i]);
                    }
                    else hold(t2players[i]);
                }
            }
            else
            {
                core::vector3df t1pos[3];
                t1pos[0] = core::vector3df(ballposition.X-0.10*stat->getDownLine(), 0 , ballposition.Z-0.10*stat->getRightLine());
                t1pos[1] = core::vector3df(ballposition.X-0.70*stat->getDownLine(), 0 , ballposition.Z-0.10*stat->getRightLine());
                t1pos[2] = core::vector3df(ballposition.X-0.00*stat->getDownLine(), 0 , ballposition.Z+0.15*stat->getRightLine());

                for (int i=0; i<3; i++)
                {
                    if (checkdist(t1players[i]->getPosition(), t1pos[i]) && (selectedplayer != i))
                    {
                        if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                goupleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)>30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                goupright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)>30))
                                godownleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t1pos[i].X - t1players[i]->getPosition().X)<-30) && ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30))
                                godownright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)>30)
                                goup(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)>30)
                                goleft(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].X - t1players[i]->getPosition().X)<-30)
                                godown(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t1pos[i].Z - t1players[i]->getPosition().Z)<-30)
                                goright(t1players[i], playernames[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t1players[i]);
                    }
                    else hold(t1players[i]);
                }

                core::vector3df t2pos[3];
                t2pos[0] = core::vector3df(ballposition.X-0.23*stat->getDownLine(), 0 , ballposition.Z-0.32*stat->getLeftLine());
                t2pos[1] = core::vector3df(ballposition.X+0.15*stat->getDownLine(), 0 , ballposition.Z-0.34*stat->getLeftLine());
                t2pos[2] = core::vector3df(ballposition.X+0.50*stat->getDownLine(), 0 , ballposition.Z-0.29*stat->getLeftLine());

                for (int i=0; i<3; i++)
                {
                    if (checkdist(t2players[i]->getPosition(), t2pos[i]) && (selectedplayer2 != i))
                    {
                        if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                goupleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)>30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                goupright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)>30))
                                godownleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if (((t2pos[i].X - t2players[i]->getPosition().X)<-30) && ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30))
                                godownright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)>30)
                                goup(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)>30)
                                goleft(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].X - t2players[i]->getPosition().X)<-30)
                                godown(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else if ((t2pos[i].Z - t2players[i]->getPosition().Z)<-30)
                                goright(t2players[i], playernames2[i], MOVEMENT_SPEED, frameDeltaTime, stat);
                        else hold(t2players[i]);
                    }
                    else hold(t2players[i]);
                }
            }

        }
    }

}


void t1show (Player* t1players[], scene::ITextSceneNode *playernames[], Stadium* stat, u32 now, u32 t1showtime, f32 MOVEMENT_SPEED,
            f32 frameDeltaTime, bool &t1scored, bool& showpart2, gamemode mode )
{
    if (t1scored)
    {
        if (t1showtime > now)
        {
            if ((t1showtime-now) > 1000) godown (t1players[0], playernames[0], MOVEMENT_SPEED, frameDeltaTime, stat);
            else
            {
                if (!showpart2)
                {
                    showpart2 = true;
                    t1players[0]->setAnimation(146, 158);
                    t1players[0]->setAnimationSpeed(10);
                }
            }
        }
        else
        {
            t1scored = false;
            showpart2 = false;
            if (mode == CLASSIC)
            {
                t1players[0]->setPosition(core::vector3df(0.25*stat->getUpLine(),   0, 0.18*stat->getRightLine()));
                playernames[0]->setPosition(core::vector3df(0.25*stat->getUpLine(),   120, 0.18*stat->getRightLine()));
            }
            else if (mode == STREET)
            {
                t1players[0]->setPosition(core::vector3df(0.2*stat->getUpLine(),   0, 0.4*stat->getRightLine()));
                playernames[0]->setPosition(core::vector3df(0.2*stat->getUpLine(),   120, 0.4*stat->getRightLine()));
            }
            t1players[0]->setPlayerAngle(0);
            t1players[0]->setAnimation(0, 13);
            t1players[0]->setAnimationSpeed(1);

        }
    }
}


void t2show (Player* t2players[], scene::ITextSceneNode *playernames2[], Stadium* stat, u32 now, u32 t2showtime, f32 MOVEMENT_SPEED,
            f32 frameDeltaTime, bool &t2scored, bool& showpart2, gamemode mode )
{
    if (t2scored)
    {
        if (t2showtime > now)
        {
            if ((t2showtime-now) > 1000) godown (t2players[0], playernames2[0], MOVEMENT_SPEED, frameDeltaTime, stat);
            else
            {
                if (!showpart2)
                {
                    showpart2 = true;
                    t2players[0]->setAnimation(146, 158);
                    t2players[0]->setAnimationSpeed(10);
                }
            }
        }
        else
        {
            t2scored = false;
            showpart2 = false;

            if (mode == CLASSIC)
            {
                t2players[0]->setPosition(core::vector3df(0.25*stat->getUpLine(),     0, 0.18*stat->getLeftLine()));
                playernames2[0]->setPosition(core::vector3df(0.25*stat->getUpLine(),   120, 0.18*stat->getLeftLine()));
            }
            else if (mode == STREET)
            {
                t2players[0]->setPosition(core::vector3df(0.2*stat->getUpLine(),     0, 0.4*stat->getLeftLine()));
                playernames[0]->setPosition(core::vector3df(0.2*stat->getUpLine(),     120, 0.4*stat->getLeftLine()));
            }

            t2players[0]->setPlayerAngle(0);
            t2players[0]->setAnimation(0, 13);
            t2players[0]->setAnimationSpeed(1);

        }
    }
}

/***************************************************** main **************************************************************/


int main()
{
    //Start device with Opengl Driver
	video::E_DRIVER_TYPE driverType;
	driverType = video::EDT_OPENGL;
    MyEventReceiver receiver;
    GUIEventReceiver guievents;
	device = createDevice(driverType, core::dimension2d<u32>(1280, 768), 32,false, true, false, &receiver);
                        //createDevice(driverType, core::dimension2d<u32>(1024, 768), 16, false, false, false, &receiver);
	if (device == 0)
		return 1;

    //Enable Joystick
    core::array<SJoystickInfo> joystickInfo;
    if(device->activateJoysticks(joystickInfo))
    {
        std::cout << "Joystick support is enabled and " << joystickInfo.size() << " joystick(s) are present." << std::endl;

        for(u32 joystick = 0; joystick < joystickInfo.size(); ++joystick)
        {
            std::cout << "Joystick " << joystick << ":" << std::endl;
            std::cout << "\tName: '" << joystickInfo[joystick].Name.c_str() << "'" << std::endl;
            std::cout << "\tAxes: " << joystickInfo[joystick].Axes << std::endl;
            std::cout << "\tButtons: " << joystickInfo[joystick].Buttons << std::endl;

            std::cout << "\tHat is: ";

            switch(joystickInfo[joystick].PovHat)
            {
            case SJoystickInfo::POV_HAT_PRESENT:
                std::cout << "present" << std::endl;
                break;

            case SJoystickInfo::POV_HAT_ABSENT:
                std::cout << "absent" << std::endl;
                break;

            case SJoystickInfo::POV_HAT_UNKNOWN:
            default:
                std::cout << "unknown" << std::endl;
                break;
            }
        }
    }
    else
    {
        std::cout << "Joystick support is not enabled." << std::endl;
    }

	/*
	Get a pointer to the video driver and the SceneManager so that
	we do not always have to call irr::IrrlichtDevice::getVideoDriver() and
	irr::IrrlichtDevice::getSceneManager().
	*/
	driver = device->getVideoDriver();

	scene::ISceneManager* smgr;
	smgr = device->getSceneManager();
    guienv=device->getGUIEnvironment();

    skin = guienv->getSkin();
    font = guienv->getFont("../../media/fontlucida.png");
    device->setEventReceiver(&guievents);
    Gamemenu.loadStartMenu(driver,guienv,skin,font,device);
engine = irrklang::createIrrKlangDevice();
irrklang::ISound* music = engine->play2D("../../media/bocadale.mp3",
	                 false,false,true);
    while(device->run() && !startgame)
	{

		if (device->isWindowActive())
		{
            driver->beginScene(true, true, SColor(0,255,255,255));
            guienv->drawAll();
            driver->endScene();
		}

    }
    device->setEventReceiver(&receiver);
    device->getCursorControl()->setVisible(false);

    int selectedplayer = 0;
    int selectedplayer2 = 0;
    int pressedby=1;
    bool goalguard = true;
    bool t1throwinguard = false;
    bool t2throwinguard = false;
    bool upthrowinguard = false;
    bool downthrowinguard = false;
    bool leftout = false;
    bool rightout = false;
    bool upleftcorner = false;
    bool downleftcorner = false;
    bool uprightcorner = false;
    bool downrightcorner = false;

    bool t1scored = false;
    u32 t1showtime = 0;
    bool showpart2 = false;
    bool t2scored = false;
    u32 t2showtime = 0;
    u32 passtime1 = 0;
    u32 passtime2 = 0;
    int t1score = 0;
    int t2score = 0;
    int t1cornercount = 0;
    int t2cornercount = 0;

    int minute1 = 0;
    int minute2 = 0;
    int second1 = 0;
    int second2 = 0;

    //This integer (which is used to select stadium) has to change in user interface
    int stadiumno = 0;


    //Load stadium
    Stadium* stat;
    if (stadiumselect==1) {
        stat = new Stadium ("../../media/noucamp/noucamp.3ds", smgr, core::vector3df(0,21.3,0), core::vector3df(35,-166,40), core::vector3df(1,1,1), true);
        stat->setLeftLine(2070);
        stat->setRightLine(-2070);
        stat->setUpLine(1440);
        stat->setDownLine(-1440);
        stat->setLeftGoalUpLine(170);
        stat->setLeftGoalDownLine(-185);
        stat->setRightGoalUpLine(170);
        stat->setRightGoalDownLine(-185);
    }
    else if (stadiumselect==2)
    {
        stat = new Stadium ("../../media/st1/st1.3ds", smgr, core::vector3df(0,0,0), core::vector3df(0,0,0), core::vector3df(1,1,1), true);
        stat->setLeftLine(2070);
        stat->setRightLine(-2070);
        stat->setUpLine(1330);
        stat->setDownLine(-1330);
        stat->setLeftGoalUpLine(165);
        stat->setLeftGoalDownLine(-165);
        stat->setRightGoalUpLine(165);
        stat->setRightGoalDownLine(-165);
    }
    else if (stadiumselect==3)
    {
        stat = new Stadium ("../../media/st2/st2.3ds", smgr, core::vector3df(0,0,0), core::vector3df(0,0,0), core::vector3df(1,1,1), true);
        stat->setLeftLine(2070);
        stat->setRightLine(-2070);
        stat->setUpLine(1330);
        stat->setDownLine(-1340);
        stat->setLeftGoalUpLine(160);
        stat->setLeftGoalDownLine(-165);
        stat->setRightGoalUpLine(160);
        stat->setRightGoalDownLine(-165);
    }
    else if (stadiumselect==4)
    {
        stat = new Stadium ("../../media/st4/st4.3ds", smgr, core::vector3df(0,0,0), core::vector3df(0,0,0), core::vector3df(1,1,1), true);
        stat->setLeftLine(2070);
        stat->setRightLine(-2070);
        stat->setUpLine(1330);
        stat->setDownLine(-1340);
        stat->setLeftGoalUpLine(160);
        stat->setLeftGoalDownLine(-160);
        stat->setRightGoalUpLine(160);
        stat->setRightGoalDownLine(-160);
    }
    else if (stadiumselect==7)
    {
        stat = new Stadium ("../../media/str7/bridge.3ds", smgr, core::vector3df(0,0,0), core::vector3df(0,0,20), core::vector3df(40,40,40), false);
        stat->setLeftLine(830);
        stat->setRightLine(-830);
        stat->setUpLine(770);
        stat->setDownLine(-800);
        stat->setLeftGoalUpLine(50);
        stat->setLeftGoalDownLine(-50);
        stat->setRightGoalUpLine(50);
        stat->setRightGoalDownLine(-50);
    }


    //4 lights added to corners of the field
    stat->setLight  ( smgr, core::vector3df(stat->getUpLine(),3000,stat->getRightLine()));
    stat->setLight  ( smgr, core::vector3df(stat->getUpLine(),3000,stat->getLeftLine()));
    stat->setLight  ( smgr, core::vector3df(stat->getDownLine(),3000,stat->getLeftLine()));
    stat->setLight  ( smgr, core::vector3df(stat->getDownLine(),3000,stat->getRightLine()));
    //Sun :)
    stat->setLight  ( smgr, core::vector3df(0,5000,0));





/*
    //Arrays to keep facings and ball posessions of players are declared & initialized
    int rotationangle[11];
    for (int i=0; i<11; i++) t1players[i]->facingangle=0;

    bool hasball[11];
    hasball[0]=true;
    for (int i=1; i <11;i++) hasball[i]=false;

    int rotationangle2[11];
    for (int i=0; i<11; i++) t2players[i]->facingangle=180;

    bool hasball2[11];
    for (int i=0; i <11;i++) hasball2[i]=false;


    //Arrays that keep player models
    scene::IAnimatedMeshSceneNode* t1players[11];
    scene::IAnimatedMeshSceneNode* t2players[11];
*/

    int pn;

    if (mode == CLASSIC) pn =11;
    else if (mode == STREET) pn = 3;

    Player* t1players[pn];
    Player* t2players[pn];



    //Player models are loaded and properties (locations, facings, animations, etc.) are adjusted
    loadPlayers (t1players, t2players, smgr, driver, stat, mode);

    //In future, hopefully playernames will be loaded to this array from the database
    const wchar_t* namearray1[pn];

    const wchar_t* namearray2[pn];
    if (mode == CLASSIC)
    {
        namearray1[0]= L"Murtaza";
        namearray1[1]= L"Feyyaz";
        namearray1[2]= L"Recep";
        namearray1[3]= L"Kazım";
        namearray1[4]= L"Vakkas";
        namearray1[5]= L"Haydar";
        namearray1[6]= L"Muhterem";
        namearray1[7]= L"Ibrahim";
        namearray1[8]= L"Aslan";
        namearray1[9]= L"Erdal";
        namearray1[10]= L"Rustu";

        namearray2[0]= L"Saldiray";
        namearray2[1]= L"Osman";
        namearray2[2]= L"Ragip";
        namearray2[3]= L"Lemi";
        namearray2[4]= L"Ruknettin";
        namearray2[5]= L"Barbaros";
        namearray2[6]= L"Kemalettin";
        namearray2[7]= L"Suleyman";
        namearray2[8]= L"Abdulcabbar";
        namearray2[9]= L"Rifki";
        namearray2[10]= L"Hayrettin";

        //Player Names are loaded for Team 1
        for (int i=0; i<pn; i++)
        {
            playernames[i]=smgr->addTextSceneNode(guienv->getBuiltInFont(), L"",video::SColor(255,255,255,255), playernames[i],
                        core::vector3df(t1players[i]->getPosition().X, 120, t1players[i]->getPosition().Z));
        }

        //Player Names are loaded for Team 2
        for (int i=0; i<pn; i++)
        {
            playernames2[i]=smgr->addTextSceneNode(guienv->getBuiltInFont(), L"",video::SColor(255,255,255,255), playernames2[i],
                        core::vector3df(t2players[i]->getPosition().X, 120, t2players[i]->getPosition().Z));
        }
        /*
        namearray2[] = {L"Murtaza", L"Feyyaz", L"Recep", L"Kazim", L"Vakkas", L"Haydar",
                                         L"Muhterem", L"Ibrahim", L"Aslan", L"Erdal", L"Rustu"};

        namearray2[] = {L"Saldiray", L"Osman", L"Ragip", L"Lemi", L"Ruknettin", L"Barbaros",
                                         L"Kemalettin", L"Suleyman", L"Abdulcabbar", L"Rfk", L"Hayrettin"};
    */
    }
    else if (mode == STREET)
    {
        namearray1[0]= L"Murtaza";
        namearray1[1]= L"Feyyaz";
        namearray1[2]= L"Recep";

        namearray2[0]= L"Saldiray";
        namearray2[1]= L"Osman";
        namearray2[2]= L"Ragip";

        //Player Names are loaded for Team 1
        for (int i=0; i<pn; i++)
        {
            playernames[i]=smgr->addTextSceneNode(guienv->getBuiltInFont(), L"",video::SColor(255,255,255,255), playernames[i],
                        core::vector3df(t1players[i]->getPosition().X, 120, t1players[i]->getPosition().Z));
        }

        //Player Names are loaded for Team 2
        for (int i=0; i<pn; i++)
        {
            playernames2[i]=smgr->addTextSceneNode(guienv->getBuiltInFont(), L"",video::SColor(255,255,255,255), playernames2[i],
                        core::vector3df(t2players[i]->getPosition().X, 120, t2players[i]->getPosition().Z));
        }
    }



    //Ball Model loaded
	scene::IAnimatedMeshSceneNode* ball =
		smgr->addAnimatedMeshSceneNode(smgr->getMesh("../../media/balls/kilball.3ds"));

    if (ball)
    {
        ball->setMaterialFlag(video::EMF_LIGHTING, false);
        ball->setPosition(core::vector3df(0,0,0));
    }





	//Camera
	scene::ICameraSceneNode* node2 = 0;
	node2 = smgr->addCameraSceneNode ( 0, core::vector3df(-2150,1200,0) );
	node2->setFarValue(8000.0f);

	//If you want a dynamic camera, comment out the next 3 lines
/*	node2 = smgr->addCameraSceneNodeFPS();
	node2->setFarValue(8000.0f);
	node2->setPosition(core::vector3df(-1300,544,1800));*/

	/*
	The mouse cursor needs not be visible, so we hide it via the
	irr::IrrlichtDevice::ICursorControl.
	*/
	device->getCursorControl()->setVisible(false);

    /*Skybox/Skydome EKLEDIM*/
    driver->setTextureCreationFlag(video::ETCF_CREATE_MIP_MAPS, false);
    /*Burası Skybox ekliyor*/
/*	scene::ISceneNode* skybox=smgr->addSkyBoxSceneNode(
		driver->getTexture("../../media/irrlicht2_up.jpg"),
		driver->getTexture("../../media/irrlicht2_dn.jpg"),
		driver->getTexture("../../media/irrlicht2_lf.jpg"),
		driver->getTexture("../../media/irrlicht2_rt.jpg"),
		driver->getTexture("../../media/irrlicht2_ft.jpg"),
		driver->getTexture("../../media/irrlicht2_bk.jpg"));*/
	/*Burası Skydome ekliyor*/
	scene::ISceneNode* skydome=smgr->addSkyDomeSceneNode(driver->getTexture("../../media/skydome.jpg"),16,8,0.95f,2.0f);

	driver->setTextureCreationFlag(video::ETCF_CREATE_MIP_MAPS, true);
    /*Skybox kodu bitti*/

	/*
	We have done everything, so lets draw it. We also write the current
	frames per second and the primitives drawn into the caption of the
	window. The test for irr::IrrlichtDevice::isWindowActive() is optional,
	but prevents the engine to grab the mouse cursor after task switching
	when other programs are active. The call to
	irr::IrrlichtDevice::yield() will avoid the busy loop to eat up all CPU
	cycles when the window is not active.
	*/
	int lastFPS = -1;

	// In order to do framerate independent movement, we have to know
	// how long it was since the last frame
	u32 then = device->getTimer()->getTime();
	u32 timekeeper = device->getTimer()->getTime();

	// This is the movement speed in units per second.
	const f32 MOVEMENT_SPEED = 200.f;

    //Some initializations
    core::vector3df newballPosition = ball->getPosition();
    core::vector3df oldballPosition = ball->getPosition();
    core::vector3df node2Position = t1players[selectedplayer]->getPosition();
    core::vector3df node2Position2 = t2players[selectedplayer2]->getPosition();


guienv->getSkin()->setFont(guienv->getFont("../../media/fontlucida.png"));

    const wchar_t *ballpossession1=namearray1[selectedplayer];
    const wchar_t *ballpossession2=namearray2[selectedplayer];
    const wchar_t *redscore=0;
    const wchar_t *bluescore=0;
    const wchar_t *score = L"Red 0 - 0 Blue";


    core::stringw sco = L"";
    sco += minute1;
        sco += minute2;
        sco += L":";
        sco += second1;
        sco += second2;
    sco += L"  Red: ";
    sco += t2score;
    sco += L" - Blue: ";
    sco += t1score;


    gui::IGUIStaticText* playerlabel2 = guienv->addStaticText(ballpossession2,rect<s32>(100,600,260,640),true, true, 0, -1, true);
    playerlabel2->setTextAlignment(EGUIA_CENTER,EGUIA_CENTER);
    playerlabel2->enableOverrideColor(true);
    playerlabel2->setOverrideColor(video::SColor(200,255,0,0));
    gui::IGUIStaticText* playerlabel = guienv->addStaticText(ballpossession1,rect<s32>(800,600,960,640),true, true, 0, -1, true);
    playerlabel->setTextAlignment(EGUIA_CENTER,EGUIA_CENTER);
    playerlabel->enableOverrideColor(true);
    playerlabel->setOverrideColor(video::SColor(200,0,0,255));
    gui::IGUIStaticText* scoretable = guienv->addStaticText(sco.c_str(),rect<s32>(800,10,960,60),true, true, 0, -1, true);
    scoretable->setTextAlignment(EGUIA_CENTER,EGUIA_CENTER);
    //scoretable->enableOverrideColor(true);
    //scoretable->setOverrideColor(video::SColor(200,255,255,255));
    //Game Loop (Almost everything is done in this loop)
    music->stop();
    music->drop();
	engine->play2D("../../media/stad.wav",true, false, true);
	    engine->play2D("../../media/duduk.wav",false, false, true);

	while(device->run())
	{
		if (device->isWindowActive())
		{

        //This part is used for keeping game fps independent ("frameDeltaTime" will be used later)
        const u32 now = device->getTimer()->getTime();
		const f32 frameDeltaTime = (f32)(now - then) / 1000.f; // Time in seconds
		then = now;


		//Place vectors of selected players and the ball
		core::vector3df nodePosition = t1players[selectedplayer]->getPosition();
		core::vector3df ballPosition = ball->getPosition();
		core::vector3df nodePosition2 = t2players[selectedplayer2]->getPosition();


        //Check if button is pressed to change camera
        checkCamera (receiver, pressedcam, camera);

//Sets camera location and angle according to current camera state
        setCamera (camera, ballPosition, node2, stat, upthrowinguard, downthrowinguard, leftout, rightout,
                    upleftcorner, downleftcorner, uprightcorner, downrightcorner, mode, t1players, t1scored,
                    t2players, t2scored);


        //Check if direction buttons are pressed for team 1 and do necessary actions if they are pressed
        checkDirectionTeam1(receiver, nodePosition, ballPosition, t1players, playernames,
                            selectedplayer, MOVEMENT_SPEED, frameDeltaTime, goalguard, upthrowinguard,
                            leftout, rightout, upleftcorner, uprightcorner, passtime1, now);


        //Get Joystick Data
        f32 moveHorizontal = 0.f;
        f32 moveVertical = 0.f;

        const SEvent::SJoystickEvent & joystickData = receiver.GetJoystickState();

        const f32 DEAD_ZONE = 0.05f;
        moveHorizontal = (f32)joystickData.Axis[SEvent::SJoystickEvent::AXIS_X] / 32767.f;
        moveVertical = (f32)joystickData.Axis[SEvent::SJoystickEvent::AXIS_Y] / -32767.f;



        //Check if direction buttons are pressed for team 2 and do necessary actions if they are pressed
        checkDirectionTeam2(nodePosition2, ballPosition, t2players, playernames2, selectedplayer2,
                            MOVEMENT_SPEED, frameDeltaTime, moveVertical, moveHorizontal, DEAD_ZONE,
                            goalguard, upthrowinguard, leftout, rightout, upleftcorner, uprightcorner,
                            passtime2, now);


        //When passed or shooted, this line changes the player animation to idle
        t1players[selectedplayer]->setAnimationSpeed(1);
        t2players[selectedplayer2]->setAnimationSpeed(1);


        //Animator for passing or shooting
        scene::ISceneNodeAnimator* anim;


        //Team 1 - Button S (Pass - Change selected player)
        checkButtonSTeam1(receiver, nodePosition, node2Position, ballPosition, newballPosition,
                            t1players, selectedplayer, anim, ball, smgr, oldballPosition, pressedby, goalguard, stat,
                            t1throwinguard, upthrowinguard, rightout, upleftcorner, downleftcorner, mode, passtime1, now);


        //Team 2 - Gamepad Button X (Pass - Change selected player)
        checkButtonSTeam2(joystickData, nodePosition2, node2Position2, ballPosition, newballPosition,
                            t2players, selectedplayer2, anim, ball, smgr, oldballPosition, pressedby, goalguard, stat,
                            t2throwinguard, upthrowinguard, leftout, uprightcorner, downrightcorner, mode, passtime2, now);


        //Team 1 - Button D (Shoot)
        checkButtonDTeam1(receiver, nodePosition, node2Position, ballPosition, newballPosition,
                            t1players, selectedplayer, anim, ball, oldballPosition, now, pressedby,
                            smgr, goalguard, stat, t1throwinguard, rightout, upleftcorner, downleftcorner, mode);


        //Team 2 - Button Circle (Shoot)
        checkButtonDTeam2(joystickData, nodePosition2, node2Position2, ballPosition, newballPosition,
                            t2players, selectedplayer2, anim, ball, oldballPosition, now, pressedby, smgr,
                            goalguard, stat, t2throwinguard, leftout, uprightcorner, downrightcorner, mode);

        //Team 1 - Button A (Steal Ball)
        checkButtonATeam1(receiver, nodePosition, ballPosition, selectedplayer, selectedplayer2,
                        pressedby, t1players, t2players, goalguard, t1throwinguard, anim, ball, smgr,
                        upthrowinguard, downthrowinguard, rightout, upleftcorner, downleftcorner,
                        uprightcorner, downrightcorner, leftout, now, stat, node2Position, oldballPosition,
                        newballPosition, mode);


        //Team 2 - Button Square (Steal Ball)
        checkButtonATeam2(joystickData, nodePosition2, ballPosition, selectedplayer, selectedplayer2,
                        pressedby, t1players, t2players, goalguard, t2throwinguard, anim, ball, smgr,
                        upthrowinguard, downthrowinguard, leftout, uprightcorner, downrightcorner,
                        upleftcorner, downleftcorner, rightout, now, stat, node2Position, oldballPosition,
                        newballPosition, mode);


        //Check if ball is free and if there is a player in range to claim it
        checkFreeBall(ball, ballPosition, nodePosition, nodePosition2, selectedplayer, selectedplayer2, pressedby, t1players, t2players, goalguard, upthrowinguard,
                leftout, rightout, upleftcorner, uprightcorner, downthrowinguard, downleftcorner, downrightcorner);



        //Check goal scored by team1 (to team2) (yes, checks own goals too)
        checkGoalLineLeft (t1players, t2players, playernames, playernames2, ball, selectedplayer,
                        nodePosition, selectedplayer2, nodePosition2, ballPosition, stat, goalguard, mode, t1scored, now, t1showtime, showpart2, t1score);


        //Check goal scored by team2 (to team1) (yes, checks own goals too)
        checkGoalLineRight (t1players, t2players, playernames, playernames2, ball, selectedplayer,
                        nodePosition, selectedplayer2, nodePosition2, ballPosition, stat, goalguard, mode, t2scored, now, t2showtime, showpart2, t2score);


        //Check out on 1eft line
        //if out: team2 goalkeeper will be positioned
        checkOutLineLeft (t1players, t2players, playernames, playernames2, ball, selectedplayer,
                        nodePosition, selectedplayer2, nodePosition2, ballPosition, pressedby, stat, leftout, mode);


        //Check out on rigt line
        //if out: team1 goalkeeper will be positioned
        checkOutLineRight (t1players, t2players, playernames, playernames2, ball, selectedplayer,
                    nodePosition, selectedplayer2, nodePosition2, ballPosition, pressedby, stat, rightout, mode);


        //Check corner on 1eft line
        //if corner: team1 player will pe positioned to closest corner where ball exited the line
        checkCornerLineLeft (t1players, t2players, playernames, playernames2, ball, selectedplayer,
                            nodePosition,  selectedplayer2, nodePosition2, ballPosition, pressedby, stat,
                            upleftcorner, downleftcorner, mode, leftout, t1cornercount);


        //Check corner on right line
        //if corner: team2 player will pe positioned to closest corner where ball exited the line
        checkCornerLineRight (t1players, t2players, playernames, playernames2, ball, selectedplayer,
                            nodePosition, selectedplayer2, nodePosition2, ballPosition, pressedby, stat,
                            uprightcorner, downrightcorner, mode, rightout, t2cornercount);


        //Check throw in on up line
        checkThrowinLineUp (t1players, t2players, playernames, playernames2, ball,  selectedplayer,
                            nodePosition,  selectedplayer2, nodePosition2, ballPosition, pressedby, stat,
                            t1throwinguard, t2throwinguard, upthrowinguard, mode);


        //Check throw in on down line
        checkThrowinLineDown (t1players, t2players, playernames, playernames2, ball, selectedplayer,
                            nodePosition, selectedplayer2, nodePosition2, ballPosition, pressedby, stat,
                            t1throwinguard, t2throwinguard, downthrowinguard, mode);


        //ai
        vuvuzella(t1players, t2players, playernames, playernames2, selectedplayer, selectedplayer2, ball,
                stat, MOVEMENT_SPEED, frameDeltaTime, goalguard, upthrowinguard,
                leftout, rightout, upleftcorner, uprightcorner, downthrowinguard, downleftcorner, downrightcorner, mode);

         //ai for street mode
        vuvuzellastreet(t1players, t2players, playernames, playernames2, selectedplayer, selectedplayer2, ball,
                stat, MOVEMENT_SPEED, frameDeltaTime, goalguard, upthrowinguard,
                leftout, rightout, upleftcorner, uprightcorner, downthrowinguard, downleftcorner, downrightcorner, mode);


        //Load selected player's names for both teams
        loadNames(playernames, playernames2, namearray1, namearray2, selectedplayer, selectedplayer2, mode);

        t1show (t1players, playernames, stat, now, t1showtime, MOVEMENT_SPEED, frameDeltaTime, t1scored, showpart2, mode);

        t2show (t2players, playernames2, stat, now, t2showtime, MOVEMENT_SPEED, frameDeltaTime, t2scored, showpart2, mode);



        //Some code to set selected player's animation speed and stuff
        t1players[selectedplayer]->setAnimationSpeed(30);
        t1players[selectedplayer]->setPosition(nodePosition);
        ball->setPosition(ballPosition);


        t2players[selectedplayer2]->setAnimationSpeed(30);
        t2players[selectedplayer2]->setPosition(nodePosition2);



        ballpossession1=namearray1[selectedplayer];
        ballpossession2=namearray2[selectedplayer];

        playerlabel->setText(namearray1[selectedplayer]);
        playerlabel2->setText(namearray2[selectedplayer2]);

        if (t1cornercount == 3)
        {
            t1score++;
            t1cornercount = 0;
        }
        if (t2cornercount == 3)
        {
            t2score++;
            t2cornercount = 0;
        }

        if (now-timekeeper > 1000)
        {
            timekeeper = now;
            second2++;
            if (second2 == 10)
            {
                second1++;
                second2 =0;
                if (second1 == 6)
                {
                    second1 =0;
                    minute2++;
                    if (minute2 == 10)
                    {
                        minute2 = 0;
                        minute1++;
                    }
                }
            }
        }
        sco = L"";
        sco += minute1;
        sco += minute2;
        sco += L":";
        sco += second1;
        sco += second2;
        sco += L"  Red: ";
        sco += t2score;
        sco += L" - Blue: ";
        sco += t1score;
        scoretable->setText(sco.c_str());


        //Quit if escape key pressed (temporary till user interface window is connected)
        if(receiver.IsKeyDown(irr::KEY_F12)) device->drop();

        if(receiver.IsKeyDown(irr::KEY_ESCAPE))

            {
                    ingamemenugui=device->getGUIEnvironment();
                    Gamemenu.loadInGameMenu(driver,ingamemenugui,ingamemenuskin,font,device);
                    pausegame=true;
                    device->getCursorControl()->setVisible(true);
                    device->setEventReceiver(&guievents);
                    while(device->run() && pausegame)
                    {
                        if (device->isWindowActive())
                        {
                            driver->beginScene(true, true, SColor(0,255,255,255));
                            ingamemenugui->drawAll();
                            driver->endScene();
                        }
                    }
                    device->setEventReceiver(&receiver);
            }



			driver->beginScene(true, true, video::SColor(255,200,200,200));
			smgr->drawAll();
			guienv->drawAll();
			driver->endScene();

			int fps = driver->getFPS();

			if (lastFPS != fps)
			{
				core::stringw str = L"Ninja Football by Geeks in Action [";
				str += driver->getName();
				str += "] FPS:";
				str += fps;

				device->setWindowCaption(str.c_str());
				lastFPS = fps;
			}
		}
		else
			device->yield();
	}

	/*
	In the end, delete the Irrlicht device.
	*/
	device->drop();
	return 0;
}
